commit 894a1f72ee93a1fd8dc1d9218cb3fd8f048be29a
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Sat Nov 11 15:57:54 2023 +0200

    8.3.0

 NEWS                | 15 +++++++++++++++
 configure.ac        |  2 +-
 meson.build         |  2 +-
 src/hb-deprecated.h |  2 +-
 src/hb-version.h    |  6 +++---
 5 files changed, 21 insertions(+), 6 deletions(-)

commit 2b5af6f42e6ba4b6eb67f807267fd5821744c519
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 15:23:27 2023 -0700

    [subset-plan] Micro-optimize set iteration
    
    Getting ranges is faster even with the current trivial implementation.

 src/hb-subset-plan.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 90fc809f15b5b7e46f1b17dfa64141936679125d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 15:05:08 2023 -0700

    [set] Minor likely and __prev__

 src/hb-bit-set-invertible.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d3b7931fdcae3e266b3b58e39ad7085783c0e0e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 14:51:34 2023 -0700

    [subset-plan] Add a couple of allocs

 src/hb-subset-plan.cc | 2 ++
 1 file changed, 2 insertions(+)

commit d46cd93b6a03f6614a91803fa7d027fc6b917bc1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 14:36:37 2023 -0700

    [map] Speed up copy-constructor

 src/hb-map.hh | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit e7879d6c554d1edaf02a211d6ba9de4fe2b3fbf4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 14:13:20 2023 -0700

    [map] Micro-optimize destruction

 src/hb-map.hh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d9357a1a67cef1f328f1acc436d78f0852b05970
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 14:08:03 2023 -0700

    [cmap] Speed up Format12/13 collect_mapping

 src/hb-ot-cmap-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae6ea6f4b7ed2e05e76e36c56eac86c3cc9ccbd7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 13:52:34 2023 -0700

    [cmap] Micro-optimize

 src/hb-ot-cmap-table.hh | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 330c32f90256e6a38488faab4c0f692f18d52d42
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 12:27:48 2023 -0700

    [graph] Another preallocation

 src/graph/graph.hh | 1 +
 1 file changed, 1 insertion(+)

commit 9c4d3c3c70d1f4f33294da7ab409c64bdbc12be7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 10 12:24:26 2023 -0700

    [graph] Pre-alloc priority-heap array

 src/graph/graph.hh       | 1 +
 src/hb-priority-queue.hh | 3 +++
 2 files changed, 4 insertions(+)

commit 29f8d9f795426da68c8526312c61f727f4f124b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 9 09:29:02 2023 -0700

    [gen-use-table] Fix __doc__

 src/gen-use-table.py | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit aaf632581a9ba01f4534501f7a0cd715ea5bd4f0
Merge: 2d001a0ad 32ee89dd4
Author: خالد حسني (Khaled Hosny) <khaled@aliftype.com>
Date:   Fri Nov 10 17:28:48 2023 +0200

    Merge pull request #4492 from dalboris/fix-cmake-darwin-library-location
    
    [cmake] Fix double dots in CMake library location on macOS

commit 32ee89dd480ed15903a70c2bfaeda69f348af5e1
Author: Boris Dalstein <dalboris@gmail.com>
Date:   Fri Nov 10 13:48:24 2023 +0100

    [cmake] Fix double dots in CMake library location on macOS

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d001a0adc996dee2d8562b218ac9cc3d96816aa
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Nov 8 11:11:51 2023 -0800

    [subset] OTS doesn't allow ligature attachment offset to be 0

 src/OT/Layout/GPOS/AnchorMatrix.hh                      |   5 ++---
 test/subset/data/Makefile.am                            |   1 +
 test/subset/data/Makefile.sources                       |   1 +
 ...Bangla-latin-subset.default.retain-all-codepoint.ttf | Bin 0 -> 40128 bytes
 test/subset/data/fonts/AnekBangla-latin-subset.ttf      | Bin 0 -> 40128 bytes
 .../data/tests/layout.empty_ligature_offset.tests       |   8 ++++++++
 test/subset/meson.build                                 |   1 +
 7 files changed, 13 insertions(+), 3 deletions(-)

commit 0cbbed57e3a63476d9924eae197ddc07999d79ef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 7 09:51:46 2023 -0700

    [README] Add Godot Engine

 README.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9701b0024e43d356cf23fccca5c59409b0928dc9
Author: Garret Rieger <grieger@google.com>
Date:   Mon Nov 6 22:14:31 2023 +0000

    [subset] Always place CFF1/2 char strings at the end of the packed table.
    
    Makes the behaviour from HB_SUBSET_FLAGS_IFTB_REQUIREMENTS the default.

 src/hb-subset-cff1.cc                              |  18 ++++++------------
 src/hb-subset-cff2.cc                              |  18 ++++++------------
 test/api/fonts/AdobeVFPrototype.abc.otf            | Bin 5164 -> 5160 bytes
 test/api/fonts/AdobeVFPrototype.abc.static.otf     | Bin 2576 -> 2576 bytes
 test/api/fonts/AdobeVFPrototype.ac.nohints.otf     | Bin 4384 -> 4384 bytes
 test/api/fonts/AdobeVFPrototype.ac.nosubrs.otf     | Bin 4464 -> 4464 bytes
 test/api/fonts/AdobeVFPrototype.ac.otf             | Bin 4584 -> 4580 bytes
 test/api/fonts/AdobeVFPrototype.ac.retaingids.otf  | Bin 4584 -> 4584 bytes
 .../SourceHanSans-Regular.41,4C2E.nohints.otf      | Bin 2376 -> 2328 bytes
 ...urceHanSans-Regular.41,4C2E.nosubrs.nohints.otf | Bin 2360 -> 2312 bytes
 .../SourceHanSans-Regular.41,4C2E.nosubrs.otf      | Bin 2548 -> 2500 bytes
 test/api/fonts/SourceHanSans-Regular.41,4C2E.otf   | Bin 2572 -> 2524 bytes
 .../SourceHanSans-Regular.41,4C2E.retaingids.otf   | Bin 2664 -> 2608 bytes
 test/api/fonts/SourceSansPro-Regular.abc.otf       | Bin 1808 -> 1772 bytes
 .../api/fonts/SourceSansPro-Regular.ac.nohints.otf | Bin 1592 -> 1544 bytes
 .../SourceSansPro-Regular.ac.nosubrs.nohints.otf   | Bin 1540 -> 1492 bytes
 .../api/fonts/SourceSansPro-Regular.ac.nosubrs.otf | Bin 1632 -> 1584 bytes
 test/api/fonts/SourceSansPro-Regular.ac.otf        | Bin 1704 -> 1656 bytes
 .../fonts/SourceSansPro-Regular.ac.retaingids.otf  | Bin 1708 -> 1660 bytes
 test/api/fonts/cff1_dotsect.nohints.otf            | Bin 3132 -> 2892 bytes
 test/api/fonts/cff1_expert.2D,F6E9,FB00.otf        | Bin 1412 -> 1412 bytes
 test/api/fonts/cff1_seac.C0.otf                    | Bin 1600 -> 1564 bytes
 ...tore.notdef-outline-retain-gids.61,62,63,64.otf | Bin 5676 -> 5676 bytes
 ..._var_store.notdef-outline-retain-gids.61,62.otf | Bin 4776 -> 4776 bytes
 ..._var_store.notdef-outline-retain-gids.61,63.otf | Bin 4588 -> 4588 bytes
 ..._var_store.notdef-outline-retain-gids.61,64.otf | Bin 4764 -> 4764 bytes
 ...bit_var_store.notdef-outline-retain-gids.61.otf | Bin 4128 -> 4128 bytes
 ...bit_var_store.notdef-outline-retain-gids.62.otf | Bin 3904 -> 3904 bytes
 ...bit_var_store.notdef-outline-retain-gids.63.otf | Bin 3828 -> 3828 bytes
 ...bit_var_store.notdef-outline-retain-gids.64.otf | Bin 3800 -> 3800 bytes
 .../32bit_var_store.notdef-outline.61,62,63,64.otf | Bin 5676 -> 5676 bytes
 .../32bit_var_store.notdef-outline.61,62.otf       | Bin 4776 -> 4776 bytes
 .../32bit_var_store.notdef-outline.61,63.otf       | Bin 4584 -> 4584 bytes
 .../32bit_var_store.notdef-outline.61,64.otf       | Bin 4744 -> 4744 bytes
 .../32bit_var_store.notdef-outline.61.otf          | Bin 4128 -> 4128 bytes
 .../32bit_var_store.notdef-outline.62.otf          | Bin 3892 -> 3892 bytes
 .../32bit_var_store.notdef-outline.63.otf          | Bin 3812 -> 3812 bytes
 .../32bit_var_store.notdef-outline.64.otf          | Bin 3780 -> 3780 bytes
 ...subroutinize-retain-gids.1FC,21,41,20,62,63.otf | Bin 20128 -> 20128 bytes
 ...outline-desubroutinize-retain-gids.61,62,63.otf | Bin 2280 -> 2280 bytes
 ...e-desubroutinize-retain-gids.D7,D8,D9,DA,DE.otf | Bin 30448 -> 30448 bytes
 ...f-outline-desubroutinize.1FC,21,41,20,62,63.otf | Bin 2356 -> 2356 bytes
 ...ular.notdef-outline-desubroutinize.61,62,63.otf | Bin 2084 -> 2084 bytes
 ...otdef-outline-desubroutinize.D7,D8,D9,DA,DE.otf | Bin 2252 -> 2252 bytes
 ...subroutinize-retain-gids.1FC,21,41,20,62,63.otf | Bin 19960 -> 19960 bytes
 ...p-hints-desubroutinize-retain-gids.61,62,63.otf | Bin 2156 -> 2156 bytes
 ...s-desubroutinize-retain-gids.D7,D8,D9,DA,DE.otf | Bin 30280 -> 30280 bytes
 ...rop-hints-desubroutinize.1FC,21,41,20,62,63.otf | Bin 2184 -> 2184 bytes
 ...-outline-drop-hints-desubroutinize.61,62,63.otf | Bin 1960 -> 1960 bytes
 ...ne-drop-hints-desubroutinize.D7,D8,D9,DA,DE.otf | Bin 2088 -> 2088 bytes
 ...e-drop-hints-retain-gids.1FC,21,41,20,62,63.otf | Bin 20052 -> 20052 bytes
 ...def-outline-drop-hints-retain-gids.61,62,63.otf | Bin 2196 -> 2196 bytes
 ...tline-drop-hints-retain-gids.D7,D8,D9,DA,DE.otf | Bin 30296 -> 30296 bytes
 ...otdef-outline-drop-hints.1FC,21,41,20,62,63.otf | Bin 2268 -> 2268 bytes
 ...-Regular.notdef-outline-drop-hints.61,62,63.otf | Bin 2028 -> 2028 bytes
 ...ar.notdef-outline-drop-hints.D7,D8,D9,DA,DE.otf | Bin 2104 -> 2104 bytes
 ...tdef-outline-retain-gids.1FC,21,41,20,62,63.otf | Bin 20284 -> 20284 bytes
 ...Regular.notdef-outline-retain-gids.61,62,63.otf | Bin 2348 -> 2348 bytes
 ...r.notdef-outline-retain-gids.D7,D8,D9,DA,DE.otf | Bin 30464 -> 30464 bytes
 ...o-Regular.notdef-outline.1FC,21,41,20,62,63.otf | Bin 2500 -> 2500 bytes
 ...urceSansPro-Regular.notdef-outline.61,62,63.otf | Bin 2180 -> 2180 bytes
 ...nsPro-Regular.notdef-outline.D7,D8,D9,DA,DE.otf | Bin 2272 -> 2272 bytes
 ...ubset.default.3042,3044,3046,3048,304A,304B.otf | Bin 4820 -> 4820 bytes
 ...ubset.default.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 6196 -> 6196 bytes
 ...eHanSans-Regular_subset.default.61,63,65,6B.otf | Bin 2540 -> 2540 bytes
 ...ubset.default.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 6640 -> 6640 bytes
 .../SourceHanSans-Regular_subset.default.660E.otf  | Bin 2444 -> 2444 bytes
 ...e-retain-gids.3042,3044,3046,3048,304A,304B.otf | Bin 129820 -> 129820 bytes
 ...e-retain-gids.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 130840 -> 130840 bytes
 ...bset.desubroutinize-retain-gids.61,63,65,6B.otf | Bin 3364 -> 3364 bytes
 ...e-retain-gids.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 121956 -> 121956 bytes
 ...ular_subset.desubroutinize-retain-gids.660E.otf | Bin 50744 -> 50744 bytes
 ...esubroutinize.3042,3044,3046,3048,304A,304B.otf | Bin 4656 -> 4656 bytes
 ...esubroutinize.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 5840 -> 5840 bytes
 ...s-Regular_subset.desubroutinize.61,63,65,6B.otf | Bin 2472 -> 2472 bytes
 ...esubroutinize.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 6132 -> 6132 bytes
 ...eHanSans-Regular_subset.desubroutinize.660E.otf | Bin 2428 -> 2428 bytes
 ...e-retain-gids.3042,3044,3046,3048,304A,304B.otf | Bin 129376 -> 129376 bytes
 ...e-retain-gids.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 130220 -> 130220 bytes
 ...ints-desubroutinize-retain-gids.61,63,65,6B.otf | Bin 3244 -> 3244 bytes
 ...e-retain-gids.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 121180 -> 121180 bytes
 ....drop-hints-desubroutinize-retain-gids.660E.otf | Bin 50516 -> 50516 bytes
 ...esubroutinize.3042,3044,3046,3048,304A,304B.otf | Bin 4348 -> 4348 bytes
 ...esubroutinize.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 5324 -> 5324 bytes
 ...ubset.drop-hints-desubroutinize.61,63,65,6B.otf | Bin 2368 -> 2368 bytes
 ...esubroutinize.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 5456 -> 5456 bytes
 ...gular_subset.drop-hints-desubroutinize.660E.otf | Bin 2292 -> 2292 bytes
 ...s-retain-gids.3042,3044,3046,3048,304A,304B.otf | Bin 129516 -> 129516 bytes
 ...s-retain-gids.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 130528 -> 130528 bytes
 ...r_subset.drop-hints-retain-gids.61,63,65,6B.otf | Bin 3208 -> 3208 bytes
 ...s-retain-gids.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 121680 -> 121680 bytes
 ...-Regular_subset.drop-hints-retain-gids.660E.otf | Bin 50532 -> 50532 bytes
 ...et.drop-hints.3042,3044,3046,3048,304A,304B.otf | Bin 4484 -> 4484 bytes
 ...et.drop-hints.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 5628 -> 5628 bytes
 ...nSans-Regular_subset.drop-hints.61,63,65,6B.otf | Bin 2400 -> 2400 bytes
 ...et.drop-hints.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 5952 -> 5952 bytes
 ...ourceHanSans-Regular_subset.drop-hints.660E.otf | Bin 2304 -> 2304 bytes
 ...t.retain-gids.3042,3044,3046,3048,304A,304B.otf | Bin 129980 -> 129980 bytes
 ...t.retain-gids.3042,3044,3046,73E0,5EA6,8F38.otf | Bin 131196 -> 131196 bytes
 ...Sans-Regular_subset.retain-gids.61,63,65,6B.otf | Bin 3364 -> 3364 bytes
 ...t.retain-gids.660E,6975,73E0,5EA6,8F38,6E05.otf | Bin 122460 -> 122460 bytes
 ...urceHanSans-Regular_subset.retain-gids.660E.otf | Bin 50760 -> 50760 bytes
 ...otoSerifMyanmar-Regular.notdef-outline.1092.otf | Bin 1392 -> 1392 bytes
 ...tline-drop-hints-retain-gids.4E00,4E02,4E03.otf | Bin 1404 -> 1404 bytes
 ...ef-outline-drop-hints-retain-gids.4E00,4E03.otf | Bin 1292 -> 1292 bytes
 ...tline-drop-hints-retain-gids.4E00,4E05,4E07.otf | Bin 1416 -> 1416 bytes
 ...tline-drop-hints-retain-gids.4E02,4E03,4E08.otf | Bin 1736 -> 1736 bytes
 ....notdef-outline-drop-hints-retain-gids.4E02.otf | Bin 1048 -> 1048 bytes
 ....notdef-outline-drop-hints-retain-gids.4E03.otf | Bin 1140 -> 1140 bytes
 ...-drop-hints-retain-gids.4E05,4E07,4E08,4E09.otf | Bin 2000 -> 2000 bytes
 ...ef-outline-drop-hints-retain-gids.4E08,4E09.otf | Bin 1888 -> 1888 bytes
 ....notdef-outline-drop-hints-retain-gids.4E08.otf | Bin 1560 -> 1560 bytes
 ...drop-hints-retain-gids.retain-all-codepoint.otf | Bin 2452 -> 2452 bytes
 ...t1.notdef-outline-drop-hints.4E00,4E02,4E03.otf | Bin 1308 -> 1308 bytes
 ...4_font1.notdef-outline-drop-hints.4E00,4E03.otf | Bin 1188 -> 1188 bytes
 ...t1.notdef-outline-drop-hints.4E00,4E05,4E07.otf | Bin 1280 -> 1280 bytes
 ...t1.notdef-outline-drop-hints.4E02,4E03,4E08.otf | Bin 1528 -> 1528 bytes
 ...cmap14_font1.notdef-outline-drop-hints.4E02.otf | Bin 944 -> 944 bytes
 ...cmap14_font1.notdef-outline-drop-hints.4E03.otf | Bin 1028 -> 1028 bytes
 ...tdef-outline-drop-hints.4E05,4E07,4E08,4E09.otf | Bin 1796 -> 1796 bytes
 ...4_font1.notdef-outline-drop-hints.4E08,4E09.otf | Bin 1672 -> 1672 bytes
 ...cmap14_font1.notdef-outline-drop-hints.4E08.otf | Bin 1336 -> 1336 bytes
 ...def-outline-drop-hints.retain-all-codepoint.otf | Bin 2296 -> 2296 bytes
 ...14_font1.notdef-outline-gids.4E00,4E02,4E03.otf | Bin 1408 -> 1408 bytes
 .../cmap14_font1.notdef-outline-gids.4E00,4E03.otf | Bin 1396 -> 1396 bytes
 ...14_font1.notdef-outline-gids.4E00,4E05,4E07.otf | Bin 1640 -> 1640 bytes
 ...14_font1.notdef-outline-gids.4E02,4E03,4E08.otf | Bin 1760 -> 1760 bytes
 .../cmap14_font1.notdef-outline-gids.4E02.otf      | Bin 1332 -> 1332 bytes
 .../cmap14_font1.notdef-outline-gids.4E03.otf      | Bin 1372 -> 1372 bytes
 ...nt1.notdef-outline-gids.4E05,4E07,4E08,4E09.otf | Bin 2184 -> 2184 bytes
 .../cmap14_font1.notdef-outline-gids.4E08,4E09.otf | Bin 2056 -> 2056 bytes
 .../cmap14_font1.notdef-outline-gids.4E08.otf      | Bin 1720 -> 1720 bytes
 ...t1.notdef-outline-gids.retain-all-codepoint.otf | Bin 2400 -> 2400 bytes
 ...ont1.notdef-outline-name-ids.4E00,4E02,4E03.otf | Bin 1308 -> 1308 bytes
 ...p14_font1.notdef-outline-name-ids.4E00,4E03.otf | Bin 1184 -> 1184 bytes
 ...ont1.notdef-outline-name-ids.4E00,4E05,4E07.otf | Bin 1280 -> 1280 bytes
 ...ont1.notdef-outline-name-ids.4E02,4E03,4E08.otf | Bin 1528 -> 1528 bytes
 .../cmap14_font1.notdef-outline-name-ids.4E02.otf  | Bin 944 -> 944 bytes
 .../cmap14_font1.notdef-outline-name-ids.4E03.otf  | Bin 1028 -> 1028 bytes
 ...notdef-outline-name-ids.4E05,4E07,4E08,4E09.otf | Bin 1796 -> 1796 bytes
 ...p14_font1.notdef-outline-name-ids.4E08,4E09.otf | Bin 1668 -> 1668 bytes
 .../cmap14_font1.notdef-outline-name-ids.4E08.otf  | Bin 1336 -> 1336 bytes
 ...otdef-outline-name-ids.retain-all-codepoint.otf | Bin 2296 -> 2296 bytes
 ...1.notdef-outline-retain-gids.4E00,4E02,4E03.otf | Bin 1472 -> 1472 bytes
 ..._font1.notdef-outline-retain-gids.4E00,4E03.otf | Bin 1360 -> 1360 bytes
 ...1.notdef-outline-retain-gids.4E00,4E05,4E07.otf | Bin 1480 -> 1480 bytes
 ...1.notdef-outline-retain-gids.4E02,4E03,4E08.otf | Bin 1804 -> 1804 bytes
 ...map14_font1.notdef-outline-retain-gids.4E02.otf | Bin 1116 -> 1116 bytes
 ...map14_font1.notdef-outline-retain-gids.4E03.otf | Bin 1208 -> 1208 bytes
 ...def-outline-retain-gids.4E05,4E07,4E08,4E09.otf | Bin 2068 -> 2068 bytes
 ..._font1.notdef-outline-retain-gids.4E08,4E09.otf | Bin 1956 -> 1956 bytes
 ...map14_font1.notdef-outline-retain-gids.4E08.otf | Bin 1628 -> 1628 bytes
 ...ef-outline-retain-gids.retain-all-codepoint.otf | Bin 2520 -> 2520 bytes
 .../cmap14_font1.notdef-outline.4E00,4E02,4E03.otf | Bin 1376 -> 1376 bytes
 .../cmap14_font1.notdef-outline.4E00,4E03.otf      | Bin 1252 -> 1252 bytes
 .../cmap14_font1.notdef-outline.4E00,4E05,4E07.otf | Bin 1348 -> 1348 bytes
 .../cmap14_font1.notdef-outline.4E02,4E03,4E08.otf | Bin 1596 -> 1596 bytes
 .../cmap14/cmap14_font1.notdef-outline.4E02.otf    | Bin 1012 -> 1012 bytes
 .../cmap14/cmap14_font1.notdef-outline.4E03.otf    | Bin 1096 -> 1096 bytes
 ...14_font1.notdef-outline.4E05,4E07,4E08,4E09.otf | Bin 1864 -> 1864 bytes
 .../cmap14_font1.notdef-outline.4E08,4E09.otf      | Bin 1736 -> 1736 bytes
 .../cmap14/cmap14_font1.notdef-outline.4E08.otf    | Bin 1404 -> 1404 bytes
 ...4_font1.notdef-outline.retain-all-codepoint.otf | Bin 2364 -> 2364 bytes
 ...tline-drop-hints-retain-gids.4E00,4E02,4E03.otf | Bin 1404 -> 1404 bytes
 ...ef-outline-drop-hints-retain-gids.4E00,4E03.otf | Bin 1292 -> 1292 bytes
 ...tline-drop-hints-retain-gids.4E00,4E05,4E07.otf | Bin 1420 -> 1420 bytes
 ...tline-drop-hints-retain-gids.4E02,4E03,4E08.otf | Bin 1736 -> 1736 bytes
 ....notdef-outline-drop-hints-retain-gids.4E02.otf | Bin 1044 -> 1044 bytes
 ....notdef-outline-drop-hints-retain-gids.4E03.otf | Bin 1136 -> 1136 bytes
 ...-drop-hints-retain-gids.4E05,4E07,4E08,4E09.otf | Bin 2000 -> 2000 bytes
 ...ef-outline-drop-hints-retain-gids.4E08,4E09.otf | Bin 1884 -> 1884 bytes
 ....notdef-outline-drop-hints-retain-gids.4E08.otf | Bin 1556 -> 1556 bytes
 ...drop-hints-retain-gids.retain-all-codepoint.otf | Bin 2448 -> 2448 bytes
 ...t2.notdef-outline-drop-hints.4E00,4E02,4E03.otf | Bin 1308 -> 1308 bytes
 ...4_font2.notdef-outline-drop-hints.4E00,4E03.otf | Bin 1188 -> 1188 bytes
 ...t2.notdef-outline-drop-hints.4E00,4E05,4E07.otf | Bin 1284 -> 1284 bytes
 ...t2.notdef-outline-drop-hints.4E02,4E03,4E08.otf | Bin 1528 -> 1528 bytes
 ...cmap14_font2.notdef-outline-drop-hints.4E02.otf | Bin 940 -> 940 bytes
 ...cmap14_font2.notdef-outline-drop-hints.4E03.otf | Bin 1024 -> 1024 bytes
 ...tdef-outline-drop-hints.4E05,4E07,4E08,4E09.otf | Bin 1796 -> 1796 bytes
 ...4_font2.notdef-outline-drop-hints.4E08,4E09.otf | Bin 1668 -> 1668 bytes
 ...cmap14_font2.notdef-outline-drop-hints.4E08.otf | Bin 1332 -> 1332 bytes
 ...def-outline-drop-hints.retain-all-codepoint.otf | Bin 2292 -> 2292 bytes
 ...14_font2.notdef-outline-gids.4E00,4E02,4E03.otf | Bin 1408 -> 1408 bytes
 .../cmap14_font2.notdef-outline-gids.4E00,4E03.otf | Bin 1396 -> 1396 bytes
 ...14_font2.notdef-outline-gids.4E00,4E05,4E07.otf | Bin 1644 -> 1644 bytes
 ...14_font2.notdef-outline-gids.4E02,4E03,4E08.otf | Bin 1760 -> 1760 bytes
 .../cmap14_font2.notdef-outline-gids.4E02.otf      | Bin 1328 -> 1328 bytes
 .../cmap14_font2.notdef-outline-gids.4E03.otf      | Bin 1368 -> 1368 bytes
 ...nt2.notdef-outline-gids.4E05,4E07,4E08,4E09.otf | Bin 2184 -> 2184 bytes
 .../cmap14_font2.notdef-outline-gids.4E08,4E09.otf | Bin 2052 -> 2052 bytes
 .../cmap14_font2.notdef-outline-gids.4E08.otf      | Bin 1716 -> 1716 bytes
 ...t2.notdef-outline-gids.retain-all-codepoint.otf | Bin 2396 -> 2396 bytes
 ...ont2.notdef-outline-name-ids.4E00,4E02,4E03.otf | Bin 1308 -> 1308 bytes
 ...p14_font2.notdef-outline-name-ids.4E00,4E03.otf | Bin 1184 -> 1184 bytes
 ...ont2.notdef-outline-name-ids.4E00,4E05,4E07.otf | Bin 1284 -> 1284 bytes
 ...ont2.notdef-outline-name-ids.4E02,4E03,4E08.otf | Bin 1528 -> 1528 bytes
 .../cmap14_font2.notdef-outline-name-ids.4E02.otf  | Bin 940 -> 940 bytes
 .../cmap14_font2.notdef-outline-name-ids.4E03.otf  | Bin 1024 -> 1024 bytes
 ...notdef-outline-name-ids.4E05,4E07,4E08,4E09.otf | Bin 1796 -> 1796 bytes
 ...p14_font2.notdef-outline-name-ids.4E08,4E09.otf | Bin 1664 -> 1664 bytes
 .../cmap14_font2.notdef-outline-name-ids.4E08.otf  | Bin 1332 -> 1332 bytes
 ...otdef-outline-name-ids.retain-all-codepoint.otf | Bin 2292 -> 2292 bytes
 ...2.notdef-outline-retain-gids.4E00,4E02,4E03.otf | Bin 1472 -> 1472 bytes
 ..._font2.notdef-outline-retain-gids.4E00,4E03.otf | Bin 1360 -> 1360 bytes
 ...2.notdef-outline-retain-gids.4E00,4E05,4E07.otf | Bin 1484 -> 1484 bytes
 ...2.notdef-outline-retain-gids.4E02,4E03,4E08.otf | Bin 1804 -> 1804 bytes
 ...map14_font2.notdef-outline-retain-gids.4E02.otf | Bin 1112 -> 1112 bytes
 ...map14_font2.notdef-outline-retain-gids.4E03.otf | Bin 1204 -> 1204 bytes
 ...def-outline-retain-gids.4E05,4E07,4E08,4E09.otf | Bin 2068 -> 2068 bytes
 ..._font2.notdef-outline-retain-gids.4E08,4E09.otf | Bin 1952 -> 1952 bytes
 ...map14_font2.notdef-outline-retain-gids.4E08.otf | Bin 1624 -> 1624 bytes
 ...ef-outline-retain-gids.retain-all-codepoint.otf | Bin 2516 -> 2516 bytes
 .../cmap14_font2.notdef-outline.4E00,4E02,4E03.otf | Bin 1376 -> 1376 bytes
 .../cmap14_font2.notdef-outline.4E00,4E03.otf      | Bin 1252 -> 1252 bytes
 .../cmap14_font2.notdef-outline.4E00,4E05,4E07.otf | Bin 1352 -> 1352 bytes
 .../cmap14_font2.notdef-outline.4E02,4E03,4E08.otf | Bin 1596 -> 1596 bytes
 .../cmap14/cmap14_font2.notdef-outline.4E02.otf    | Bin 1008 -> 1008 bytes
 .../cmap14/cmap14_font2.notdef-outline.4E03.otf    | Bin 1092 -> 1092 bytes
 ...14_font2.notdef-outline.4E05,4E07,4E08,4E09.otf | Bin 1864 -> 1864 bytes
 .../cmap14_font2.notdef-outline.4E08,4E09.otf      | Bin 1732 -> 1732 bytes
 .../cmap14/cmap14_font2.notdef-outline.4E08.otf    | Bin 1400 -> 1400 bytes
 ...4_font2.notdef-outline.retain-all-codepoint.otf | Bin 2360 -> 2360 bytes
 ...ep-all-layout-features.retain-all-codepoint.otf | Bin 12796 -> 12796 bytes
 .../AdobeVFPrototype.default.61,62,63.otf          | Bin 5160 -> 5160 bytes
 .../SourceSansPro-Regular.default.61,62,63.otf     | Bin 2180 -> 2180 bytes
 ...fault.retain-all-codepoint.wght=650,CNTR=50.otf | Bin 41760 -> 41760 bytes
 ...F-ABC.default.retain-all-codepoint.wght=800.otf | Bin 1488 -> 1488 bytes
 ...C.retain-gids.retain-all-codepoint.wght=800.otf | Bin 1488 -> 1488 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2132 -> 2132 bytes
 ...e_subrules_f1.layout-test-retain-gids.41,42.otf | Bin 2012 -> 2012 bytes
 ...e_subrules_f1.layout-test-retain-gids.41,43.otf | Bin 2020 -> 2020 bytes
 ...iple_subrules_f1.layout-test-retain-gids.41.otf | Bin 1896 -> 1896 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3992 -> 3992 bytes
 ...1_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1420 -> 1420 bytes
 ...ext1_multiple_subrules_f1.layout-test.41,42.otf | Bin 1304 -> 1304 bytes
 ...ext1_multiple_subrules_f1.layout-test.41,43.otf | Bin 1300 -> 1300 bytes
 ...ontext1_multiple_subrules_f1.layout-test.41.otf | Bin 1192 -> 1192 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 3992 -> 3992 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2148 -> 2148 bytes
 ...e_subrules_f1.layout-test-retain-gids.41,42.otf | Bin 2024 -> 2024 bytes
 ...e_subrules_f1.layout-test-retain-gids.41,43.otf | Bin 2020 -> 2020 bytes
 ...iple_subrules_f1.layout-test-retain-gids.41.otf | Bin 1896 -> 1896 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4008 -> 4008 bytes
 ...2_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1436 -> 1436 bytes
 ...ext2_multiple_subrules_f1.layout-test.41,42.otf | Bin 1316 -> 1316 bytes
 ...ext2_multiple_subrules_f1.layout-test.41,43.otf | Bin 1300 -> 1300 bytes
 ...ontext2_multiple_subrules_f1.layout-test.41.otf | Bin 1192 -> 1192 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 4008 -> 4008 bytes
 ..._simple_f1.layout-test-retain-gids.41,42,43.otf | Bin 2112 -> 2112 bytes
 ...xt3_simple_f1.layout-test-retain-gids.41,42.otf | Bin 1892 -> 1892 bytes
 ...xt3_simple_f1.layout-test-retain-gids.41,43.otf | Bin 2000 -> 2000 bytes
 ...ntext3_simple_f1.layout-test-retain-gids.41.otf | Bin 1876 -> 1876 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3972 -> 3972 bytes
 ...pos_context3_simple_f1.layout-test.41,42,43.otf | Bin 1400 -> 1400 bytes
 .../gpos_context3_simple_f1.layout-test.41,42.otf  | Bin 1184 -> 1184 bytes
 .../gpos_context3_simple_f1.layout-test.41,43.otf  | Bin 1280 -> 1280 bytes
 .../gpos_context3_simple_f1.layout-test.41.otf     | Bin 1172 -> 1172 bytes
 ..._simple_f1.layout-test.retain-all-codepoint.otf | Bin 3972 -> 3972 bytes
 ...ototype.layout-test-retain-gids.41,42,43,57.otf | Bin 5920 -> 5920 bytes
 ...FPrototype.layout-test-retain-gids.41,42,43.otf | Bin 5208 -> 5208 bytes
 ...beVFPrototype.layout-test-retain-gids.41,42.otf | Bin 4728 -> 4728 bytes
 ...FPrototype.layout-test-retain-gids.41,56,57.otf | Bin 5044 -> 5044 bytes
 ...AdobeVFPrototype.layout-test-retain-gids.41.otf | Bin 3992 -> 3992 bytes
 ...beVFPrototype.layout-test-retain-gids.42,57.otf | Bin 5036 -> 5036 bytes
 .../AdobeVFPrototype.layout-test.41,42,43,57.otf   | Bin 5476 -> 5476 bytes
 .../AdobeVFPrototype.layout-test.41,42,43.otf      | Bin 4948 -> 4948 bytes
 .../AdobeVFPrototype.layout-test.41,42.otf         | Bin 4464 -> 4464 bytes
 .../AdobeVFPrototype.layout-test.41,56,57.otf      | Bin 4616 -> 4616 bytes
 .../AdobeVFPrototype.layout-test.41.otf            | Bin 3764 -> 3764 bytes
 .../AdobeVFPrototype.layout-test.42,57.otf         | Bin 4596 -> 4596 bytes
 .../gpos1_2_font.layout-test-retain-gids.41,43.otf | Bin 2044 -> 2044 bytes
 .../gpos1_2_font.layout-test-retain-gids.41,46.otf | Bin 2204 -> 2204 bytes
 .../gpos1_2_font.layout-test-retain-gids.41.otf    | Bin 1916 -> 1916 bytes
 .../gpos1_2_font.layout-test-retain-gids.42,44.otf | Bin 1964 -> 1964 bytes
 .../gpos1_2_font.layout-test-retain-gids.43,46.otf | Bin 2068 -> 2068 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3848 -> 3848 bytes
 .../layout.gpos/gpos1_2_font.layout-test.41,43.otf | Bin 1324 -> 1324 bytes
 .../layout.gpos/gpos1_2_font.layout-test.41,46.otf | Bin 1452 -> 1452 bytes
 .../layout.gpos/gpos1_2_font.layout-test.41.otf    | Bin 1212 -> 1212 bytes
 .../layout.gpos/gpos1_2_font.layout-test.42,44.otf | Bin 1232 -> 1232 bytes
 .../layout.gpos/gpos1_2_font.layout-test.43,46.otf | Bin 1316 -> 1316 bytes
 ...os1_2_font.layout-test.retain-all-codepoint.otf | Bin 3848 -> 3848 bytes
 ...s2_1_font7.layout-test-retain-gids.21,23,25.otf | Bin 1728 -> 1728 bytes
 ...gpos2_1_font7.layout-test-retain-gids.21,23.otf | Bin 1604 -> 1604 bytes
 ...gpos2_1_font7.layout-test-retain-gids.2E,23.otf | Bin 1912 -> 1912 bytes
 ...s2_1_font7.layout-test-retain-gids.41,42,43.otf | Bin 1976 -> 1976 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3868 -> 3868 bytes
 .../gpos2_1_font7.layout-test.21,23,25.otf         | Bin 1384 -> 1384 bytes
 .../gpos2_1_font7.layout-test.21,23.otf            | Bin 1276 -> 1276 bytes
 .../gpos2_1_font7.layout-test.2E,23.otf            | Bin 1476 -> 1476 bytes
 .../gpos2_1_font7.layout-test.41,42,43.otf         | Bin 1264 -> 1264 bytes
 ...s2_1_font7.layout-test.retain-all-codepoint.otf | Bin 3868 -> 3868 bytes
 ...s2_2_font5.layout-test-retain-gids.21,23,25.otf | Bin 1780 -> 1780 bytes
 ...gpos2_2_font5.layout-test-retain-gids.21,23.otf | Bin 1656 -> 1656 bytes
 ...gpos2_2_font5.layout-test-retain-gids.2E,23.otf | Bin 1912 -> 1912 bytes
 ...s2_2_font5.layout-test-retain-gids.41,42,43.otf | Bin 1976 -> 1976 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3904 -> 3904 bytes
 .../gpos2_2_font5.layout-test.21,23,25.otf         | Bin 1436 -> 1436 bytes
 .../gpos2_2_font5.layout-test.21,23.otf            | Bin 1328 -> 1328 bytes
 .../gpos2_2_font5.layout-test.2E,23.otf            | Bin 1476 -> 1476 bytes
 .../gpos2_2_font5.layout-test.41,42,43.otf         | Bin 1264 -> 1264 bytes
 ...s2_2_font5.layout-test.retain-all-codepoint.otf | Bin 3904 -> 3904 bytes
 .../gpos3_font3.layout-test-retain-gids.28,29.otf  | Bin 1700 -> 1700 bytes
 .../gpos3_font3.layout-test-retain-gids.28,2B.otf  | Bin 1836 -> 1836 bytes
 .../gpos3_font3.layout-test-retain-gids.29,2B.otf  | Bin 1744 -> 1744 bytes
 ...pos3_font3.layout-test-retain-gids.41,42,43.otf | Bin 1972 -> 1972 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3908 -> 3908 bytes
 .../layout.gpos3/gpos3_font3.layout-test.28,29.otf | Bin 1308 -> 1308 bytes
 .../layout.gpos3/gpos3_font3.layout-test.28,2B.otf | Bin 1428 -> 1428 bytes
 .../layout.gpos3/gpos3_font3.layout-test.29,2B.otf | Bin 1336 -> 1336 bytes
 .../gpos3_font3.layout-test.41,42,43.otf           | Bin 1260 -> 1260 bytes
 ...pos3_font3.layout-test.retain-all-codepoint.otf | Bin 3908 -> 3908 bytes
 ...chors_1.layout-test-retain-gids.41,42,43,44.otf | Bin 2336 -> 2336 bytes
 ...chors_1.layout-test-retain-gids.41,42,43,45.otf | Bin 2332 -> 2332 bytes
 ..._anchors_1.layout-test-retain-gids.41,42,43.otf | Bin 2096 -> 2096 bytes
 ...ple_anchors_1.layout-test-retain-gids.41,42.otf | Bin 1892 -> 1892 bytes
 ...rs_1.layout-test-retain-gids.41,43,44,45,46.otf | Bin 2692 -> 2692 bytes
 ..._anchors_1.layout-test-retain-gids.41,43,44.otf | Bin 2328 -> 2328 bytes
 ..._anchors_1.layout-test-retain-gids.41,43,45.otf | Bin 2328 -> 2328 bytes
 ...ple_anchors_1.layout-test-retain-gids.41,43.otf | Bin 2092 -> 2092 bytes
 ...ltiple_anchors_1.layout-test-retain-gids.41.otf | Bin 1876 -> 1876 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3996 -> 3996 bytes
 ..._multiple_anchors_1.layout-test.41,42,43,44.otf | Bin 1620 -> 1620 bytes
 ..._multiple_anchors_1.layout-test.41,42,43,45.otf | Bin 1600 -> 1600 bytes
 ...os4_multiple_anchors_1.layout-test.41,42,43.otf | Bin 1384 -> 1384 bytes
 .../gpos4_multiple_anchors_1.layout-test.41,42.otf | Bin 1184 -> 1184 bytes
 ...ltiple_anchors_1.layout-test.41,43,44,45,46.otf | Bin 1964 -> 1964 bytes
 ...os4_multiple_anchors_1.layout-test.41,43,44.otf | Bin 1604 -> 1604 bytes
 ...os4_multiple_anchors_1.layout-test.41,43,45.otf | Bin 1592 -> 1592 bytes
 .../gpos4_multiple_anchors_1.layout-test.41,43.otf | Bin 1372 -> 1372 bytes
 .../gpos4_multiple_anchors_1.layout-test.41.otf    | Bin 1172 -> 1172 bytes
 ..._anchors_1.layout-test.retain-all-codepoint.otf | Bin 3996 -> 3996 bytes
 ...5_font1.layout-test-retain-gids.41,42,43,44.otf | Bin 2360 -> 2360 bytes
 ...5_font1.layout-test-retain-gids.41,42,43,45.otf | Bin 2356 -> 2356 bytes
 ...pos5_font1.layout-test-retain-gids.41,42,43.otf | Bin 2120 -> 2120 bytes
 ...pos5_font1.layout-test-retain-gids.41,42,44.otf | Bin 2276 -> 2276 bytes
 ...pos5_font1.layout-test-retain-gids.41,42,45.otf | Bin 2260 -> 2260 bytes
 .../gpos5_font1.layout-test-retain-gids.41,42.otf  | Bin 2012 -> 2012 bytes
 .../gpos5_font1.layout-test-retain-gids.41,43.otf  | Bin 2016 -> 2016 bytes
 .../gpos5_font1.layout-test-retain-gids.41.otf     | Bin 1892 -> 1892 bytes
 .../gpos5_font1.layout-test-retain-gids.42.otf     | Bin 1764 -> 1764 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4064 -> 4064 bytes
 .../gpos5_font1.layout-test.41,42,43,44.otf        | Bin 1644 -> 1644 bytes
 .../gpos5_font1.layout-test.41,42,43,45.otf        | Bin 1624 -> 1624 bytes
 .../gpos5_font1.layout-test.41,42,43.otf           | Bin 1408 -> 1408 bytes
 .../gpos5_font1.layout-test.41,42,44.otf           | Bin 1552 -> 1552 bytes
 .../gpos5_font1.layout-test.41,42,45.otf           | Bin 1524 -> 1524 bytes
 .../layout.gpos5/gpos5_font1.layout-test.41,42.otf | Bin 1304 -> 1304 bytes
 .../layout.gpos5/gpos5_font1.layout-test.41,43.otf | Bin 1296 -> 1296 bytes
 .../layout.gpos5/gpos5_font1.layout-test.41.otf    | Bin 1188 -> 1188 bytes
 .../layout.gpos5/gpos5_font1.layout-test.42.otf    | Bin 1048 -> 1048 bytes
 ...pos5_font1.layout-test.retain-all-codepoint.otf | Bin 4064 -> 4064 bytes
 ...6_font1.layout-test-retain-gids.41,42,43,44.otf | Bin 2312 -> 2312 bytes
 ...6_font1.layout-test-retain-gids.41,42,43,45.otf | Bin 2308 -> 2308 bytes
 ...pos6_font1.layout-test-retain-gids.41,42,43.otf | Bin 2072 -> 2072 bytes
 .../gpos6_font1.layout-test-retain-gids.41,42.otf  | Bin 1868 -> 1868 bytes
 ...ont1.layout-test-retain-gids.41,43,44,45,46.otf | Bin 2668 -> 2668 bytes
 ...pos6_font1.layout-test-retain-gids.41,43,44.otf | Bin 2304 -> 2304 bytes
 ...pos6_font1.layout-test-retain-gids.41,43,45.otf | Bin 2304 -> 2304 bytes
 .../gpos6_font1.layout-test-retain-gids.41,43.otf  | Bin 2068 -> 2068 bytes
 .../gpos6_font1.layout-test-retain-gids.41.otf     | Bin 1852 -> 1852 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3972 -> 3972 bytes
 .../gpos6_font1.layout-test.41,42,43,44.otf        | Bin 1596 -> 1596 bytes
 .../gpos6_font1.layout-test.41,42,43,45.otf        | Bin 1576 -> 1576 bytes
 .../gpos6_font1.layout-test.41,42,43.otf           | Bin 1360 -> 1360 bytes
 .../layout.gpos6/gpos6_font1.layout-test.41,42.otf | Bin 1160 -> 1160 bytes
 .../gpos6_font1.layout-test.41,43,44,45,46.otf     | Bin 1940 -> 1940 bytes
 .../gpos6_font1.layout-test.41,43,44.otf           | Bin 1580 -> 1580 bytes
 .../gpos6_font1.layout-test.41,43,45.otf           | Bin 1568 -> 1568 bytes
 .../layout.gpos6/gpos6_font1.layout-test.41,43.otf | Bin 1348 -> 1348 bytes
 .../layout.gpos6/gpos6_font1.layout-test.41.otf    | Bin 1148 -> 1148 bytes
 ...pos6_font1.layout-test.retain-all-codepoint.otf | Bin 3972 -> 3972 bytes
 ...ules_f1.layout-test-retain-gids.30,31,32,33.otf | Bin 2400 -> 2400 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2020 -> 2020 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4012 -> 4012 bytes
 ...ultiple_subrules_f1.layout-test.30,31,32,33.otf | Bin 1928 -> 1928 bytes
 ...1_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1308 -> 1308 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 4012 -> 4012 bytes
 ...ules_f1.layout-test-retain-gids.30,31,32,33.otf | Bin 2420 -> 2420 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2020 -> 2020 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4044 -> 4044 bytes
 ...ultiple_subrules_f1.layout-test.30,31,32,33.otf | Bin 1948 -> 1948 bytes
 ...2_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1308 -> 1308 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 4044 -> 4044 bytes
 ...mple_f1.layout-test-retain-gids.30,31,32,33.otf | Bin 2392 -> 2392 bytes
 ..._simple_f1.layout-test-retain-gids.41,42,43.otf | Bin 1996 -> 1996 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3980 -> 3980 bytes
 ...chaining3_simple_f1.layout-test.30,31,32,33.otf | Bin 1920 -> 1920 bytes
 ...os_chaining3_simple_f1.layout-test.41,42,43.otf | Bin 1284 -> 1284 bytes
 ..._simple_f1.layout-test.retain-all-codepoint.otf | Bin 3980 -> 3980 bytes
 .../gpos9_font2.layout-test-retain-gids.41,42.otf  | Bin 1960 -> 1960 bytes
 .../gpos9_font2.layout-test-retain-gids.41.otf     | Bin 1920 -> 1920 bytes
 .../gpos9_font2.layout-test-retain-gids.42.otf     | Bin 1792 -> 1792 bytes
 .../layout.gpos9/gpos9_font2.layout-test.41,42.otf | Bin 1252 -> 1252 bytes
 .../layout.gpos9/gpos9_font2.layout-test.41.otf    | Bin 1216 -> 1216 bytes
 .../layout.gpos9/gpos9_font2.layout-test.42.otf    | Bin 1076 -> 1076 bytes
 ...stitution.layout-test-retain-gids.53A9,53F1.otf | Bin 5076 -> 5076 bytes
 ...e_substitution.layout-test-retain-gids.53A9.otf | Bin 4656 -> 4656 bytes
 ...e_substitution.layout-test-retain-gids.53F1.otf | Bin 2996 -> 2996 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 6764 -> 6764 bytes
 ...lternate_substitution.layout-test.53A9,53F1.otf | Bin 4952 -> 4952 bytes
 ...sub_alternate_substitution.layout-test.53A9.otf | Bin 4504 -> 4504 bytes
 ...sub_alternate_substitution.layout-test.53F1.otf | Bin 2804 -> 2804 bytes
 ...bstitution.layout-test.retain-all-codepoint.otf | Bin 6672 -> 6672 bytes
 ...ubrules_f2.layout-test-retain-gids.41,42,43.otf | Bin 2236 -> 2236 bytes
 ...e_subrules_f2.layout-test-retain-gids.41,42.otf | Bin 2208 -> 2208 bytes
 ...e_subrules_f2.layout-test-retain-gids.41,43.otf | Bin 2032 -> 2032 bytes
 ...iple_subrules_f2.layout-test-retain-gids.41.otf | Bin 1908 -> 1908 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3988 -> 3988 bytes
 ...1_multiple_subrules_f2.layout-test.41,42,43.otf | Bin 1440 -> 1440 bytes
 ...ext1_multiple_subrules_f2.layout-test.41,42.otf | Bin 1400 -> 1400 bytes
 ...ext1_multiple_subrules_f2.layout-test.41,43.otf | Bin 1312 -> 1312 bytes
 ...ontext1_multiple_subrules_f2.layout-test.41.otf | Bin 1204 -> 1204 bytes
 ...ubrules_f2.layout-test.retain-all-codepoint.otf | Bin 3988 -> 3988 bytes
 ...ubrules_f2.layout-test-retain-gids.41,42,43.otf | Bin 2252 -> 2252 bytes
 ...e_subrules_f2.layout-test-retain-gids.41,42.otf | Bin 2220 -> 2220 bytes
 ...e_subrules_f2.layout-test-retain-gids.41,43.otf | Bin 2032 -> 2032 bytes
 ...iple_subrules_f2.layout-test-retain-gids.41.otf | Bin 1908 -> 1908 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4004 -> 4004 bytes
 ...2_multiple_subrules_f2.layout-test.41,42,43.otf | Bin 1456 -> 1456 bytes
 ...ext2_multiple_subrules_f2.layout-test.41,42.otf | Bin 1412 -> 1412 bytes
 ...ext2_multiple_subrules_f2.layout-test.41,43.otf | Bin 1312 -> 1312 bytes
 ...ontext2_multiple_subrules_f2.layout-test.41.otf | Bin 1204 -> 1204 bytes
 ...ubrules_f2.layout-test.retain-all-codepoint.otf | Bin 4004 -> 4004 bytes
 ...cessive_f1.layout-test-retain-gids.41,42,43.otf | Bin 2016 -> 2016 bytes
 ...successive_f1.layout-test-retain-gids.41,42.otf | Bin 1912 -> 1912 bytes
 ...successive_f1.layout-test-retain-gids.41,43.otf | Bin 2020 -> 2020 bytes
 ...t3_successive_f1.layout-test-retain-gids.41.otf | Bin 1896 -> 1896 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4008 -> 4008 bytes
 ...context3_successive_f1.layout-test.41,42,43.otf | Bin 1304 -> 1304 bytes
 ...ub_context3_successive_f1.layout-test.41,42.otf | Bin 1204 -> 1204 bytes
 ...ub_context3_successive_f1.layout-test.41,43.otf | Bin 1300 -> 1300 bytes
 .../gsub_context3_successive_f1.layout-test.41.otf | Bin 1192 -> 1192 bytes
 ...cessive_f1.layout-test.retain-all-codepoint.otf | Bin 4008 -> 4008 bytes
 ...ules_f1.layout-test-retain-gids.30,31,32,33.otf | Bin 2372 -> 2372 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2032 -> 2032 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3984 -> 3984 bytes
 ...ultiple_subrules_f1.layout-test.30,31,32,33.otf | Bin 1900 -> 1900 bytes
 ...1_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1320 -> 1320 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 3984 -> 3984 bytes
 ...ules_f1.layout-test-retain-gids.30,31,32,33.otf | Bin 2400 -> 2400 bytes
 ...ubrules_f1.layout-test-retain-gids.41,42,43.otf | Bin 2032 -> 2032 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4016 -> 4016 bytes
 ...ultiple_subrules_f1.layout-test.30,31,32,33.otf | Bin 1928 -> 1928 bytes
 ...2_multiple_subrules_f1.layout-test.41,42,43.otf | Bin 1320 -> 1320 bytes
 ...ubrules_f1.layout-test.retain-all-codepoint.otf | Bin 4016 -> 4016 bytes
 ...mple_f2.layout-test-retain-gids.30,31,32,33.otf | Bin 2360 -> 2360 bytes
 ..._simple_f2.layout-test-retain-gids.41,42,43.otf | Bin 2008 -> 2008 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 3952 -> 3952 bytes
 ...chaining3_simple_f2.layout-test.30,31,32,33.otf | Bin 1888 -> 1888 bytes
 ...ub_chaining3_simple_f2.layout-test.41,42,43.otf | Bin 1296 -> 1296 bytes
 ..._simple_f2.layout-test.retain-all-codepoint.otf | Bin 3952 -> 3952 bytes
 ...test-retain-gids.41,42,43,44,45,46,47,48,49.otf | Bin 3208 -> 3208 bytes
 ...ayout-test-retain-gids.41,42,43,44,45,46,47.otf | Bin 2828 -> 2828 bytes
 ...ayout-test-retain-gids.41,42,43,44,45,46,4D.otf | Bin 2896 -> 2896 bytes
 ...ayout-test-retain-gids.41,42,43,44,45,46,51.otf | Bin 2900 -> 2900 bytes
 ...d.layout-test-retain-gids.41,42,43,44,45,46.otf | Bin 2564 -> 2564 bytes
 ...ly_created.layout-test-retain-gids.41,42,43.otf | Bin 2008 -> 2008 bytes
 ...manually_created.layout-test-retain-gids.41.otf | Bin 1888 -> 1888 bytes
 ...manually_created.layout-test-retain-gids.61.otf | Bin 2608 -> 2608 bytes
 ...ayout-test-retain-gids.retain-all-codepoint.otf | Bin 4048 -> 4048 bytes
 ...ated.layout-test.41,42,43,44,45,46,47,48,49.otf | Bin 2404 -> 2404 bytes
 ...ly_created.layout-test.41,42,43,44,45,46,47.otf | Bin 2012 -> 2012 bytes
 ...ly_created.layout-test.41,42,43,44,45,46,4D.otf | Bin 2012 -> 2012 bytes
 ...ly_created.layout-test.41,42,43,44,45,46,51.otf | Bin 2060 -> 2060 bytes
 ...ually_created.layout-test.41,42,43,44,45,46.otf | Bin 1844 -> 1844 bytes
 ...gsub8_manually_created.layout-test.41,42,43.otf | Bin 1296 -> 1296 bytes
 .../gsub8_manually_created.layout-test.41.otf      | Bin 1184 -> 1184 bytes
 .../gsub8_manually_created.layout-test.61.otf      | Bin 1556 -> 1556 bytes
 ...ly_created.layout-test.retain-all-codepoint.otf | Bin 4048 -> 4048 bytes
 471 files changed, 12 insertions(+), 24 deletions(-)

commit c6884377ecea2fbd3021dd98f20883b31339ccc1
Author: Garret Rieger <grieger@google.com>
Date:   Mon Nov 6 20:21:46 2023 +0000

    [subset] Add HB_SUBSET_FLAGS_IFTB_REQUIREMENTS flag.
    
    When enabled the output subset conforms to the requirements for a base font to be patched by IFTB patches. IFTB is a proposed incremental font transfer patch. This new flag is set as experimental. Currently, setting this flag causes the output subset to also use long offsets for outline data in loca/glyf, gvar, CFF, and CFF2.
    
    This change is a version of https://github.com/skef/harfbuzz/commit/3ae2fe2084d96f61d8ad1bbe42a6ef4e62ec830a rebased onto head w/ tests added.

 src/hb-ot-cff-common.hh                            |  12 +++--
 src/hb-ot-var-gvar-table.hh                        |   7 ++-
 src/hb-subset-cff1.cc                              |  55 ++++++++++++++------
 src/hb-subset-cff2.cc                              |  56 +++++++++++++++------
 src/hb-subset-plan.cc                              |  10 ++--
 src/hb-subset.h                                    |   6 +++
 test/api/fonts/AdobeVFPrototype.abc.long_off.otf   | Bin 0 -> 5172 bytes
 test/api/fonts/Roboto-Variable.abc.long_loca.ttf   | Bin 0 -> 11396 bytes
 test/api/fonts/Roboto-Variable.abc.ttf             | Bin 0 -> 11384 bytes
 .../fonts/SourceSansPro-Regular.abc.long_off.otf   | Bin 0 -> 1788 bytes
 test/api/test-subset-cff1.c                        |  32 ++++++++++++
 test/api/test-subset-cff2.c                        |  31 ++++++++++++
 test/api/test-subset-glyf.c                        |  33 ++++++++++++
 .../AdobeVFPrototype.default.61,62,63.otf          | Bin 0 -> 5160 bytes
 ...AdobeVFPrototype.iftb_requirements.61,62,63.otf | Bin 0 -> 5172 bytes
 .../Roboto-Variable.default.61,62,63.ttf           | Bin 0 -> 11384 bytes
 .../Roboto-Variable.iftb_requirements.61,62,63.ttf | Bin 0 -> 11396 bytes
 .../SourceSansPro-Regular.default.61,62,63.otf     | Bin 0 -> 2180 bytes
 ...eSansPro-Regular.iftb_requirements.61,62,63.otf | Bin 0 -> 2196 bytes
 test/subset/data/profiles/iftb_requirements.txt    |   1 +
 test/subset/data/tests/iftb_requirements.tests     |  14 ++++++
 test/subset/meson.build                            |   1 +
 util/hb-subset.cc                                  |   7 ++-
 23 files changed, 223 insertions(+), 42 deletions(-)

commit c3c32b0176716ead26f36dd2cc01928898999408
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Nov 6 09:57:34 2023 -0700

    Add xkcd.png

 Makefile.am |   1 +
 README.md   |   2 ++
 xkcd.png    | Bin 0 -> 52751 bytes
 3 files changed, 3 insertions(+)

commit c2f42fbb146c04ba557ceb31a8eac9bd5f3d65ea
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Nov 6 11:49:11 2023 -0800

    fix meson compiled_tests

 src/meson.build                     | 28 ++++++++++++++--------------
 src/test-subset-instancer-solver.cc |  2 +-
 2 files changed, 15 insertions(+), 15 deletions(-)

commit d550e16acc61e8c25dbafd9f19f62b25cd4e79f1
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Nov 6 10:31:05 2023 -0800

    [instancer] Recalc avgcharwidth after instancing

 src/hb-ot-os2-table.hh                             |  22 +++++++++++++++++++++
 src/hb-subset.cc                                   |   1 +
 ...r-new.default.retain-all-codepoint.wght=300.ttf | Bin 131708 -> 131708 bytes
 ...r-new.default.retain-all-codepoint.wght=700.ttf | Bin 131584 -> 131584 bytes
 ...i-ABC.default.retain-all-codepoint.wght=300.ttf | Bin 5788 -> 5788 bytes
 ...i-ABC.default.retain-all-codepoint.wght=700.ttf | Bin 5784 -> 5784 bytes
 ...t.retain-all-codepoint.wght=200-300,opsz=14.ttf | Bin 10136 -> 10136 bytes
 ...ain-all-codepoint.wght=400,wdth=100,opsz=14.ttf | Bin 6404 -> 6404 bytes
 ...set.default.retain-all-codepoint.wdth=112.5.ttf | Bin 2668 -> 2668 bytes
 ...subset.default.retain-all-codepoint.wdth=75.ttf | Bin 3296 -> 3296 bytes
 ...ayout-features.retain-all-codepoint.wdth=75.ttf | Bin 4500 -> 4500 bytes
 ...fault.retain-all-codepoint.wght=150,wdth=80.ttf | Bin 114196 -> 114196 bytes
 ...fault.retain-all-codepoint.wght=300,wdth=90.ttf | Bin 114296 -> 114296 bytes
 ...anges.retain-all-codepoint.wght=150,wdth=80.ttf | Bin 114196 -> 114196 bytes
 ...anges.retain-all-codepoint.wght=300,wdth=90.ttf | Bin 114296 -> 114296 bytes
 ...ubset.default.retain-all-codepoint.wght=300.ttf | Bin 3300 -> 3300 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 8708 -> 8708 bytes
 ...t.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 7592 -> 7592 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7568 -> 7568 bytes
 ...t.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6932 -> 6932 bytes
 .../MPLUS1-Variable.default.30DD.wght=100.ttf      | Bin 1404 -> 1404 bytes
 .../MPLUS1-Variable.default.30DD.wght=400.ttf      | Bin 1656 -> 1656 bytes
 ...retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf | Bin 2224 -> 2224 bytes
 ...retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf | Bin 2676 -> 2676 bytes
 ...fault.retain-all-codepoint.wght=650,CNTR=50.otf | Bin 41760 -> 41760 bytes
 ...F-ABC.default.retain-all-codepoint.wght=800.otf | Bin 1488 -> 1488 bytes
 ...C.retain-gids.retain-all-codepoint.wght=800.otf | Bin 1488 -> 1488 bytes
 ...oldit.default.retain-all-codepoint.wght=900.ttf | Bin 2488 -> 2488 bytes
 ...fault.retain-all-codepoint.wght=200,wdth=90.ttf | Bin 6736 -> 6736 bytes
 ...fault.retain-all-codepoint.wght=650,wdth=85.ttf | Bin 6688 -> 6688 bytes
 ...fault.retain-all-codepoint.wght=200,wdth=90.ttf | Bin 6416 -> 6416 bytes
 ...fault.retain-all-codepoint.wght=650,wdth=85.ttf | Bin 6368 -> 6368 bytes
 ...etain-all-codepoint.wght=150,wdth=80,CTGR=0.ttf | Bin 1396 -> 1396 bytes
 ...etain-all-codepoint.wght=300,wdth=90,CTGR=0.ttf | Bin 1432 -> 1432 bytes
 ...odepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 4300 -> 4300 bytes
 ...c.default.retain-all-codepoint.wght=300-600.ttf | Bin 6808 -> 6808 bytes
 ...c.default.retain-all-codepoint.wght=500-800.ttf | Bin 7288 -> 7288 bytes
 ...lt.retain-all-codepoint.wght=400,wdth=100.0.ttf | Bin 6780 -> 6780 bytes
 ...ult.retain-all-codepoint.wght=drop,wdth=100.ttf | Bin 6780 -> 6780 bytes
 ...epoint.wght=400,CASL=0,CRSV=0,MONO=0,slnt=0.ttf | Bin 1884 -> 1884 bytes
 ...n.default.retain-all-codepoint.wght=300-600.ttf | Bin 305092 -> 305092 bytes
 ...n.default.retain-all-codepoint.wght=500-800.ttf | Bin 250164 -> 250164 bytes
 ...ubset.default.retain-all-codepoint.wght=400.ttf | Bin 1848 -> 1848 bytes
 ...et.drop-hints.retain-all-codepoint.wght=400.ttf | Bin 1824 -> 1824 bytes
 test/subset/generate-expected-outputs.py           |   2 +-
 45 files changed, 24 insertions(+), 1 deletion(-)

commit d053426bb469883bf1a40dd97fa4d57ef6d1ac47
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Nov 6 11:44:14 2023 -0700

    Format

 src/hb-sanitize.hh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2f528ce4ed806575be3aba361551568acba354d8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Nov 6 11:40:19 2023 -0700

    Tweak a couple more barriers

 src/OT/Color/CPAL/CPAL.hh       |  4 ++--
 src/hb-aat-layout-morx-table.hh | 10 ++++++----
 2 files changed, 8 insertions(+), 6 deletions(-)

commit f31fb431552b2408ffea24a9469720cc99e9c939
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Nov 6 11:29:30 2023 -0700

    Remove a couple unnecessary barriers

 src/hb-ot-os2-table.hh  | 6 +++---
 src/hb-ot-post-table.hh | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d10cc79a6c95b11c6aefab464cfdb66dcc7f5fb5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Nov 6 10:41:30 2023 -0700

    Move a couple of barriers

 src/OT/Layout/GPOS/AnchorFormat3.hh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 80cb6b580fbef90e37a2ec8105e18407af912568
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Nov 6 09:00:33 2023 -0800

    [instancer_solver] port solver fix: where axisDef < lower and upper < axisMax
    
    Port from https://github.com/fonttools/fonttools/commit/f1e56cd757ed457ffd3b58c262d3f4c2e4586555

 src/hb-subset-instancer-solver.cc   |  8 +++++---
 src/test-subset-instancer-solver.cc | 10 ++++++++++
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 64305568d7ed267b98d162026153a93e89ceba5c
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Nov 6 10:39:24 2023 +0000

    Bump fonttools from 4.43.1 to 4.44.0 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.43.1 to 4.44.0.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.43.1...4.44.0)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 86 ++++++++++++++++++-------------------
 .ci/requirements.txt           | 96 +++++++++++++++++++++---------------------
 2 files changed, 91 insertions(+), 91 deletions(-)

commit 920c40cd43dd7b10b7ecba3d82a46f5fea88536f
Merge: fd5eb10d3 36f5e654a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Nov 5 07:05:47 2023 -0700

    Merge pull request #4480 from harfbuzz/sanitize-barrier-properly
    
    Sanitize barrier properly
    
    https://github.com/harfbuzz/harfbuzz/pull/4480

commit 36f5e654a641824271f26c814705590bd45ffea0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Nov 4 16:17:32 2023 -0600

    [circleci] Roll back msan/tsan ubuntu image
    
    Job gets stuck at compiling with the newer image :(.

 .circleci/config.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6ff0932722b1455efc6685bab9c0c3f6cba446b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Nov 4 15:33:32 2023 -0600

    [circleci] Roll images

 .circleci/config.yml | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 7ee7e2e340be46205dc675a1cb80ff6330a78b53
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Nov 4 15:02:28 2023 -0600

    [sanitize] Add remaining hb_barrier() annotations
    
    I'm sure I've forgot some. But this is a good start.

 src/hb-ot-cmap-table.hh        |  3 +++
 src/hb-ot-hdmx-table.hh        |  2 ++
 src/hb-ot-head-table.hh        |  1 +
 src/hb-ot-hhea-table.hh        |  4 +++-
 src/hb-ot-kern-table.hh        |  9 ++++++---
 src/hb-ot-layout-base-table.hh |  2 ++
 src/hb-ot-layout-common.hh     | 17 +++++++++++++++--
 src/hb-ot-layout-gsubgpos.hh   | 10 ++++++++++
 src/hb-ot-layout-jstf-table.hh |  1 +
 src/hb-ot-math-table.hh        |  3 +++
 src/hb-ot-maxp-table.hh        |  3 ++-
 src/hb-ot-meta-table.hh        |  2 ++
 src/hb-ot-os2-table.hh         |  8 +++++---
 src/hb-ot-post-table.hh        | 20 ++++++++++++++++++--
 src/hb-ot-stat-table.hh        |  3 +++
 src/hb-ot-var-avar-table.hh    |  3 +++
 src/hb-ot-var-common.hh        |  2 ++
 src/hb-ot-var-cvar-table.hh    |  3 ++-
 src/hb-ot-var-fvar-table.hh    |  3 +++
 src/hb-ot-var-gvar-table.hh    |  4 +++-
 src/hb-ot-var-hvar-table.hh    |  1 +
 src/hb-ot-var-mvar-table.hh    |  2 ++
 src/hb-ot-vorg-table.hh        |  1 +
 23 files changed, 93 insertions(+), 14 deletions(-)

commit 3a9262cc3de4be58804cdd431dd4ae9fa9bfbe7a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Nov 4 12:52:46 2023 -0600

    [sanitize] More hb_barrier() annotations

 src/OT/Color/CPAL/CPAL.hh                          | 10 ++++++++-
 src/OT/Color/sbix/sbix.hh                          |  1 +
 src/OT/Color/svg/svg.hh                            |  1 +
 src/OT/Layout/Common/Coverage.hh                   |  1 +
 src/OT/Layout/GDEF/GDEF.hh                         |  4 ++++
 src/OT/Layout/GPOS/Anchor.hh                       |  1 +
 src/OT/Layout/GPOS/AnchorMatrix.hh                 |  2 ++
 src/OT/Layout/GPOS/MarkMarkPosFormat1.hh           |  1 +
 src/OT/Layout/GPOS/PairPosFormat1.hh               |  1 +
 src/OT/Layout/GPOS/PairSet.hh                      |  6 +++--
 src/OT/Layout/GPOS/SinglePosFormat1.hh             |  1 +
 src/OT/Layout/GPOS/ValueFormat.hh                  |  1 +
 .../Layout/GSUB/ReverseChainSingleSubstFormat1.hh  |  2 ++
 src/OT/name/name.hh                                |  5 ++++-
 src/graph/classdef-graph.hh                        |  3 +++
 src/graph/coverage-graph.hh                        |  3 +++
 src/graph/gsubgpos-graph.hh                        |  4 ++++
 src/graph/markbasepos-graph.hh                     |  3 +++
 src/graph/pairpos-graph.hh                         |  3 +++
 src/hb-aat-layout-ankr-table.hh                    |  1 +
 src/hb-aat-layout-bsln-table.hh                    |  1 +
 src/hb-aat-layout-common.hh                        |  6 +++++
 src/hb-aat-layout-feat-table.hh                    |  2 ++
 src/hb-aat-layout-just-table.hh                    |  3 +++
 src/hb-aat-layout-kerx-table.hh                    | 17 +++++++++-----
 src/hb-aat-layout-morx-table.hh                    | 26 ++++++++++++++++------
 src/hb-aat-layout-opbd-table.hh                    |  1 +
 src/hb-aat-layout-trak-table.hh                    |  2 ++
 src/hb-aat-ltag-table.hh                           |  5 ++++-
 src/hb-open-file.hh                                |  6 +++++
 src/hb-open-type.hh                                | 14 +++++++++++-
 src/hb-ot-cff-common.hh                            | 19 ++++++++++++----
 src/hb-ot-cff1-table.hh                            | 23 ++++++++++++++++---
 src/hb-ot-cff2-table.hh                            | 12 +++++++++-
 34 files changed, 164 insertions(+), 27 deletions(-)

commit 30672c7e75097377e08f3cc91ddd7e4c14a76033
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 18:52:03 2023 -0600

    Add hb_barrier()
    
    And annotate some more.

 src/OT/Color/CBDT/CBDT.hh               |  6 ++++++
 src/OT/Color/COLR/COLR.hh               | 17 +++++++++++++----
 src/OT/Layout/GPOS/AnchorFormat3.hh     |  4 ++--
 src/OT/Layout/GPOS/AnchorMatrix.hh      |  2 +-
 src/OT/Layout/GPOS/CursivePosFormat1.hh |  4 ++--
 src/OT/Layout/GPOS/ValueFormat.hh       |  2 +-
 src/hb-aat-layout-kerx-table.hh         | 16 ++++++++--------
 src/hb-aat-layout-morx-table.hh         | 14 +++++++-------
 src/hb-atomic.hh                        |  6 ++++++
 src/hb-ot-layout-common.hh              |  4 ++--
 src/hb-sanitize.hh                      |  9 +--------
 11 files changed, 49 insertions(+), 35 deletions(-)

commit 775320a4f6c320efd998df22879d9037b0ee1ab9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 18:38:12 2023 -0600

    [sanitize] Add barriers to runtime-checked values

 src/OT/Layout/GPOS/AnchorFormat3.hh     | 4 ++--
 src/OT/Layout/GPOS/AnchorMatrix.hh      | 1 +
 src/OT/Layout/GPOS/CursivePosFormat1.hh | 2 ++
 src/OT/Layout/GPOS/ValueFormat.hh       | 1 +
 src/hb-aat-layout-kerx-table.hh         | 8 ++++++++
 src/hb-aat-layout-morx-table.hh         | 9 +++++++--
 6 files changed, 21 insertions(+), 4 deletions(-)

commit cf49f3f2cbec8fbdc654d45e2f4b8e9c8d91db47
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 18:20:14 2023 -0600

    [sanitize] Add barrier()

 src/hb-ot-layout-common.hh |  2 ++
 src/hb-sanitize.hh         | 12 ++++++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit b16f18004482f2981155e0ff94b34aab57b38812
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 17:51:50 2023 -0600

    [sanitize] Yet another hack to "fix" barrier issue

 src/hb-atomic.hh   | 4 ++--
 src/hb-sanitize.hh | 5 ++++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit fd5eb10d3b4cfee1bb10614ff6719378c949492e
Merge: cdcad93b7 6baf791e6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 15:30:15 2023 -0600

    Merge pull request #4477 from googlefonts/fix_feature_variations
    
    [instancer] Fix feature variations collect lookups

commit cdcad93b737c4553b98fdc0c57f6432c5643c97a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 12:45:16 2023 -0600

    [set] Mark as realloc-movable

 src/hb-set.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 6baf791e6f5ef38f18876aa952a506858c383c0e
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Nov 3 11:06:07 2023 -0700

    [instancer] add tests

 ...on-subset.default.retain-all-codepoint.wdth=112.5.ttf | Bin 0 -> 2668 bytes
 test/subset/data/fonts/AnekBangla-question-subset.ttf    | Bin 0 -> 4488 bytes
 .../feature_variation_instance_collect_lookups.tests     |  11 +++++++++++
 test/subset/meson.build                                  |   1 +
 4 files changed, 12 insertions(+)

commit aca55dbe36eafb0f69081323b679f2a5bf51239c
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Nov 3 10:51:37 2023 -0700

    [instancer] fix feature variations collect lookups
    
    We already know which record to keep, so just collect lookups and no
    need to check the substitutes_map

 src/hb-ot-layout-common.hh   | 12 ++----------
 src/hb-ot-layout-gsubgpos.hh |  3 +--
 src/hb-ot-layout.cc          |  2 +-
 src/hb-subset-plan.cc        |  2 +-
 4 files changed, 5 insertions(+), 14 deletions(-)

commit 7766e67b336b9477c99aeff5d417d57b30b5cb6e
Merge: 413af0a9b f05636e1b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 3 11:38:21 2023 -0600

    Merge pull request #4474 from googlefonts/fix_value_format
    
    [instancer] fix value format for SinglePos/PairPos when strip_hints is on

commit f05636e1be2664df8356df4adf5f1af1c7628bcd
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Nov 2 09:18:15 2023 -0700

    [instancer] fix build issue after rebase

 src/OT/Layout/GPOS/ValueFormat.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 31b5b2b1d7470dbcebc3bc5eb68ce8cfaca6667b
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Nov 2 09:08:36 2023 -0700

    [instancer] add tests for valueformat

 ...rmat-subset.default.retain-all-codepoint.wght=400.ttf | Bin 0 -> 1848 bytes
 ...t-subset.drop-hints.retain-all-codepoint.wght=400.ttf | Bin 0 -> 1824 bytes
 .../data/fonts/NotoSansOriya-valueformat-subset.ttf      | Bin 0 -> 3048 bytes
 .../data/tests/value_format_partial_instance.tests       |  12 ++++++++++++
 test/subset/meson.build                                  |   1 +
 5 files changed, 13 insertions(+)

commit 6c017a1162265bee8c5d09cd89aef26ef25afe51
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Nov 1 09:54:46 2023 -0700

    [instancer] SinglePos/PairPos: do not strip_hints for partial instancing

 src/OT/Layout/GDEF/GDEF.hh             |  1 +
 src/OT/Layout/GPOS/Common.hh           |  2 +-
 src/OT/Layout/GPOS/PairPosFormat1.hh   | 37 +++++++++++++---------
 src/OT/Layout/GPOS/PairPosFormat2.hh   | 37 +++++++++++++---------
 src/OT/Layout/GPOS/SinglePos.hh        | 13 +++-----
 src/OT/Layout/GPOS/SinglePosFormat1.hh | 26 +++++++++++++++-
 src/OT/Layout/GPOS/SinglePosFormat2.hh | 38 ++++++++++++++++++++++-
 src/OT/Layout/GPOS/ValueFormat.hh      | 57 ++++++++++++++--------------------
 src/hb-subset-plan.cc                  |  1 +
 src/hb-subset-plan.hh                  |  3 ++
 src/hb-subset.cc                       |  2 +-
 11 files changed, 143 insertions(+), 74 deletions(-)

commit 413af0a9b2cc3bebf559f0f5e459cc98c5ee955e
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Nov 2 11:14:48 2023 -0700

    [instancer] When partial instancing, subset LigCaretList after VarStore instantiation

 src/OT/Layout/GDEF/GDEF.hh                         |   4 +++-
 ...ubset.default.retain-all-codepoint.wght=300.ttf | Bin 0 -> 3300 bytes
 ...ns-BlackItalic.default.retain-all-codepoint.ttf | Bin 120020 -> 120020 bytes
 ...lackItalic.glyph-names.retain-all-codepoint.ttf | Bin 132264 -> 132264 bytes
 ...kItalic.notdef-outline.retain-all-codepoint.ttf | Bin 120020 -> 120020 bytes
 ...taliqUrdu-Bold.default.retain-all-codepoint.ttf | Bin 543364 -> 543364 bytes
 ...qUrdu-Bold.retain-gids.retain-all-codepoint.ttf | Bin 543364 -> 543364 bytes
 test/subset/data/fonts/AnekBangla-subset.ttf       | Bin 0 -> 5456 bytes
 test/subset/data/tests/gdef_partial_instance.tests |  11 +++++++++++
 test/subset/meson.build                            |   1 +
 10 files changed, 15 insertions(+), 1 deletion(-)

commit f57c64d8257e449230979b59ec3b98ed643775be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 2 11:21:44 2023 -0600

    [ci] Try fixing msvc builds again
    
    https://gitlab.gnome.org/GNOME/glib/-/issues/3134

 .ci/requirements.in  | 1 +
 .ci/requirements.txt | 8 +++++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 724360813b7916bb4a000b361796f63230e7c8c0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 2 11:01:49 2023 -0600

    [ci] Roll lxml forward
    
    Should help fixing the msvc fails.

 .ci/requirements.txt | 201 +++++++++++++++++++++++++++++----------------------
 1 file changed, 113 insertions(+), 88 deletions(-)

commit b532945987935db56503ad8ffb0655331798af5f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 1 16:53:26 2023 -0600

    [tuple_delta_t] Micro-optimize encoding vector access

 src/hb-ot-var-common.hh | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 59cfb4c570b0e11470900264b151295e64226947
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 1 16:25:50 2023 -0600

    [instancing] Micro-optimize a loop

 src/hb-ot-var-common.hh | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit 29d49eced8a9f4a9a6148972b0ba4430a2f7f6bf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 1 15:55:47 2023 -0600

    [vector] Introduce realloc_moves tag
    
    Some types (even aggregate) can be moved using realloc().
    Extend the fast path to hb_hashmap and tuple_delta_t.

 src/hb-array.hh         | 2 ++
 src/hb-map.hh           | 2 ++
 src/hb-ot-var-common.hh | 2 ++
 src/hb-vector.hh        | 7 ++++---
 4 files changed, 10 insertions(+), 3 deletions(-)

commit 7b46d772c44d6f0ee09c0c403fefa833cb385d9e
Author: Garret Rieger <grieger@google.com>
Date:   Wed Nov 1 20:07:07 2023 +0000

    [instancer] Update help message for --instance.
    
    Remove note about partial instancing not being supported. Add --variations flag as an alternate name for --instance. This matches other hb utils.

 util/hb-subset.cc | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 9d0bc085eeadf9385ae28ee460a9a5e686564917
Merge: f6f35f73b 2804127ac
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 22:25:07 2023 -0600

    Merge pull request #4469 from harfbuzz/typed-offsets
    
    Typed offsets

commit 2804127ac91d0fde162c034f9cb4d7d3fe9e369b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 15:12:55 2023 -0600

    [Value] Typed offsets

 src/OT/Layout/GPOS/PairPosFormat2.hh   |  2 +-
 src/OT/Layout/GPOS/PairSet.hh          |  2 +-
 src/OT/Layout/GPOS/PairValueRecord.hh  |  4 ++--
 src/OT/Layout/GPOS/SinglePosFormat1.hh |  2 +-
 src/OT/Layout/GPOS/SinglePosFormat2.hh |  2 +-
 src/OT/Layout/GPOS/ValueFormat.hh      | 37 ++++++++++++++++++----------------
 6 files changed, 26 insertions(+), 23 deletions(-)

commit 38546acd8391dbad3439a81302ff8e7032eb2ae1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 14:56:09 2023 -0600

    [typed-offset] Fix sanitize()

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 2 +-
 src/hb-open-type.hh                     | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 62117801b8c17d939cccc4c8ce0fe6a0b6a69d31
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 14:50:45 2023 -0600

    [AnchorMatrix] Annotate offset base type

 src/OT/Layout/GPOS/AnchorMatrix.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f219385a692b4dfd7d0a926b21c61b21f92085d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 14:33:23 2023 -0600

    [CursivePosFormat1] Use typed offsets for EntryExitRecord

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b37cc61d45618b3ac6e7a45386a1bccfad37b02f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 31 14:26:42 2023 -0600

    Add base types to OffsetTo<>
    
    Unused so far.

 src/OT/Layout/types.hh          |  8 ++++----
 src/hb-aat-layout-morx-table.hh |  4 ++--
 src/hb-open-type.hh             | 42 ++++++++++++++++++++---------------------
 3 files changed, 27 insertions(+), 27 deletions(-)

commit f6f35f73bc865eeb68b74c257f49d66b6a0e76b0
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Oct 27 09:31:07 2023 -0700

    [instancer] add tests for feature variations partial instancing

 ...Oriya-subset.default.retain-all-codepoint.wdth=75.ttf | Bin 0 -> 3296 bytes
 ...-all-layout-features.retain-all-codepoint.wdth=75.ttf | Bin 0 -> 4500 bytes
 test/subset/data/fonts/NotoSansOriya-subset.ttf          | Bin 0 -> 6212 bytes
 .../data/tests/feature_variations_partial_instance.tests |  12 ++++++++++++
 test/subset/meson.build                                  |   1 +
 5 files changed, 13 insertions(+)

commit 091e538daf396b009e01f5f7d54acbfdbd3b392d
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Oct 26 12:52:08 2023 -0700

    [instancer] support partial instancing for FeatureVariations

 src/hb-ot-layout-common.hh        | 110 ++++++++++++++++++++++++++++++--------
 src/hb-ot-layout-gsubgpos.hh      |  10 +---
 src/hb-ot-layout.cc               |   2 +-
 src/hb-subset-plan-member-list.hh |   9 ++++
 src/hb-subset-plan.cc             |  41 +++++++++-----
 5 files changed, 128 insertions(+), 44 deletions(-)

commit e5040c2352fd7c95090176a63f2d9043e4de0739
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 30 10:02:16 2023 +0000

    Bump ossf/scorecard-action from 2.3.0 to 2.3.1
    
    Bumps [ossf/scorecard-action](https://github.com/ossf/scorecard-action) from 2.3.0 to 2.3.1.
    - [Release notes](https://github.com/ossf/scorecard-action/releases)
    - [Changelog](https://github.com/ossf/scorecard-action/blob/main/RELEASE.md)
    - [Commits](https://github.com/ossf/scorecard-action/compare/483ef80eb98fb506c348f7d62e28055e49fe2398...0864cf19026789058feabb7e87baa5f140aac736)
    
    ---
    updated-dependencies:
    - dependency-name: ossf/scorecard-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16a76829f71e633c165bba9e7ff00cfb00a5d984
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 30 10:02:12 2023 +0000

    Bump github/codeql-action from 2.22.4 to 2.22.5
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.22.4 to 2.22.5.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/49abf0ba24d0b7953cb586944e918a0b92074c80...74483a38d39275f33fcff5f35b679b5ca4a26a99)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf08205625ac69a1d6fc7b0e066a8a5ed6ef908b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Oct 27 12:24:33 2023 -0600

    [deprecated] Add a mis-spelled macro
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4464

 docs/harfbuzz-sections.txt |  1 +
 src/hb-aat-layout.h        |  4 ++--
 src/hb-deprecated.h        | 11 ++++++++++-
 3 files changed, 13 insertions(+), 3 deletions(-)

commit 598de82f3aa6f9f6cbc6c271d0905350e598b281
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Oct 27 12:13:13 2023 -0600

    [hb-subset] Fix warning

 util/hb-subset.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9fc45f70ad42b87072ced65b8c58b87af005f265
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 5 14:06:39 2023 -0600

    [ReverseChainSingleSubst] Minor optimization

 src/OT/Layout/GSUB/ReverseChainSingleSubstFormat1.hh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 156de3c048237c5953d96ed5e7bdb53261456692
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 23 10:35:02 2023 +0000

    Bump meson from 1.2.2 to 1.2.3 in /.ci
    
    Bumps [meson](https://github.com/mesonbuild/meson) from 1.2.2 to 1.2.3.
    - [Release notes](https://github.com/mesonbuild/meson/releases)
    - [Commits](https://github.com/mesonbuild/meson/compare/1.2.2...1.2.3)
    
    ---
    updated-dependencies:
    - dependency-name: meson
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements.in  | 2 +-
 .ci/requirements.txt | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d7cd687b74fd8e103fb52964a079cd667c1847de
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 23 10:15:11 2023 +0000

    Bump github/codeql-action from 2.22.3 to 2.22.4
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.22.3 to 2.22.4.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/0116bc2df50751f9724a2e35ef1f24d22f90e4e1...49abf0ba24d0b7953cb586944e918a0b92074c80)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d123ece5fd5d5c78d530e1c302ea4daa316d5cc
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 23 10:14:58 2023 +0000

    Bump actions/checkout from 4.1.0 to 4.1.1
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 4.1.0 to 4.1.1.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/8ade135a41bc03ea155e62e844d188df1ea18608...b4ffde65f46336ab88eb53be808477a3936bae11)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/arm-ci.yml        | 2 +-
 .github/workflows/configs-build.yml | 2 +-
 .github/workflows/coverity-scan.yml | 2 +-
 .github/workflows/linux-ci.yml      | 2 +-
 .github/workflows/macos-ci.yml      | 2 +-
 .github/workflows/msvc-ci.yml       | 2 +-
 .github/workflows/msys2-ci.yml      | 2 +-
 .github/workflows/scorecard.yml     | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit b0150ffd05523c7cef9b3c91a8d6050177fceda3
Author: 一丝 <percyley@qq.com>
Date:   Fri Oct 20 21:53:14 2023 +0800

    [subset] keep East Asian spacing vhal, halt, chws, vchw by default
    
    Closes: https://github.com/harfbuzz/harfbuzz/issues/4451

 src/hb-subset-input.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit fde1c3692a4a1e45ee48954fb486ae6c036a5687
Merge: 38f351d11 e595fe75c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 19 11:04:34 2023 -0600

    Merge pull request #4452 from googlefonts/fix_test
    
    [subset] bug fixes for GDEF

commit e595fe75cceb5146cc490804d2619ce31464208e
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 16:00:06 2023 -0700

    fix bots
    
    partial instancing tests are wrapped by experimenal_api, do not enable
    them in Makefile

 src/hb-ot-layout-common.hh        | 2 +-
 test/subset/data/Makefile.am      | 1 -
 test/subset/data/Makefile.sources | 1 -
 3 files changed, 1 insertion(+), 3 deletions(-)

commit 38f351d113fcc66cd4aaafbcee952a6067f315a9
Author: Alexander Borsuk <me@alex.bio>
Date:   Wed Oct 18 01:52:18 2023 +0200

    [docs] Fixed links to freetype FT_LOAD_XXX flags
    
    Signed-off-by: Alexander Borsuk <me@alex.bio>

 src/hb-ft.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ce46698929999669000182b8e72aa4b9c0d8ce40
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 15:49:57 2023 -0700

    [subset] update tests
    
    to reflect changes in GDEF.MarkGlyphSetsDef and Lookup.MarkFilteringSet

 ...r-new.default.retain-all-codepoint.wght=300.ttf | Bin 131712 -> 131708 bytes
 ...r-new.default.retain-all-codepoint.wght=700.ttf | Bin 131588 -> 131584 bytes
 ...i-ABC.default.retain-all-codepoint.wght=300.ttf | Bin 5808 -> 5788 bytes
 ...i-ABC.default.retain-all-codepoint.wght=700.ttf | Bin 5804 -> 5784 bytes
 .../Comfortaa-Regular-new.default.61,62,63.ttf     | Bin 7060 -> 7036 bytes
 .../basics/Comfortaa-Regular-new.default.61,63.ttf | Bin 6692 -> 6668 bytes
 .../basics/Comfortaa-Regular-new.default.61.ttf    | Bin 6328 -> 6300 bytes
 .../basics/Comfortaa-Regular-new.default.62.ttf    | Bin 6200 -> 6172 bytes
 .../basics/Comfortaa-Regular-new.default.63.ttf    | Bin 6256 -> 6228 bytes
 ...Regular-new.drop-hints-retain-gids.61,62,63.ttf | Bin 4608 -> 4580 bytes
 ...aa-Regular-new.drop-hints-retain-gids.61,63.ttf | Bin 4312 -> 4284 bytes
 ...ortaa-Regular-new.drop-hints-retain-gids.61.ttf | Bin 3724 -> 3696 bytes
 ...ortaa-Regular-new.drop-hints-retain-gids.62.ttf | Bin 3900 -> 3872 bytes
 ...ortaa-Regular-new.drop-hints-retain-gids.63.ttf | Bin 3972 -> 3944 bytes
 .../Comfortaa-Regular-new.drop-hints.61,62,63.ttf  | Bin 2600 -> 2576 bytes
 .../Comfortaa-Regular-new.drop-hints.61,63.ttf     | Bin 2296 -> 2272 bytes
 .../basics/Comfortaa-Regular-new.drop-hints.61.ttf | Bin 1976 -> 1948 bytes
 .../basics/Comfortaa-Regular-new.drop-hints.62.ttf | Bin 1900 -> 1872 bytes
 .../basics/Comfortaa-Regular-new.drop-hints.63.ttf | Bin 1968 -> 1940 bytes
 .../basics/Comfortaa-Regular-new.gids.61,62,63.ttf | Bin 7988 -> 7964 bytes
 .../basics/Comfortaa-Regular-new.gids.61,63.ttf    | Bin 7628 -> 7604 bytes
 .../basics/Comfortaa-Regular-new.gids.61.ttf       | Bin 7256 -> 7232 bytes
 .../basics/Comfortaa-Regular-new.gids.62.ttf       | Bin 7184 -> 7160 bytes
 .../basics/Comfortaa-Regular-new.gids.63.ttf       | Bin 7180 -> 7156 bytes
 .../Comfortaa-Regular-new.glyph-names.61,62,63.ttf | Bin 7072 -> 7048 bytes
 .../Comfortaa-Regular-new.glyph-names.61,63.ttf    | Bin 6700 -> 6676 bytes
 .../Comfortaa-Regular-new.glyph-names.61.ttf       | Bin 6336 -> 6308 bytes
 .../Comfortaa-Regular-new.glyph-names.62.ttf       | Bin 6208 -> 6180 bytes
 .../Comfortaa-Regular-new.glyph-names.63.ttf       | Bin 6264 -> 6236 bytes
 ...gular-new.keep-all-layout-features.61,62,63.ttf | Bin 7508 -> 7484 bytes
 ...-Regular-new.keep-all-layout-features.61,63.ttf | Bin 7144 -> 7120 bytes
 ...taa-Regular-new.keep-all-layout-features.61.ttf | Bin 6776 -> 6748 bytes
 ...taa-Regular-new.keep-all-layout-features.62.ttf | Bin 6200 -> 6172 bytes
 ...taa-Regular-new.keep-all-layout-features.63.ttf | Bin 6256 -> 6228 bytes
 ...fortaa-Regular-new.layout-features.61,62,63.ttf | Bin 7060 -> 7036 bytes
 ...Comfortaa-Regular-new.layout-features.61,63.ttf | Bin 6692 -> 6668 bytes
 .../Comfortaa-Regular-new.layout-features.61.ttf   | Bin 6328 -> 6300 bytes
 .../Comfortaa-Regular-new.layout-features.62.ttf   | Bin 6200 -> 6172 bytes
 .../Comfortaa-Regular-new.layout-features.63.ttf   | Bin 6256 -> 6228 bytes
 .../Comfortaa-Regular-new.name-ids.61,62,63.ttf    | Bin 6800 -> 6776 bytes
 .../Comfortaa-Regular-new.name-ids.61,63.ttf       | Bin 6432 -> 6408 bytes
 .../basics/Comfortaa-Regular-new.name-ids.61.ttf   | Bin 6068 -> 6040 bytes
 .../basics/Comfortaa-Regular-new.name-ids.62.ttf   | Bin 5940 -> 5912 bytes
 .../basics/Comfortaa-Regular-new.name-ids.63.ttf   | Bin 5996 -> 5968 bytes
 ...mfortaa-Regular-new.name-languages.61,62,63.ttf | Bin 7060 -> 7036 bytes
 .../Comfortaa-Regular-new.name-languages.61,63.ttf | Bin 6692 -> 6668 bytes
 .../Comfortaa-Regular-new.name-languages.61.ttf    | Bin 6328 -> 6300 bytes
 .../Comfortaa-Regular-new.name-languages.62.ttf    | Bin 6200 -> 6172 bytes
 .../Comfortaa-Regular-new.name-languages.63.ttf    | Bin 6256 -> 6228 bytes
 .../Comfortaa-Regular-new.name-legacy.61,62,63.ttf | Bin 7060 -> 7036 bytes
 .../Comfortaa-Regular-new.name-legacy.61,63.ttf    | Bin 6692 -> 6668 bytes
 .../Comfortaa-Regular-new.name-legacy.61.ttf       | Bin 6328 -> 6300 bytes
 .../Comfortaa-Regular-new.name-legacy.62.ttf       | Bin 6200 -> 6172 bytes
 .../Comfortaa-Regular-new.name-legacy.63.ttf       | Bin 6256 -> 6228 bytes
 ...egular-new.no-prune-unicode-ranges.61,62,63.ttf | Bin 7060 -> 7036 bytes
 ...a-Regular-new.no-prune-unicode-ranges.61,63.ttf | Bin 6692 -> 6668 bytes
 ...rtaa-Regular-new.no-prune-unicode-ranges.61.ttf | Bin 6328 -> 6300 bytes
 ...rtaa-Regular-new.no-prune-unicode-ranges.62.ttf | Bin 6200 -> 6172 bytes
 ...rtaa-Regular-new.no-prune-unicode-ranges.63.ttf | Bin 6256 -> 6228 bytes
 ...mfortaa-Regular-new.notdef-outline.61,62,63.ttf | Bin 7652 -> 7628 bytes
 .../Comfortaa-Regular-new.notdef-outline.61,63.ttf | Bin 7284 -> 7260 bytes
 .../Comfortaa-Regular-new.notdef-outline.61.ttf    | Bin 6920 -> 6892 bytes
 .../Comfortaa-Regular-new.notdef-outline.62.ttf    | Bin 6796 -> 6768 bytes
 .../Comfortaa-Regular-new.notdef-outline.63.ttf    | Bin 6844 -> 6816 bytes
 .../Comfortaa-Regular-new.retain-gids.61,62,63.ttf | Bin 9068 -> 9040 bytes
 .../Comfortaa-Regular-new.retain-gids.61,63.ttf    | Bin 8708 -> 8680 bytes
 .../Comfortaa-Regular-new.retain-gids.61.ttf       | Bin 8076 -> 8048 bytes
 .../Comfortaa-Regular-new.retain-gids.62.ttf       | Bin 8200 -> 8172 bytes
 .../Comfortaa-Regular-new.retain-gids.63.ttf       | Bin 8260 -> 8232 bytes
 .../basics/Roboto-Regular.abc.default.61,62,63.ttf | Bin 2412 -> 2396 bytes
 .../basics/Roboto-Regular.abc.default.61,63.ttf    | Bin 2208 -> 2192 bytes
 .../basics/Roboto-Regular.abc.default.61.ttf       | Bin 2008 -> 1988 bytes
 .../basics/Roboto-Regular.abc.default.62.ttf       | Bin 1876 -> 1856 bytes
 .../basics/Roboto-Regular.abc.default.63.ttf       | Bin 1932 -> 1912 bytes
 ...to-Regular.abc.default.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 ...Regular.abc.drop-hints-retain-gids.61,62,63.ttf | Bin 1152 -> 1136 bytes
 ...to-Regular.abc.drop-hints-retain-gids.61,63.ttf | Bin 1072 -> 1052 bytes
 ...oboto-Regular.abc.drop-hints-retain-gids.61.ttf | Bin 944 -> 924 bytes
 ...oboto-Regular.abc.drop-hints-retain-gids.62.ttf | Bin 840 -> 820 bytes
 ...oboto-Regular.abc.drop-hints-retain-gids.63.ttf | Bin 928 -> 908 bytes
 ...drop-hints-retain-gids.retain-all-codepoint.ttf | Bin 1152 -> 1136 bytes
 .../Roboto-Regular.abc.drop-hints.61,62,63.ttf     | Bin 1152 -> 1136 bytes
 .../basics/Roboto-Regular.abc.drop-hints.61,63.ttf | Bin 1056 -> 1040 bytes
 .../basics/Roboto-Regular.abc.drop-hints.61.ttf    | Bin 944 -> 924 bytes
 .../basics/Roboto-Regular.abc.drop-hints.62.ttf    | Bin 836 -> 816 bytes
 .../basics/Roboto-Regular.abc.drop-hints.63.ttf    | Bin 916 -> 896 bytes
 ...Regular.abc.drop-hints.retain-all-codepoint.ttf | Bin 1152 -> 1136 bytes
 .../basics/Roboto-Regular.abc.gids.61,62,63.ttf    | Bin 2412 -> 2396 bytes
 .../basics/Roboto-Regular.abc.gids.61,63.ttf       | Bin 2412 -> 2396 bytes
 .../expected/basics/Roboto-Regular.abc.gids.61.ttf | Bin 2412 -> 2396 bytes
 .../expected/basics/Roboto-Regular.abc.gids.62.ttf | Bin 2412 -> 2396 bytes
 .../expected/basics/Roboto-Regular.abc.gids.63.ttf | Bin 2412 -> 2396 bytes
 ...oboto-Regular.abc.gids.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.glyph-names.61,62,63.ttf    | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.glyph-names.61,63.ttf       | Bin 2208 -> 2192 bytes
 .../basics/Roboto-Regular.abc.glyph-names.61.ttf   | Bin 2008 -> 1988 bytes
 .../basics/Roboto-Regular.abc.glyph-names.62.ttf   | Bin 1876 -> 1856 bytes
 .../basics/Roboto-Regular.abc.glyph-names.63.ttf   | Bin 1932 -> 1912 bytes
 ...egular.abc.glyph-names.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 ...gular.abc.keep-all-layout-features.61,62,63.ttf | Bin 2412 -> 2396 bytes
 ...-Regular.abc.keep-all-layout-features.61,63.ttf | Bin 2208 -> 2192 bytes
 ...oto-Regular.abc.keep-all-layout-features.61.ttf | Bin 2008 -> 1988 bytes
 ...oto-Regular.abc.keep-all-layout-features.62.ttf | Bin 1876 -> 1856 bytes
 ...oto-Regular.abc.keep-all-layout-features.63.ttf | Bin 1932 -> 1912 bytes
 ...ep-all-layout-features.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 ...Roboto-Regular.abc.layout-features.61,62,63.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.layout-features.61,63.ttf   | Bin 2208 -> 2192 bytes
 .../Roboto-Regular.abc.layout-features.61.ttf      | Bin 2008 -> 1988 bytes
 .../Roboto-Regular.abc.layout-features.62.ttf      | Bin 1876 -> 1856 bytes
 .../Roboto-Regular.abc.layout-features.63.ttf      | Bin 1932 -> 1912 bytes
 ...ar.abc.layout-features.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.name-ids.61,62,63.ttf       | Bin 2412 -> 2396 bytes
 .../basics/Roboto-Regular.abc.name-ids.61,63.ttf   | Bin 2208 -> 2192 bytes
 .../basics/Roboto-Regular.abc.name-ids.61.ttf      | Bin 2008 -> 1988 bytes
 .../basics/Roboto-Regular.abc.name-ids.62.ttf      | Bin 1876 -> 1856 bytes
 .../basics/Roboto-Regular.abc.name-ids.63.ttf      | Bin 1932 -> 1912 bytes
 ...o-Regular.abc.name-ids.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.name-languages.61,62,63.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.name-languages.61,63.ttf    | Bin 2208 -> 2192 bytes
 .../Roboto-Regular.abc.name-languages.61.ttf       | Bin 2008 -> 1988 bytes
 .../Roboto-Regular.abc.name-languages.62.ttf       | Bin 1876 -> 1856 bytes
 .../Roboto-Regular.abc.name-languages.63.ttf       | Bin 1932 -> 1912 bytes
 ...lar.abc.name-languages.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.name-legacy.61,62,63.ttf    | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.name-legacy.61,63.ttf       | Bin 2208 -> 2192 bytes
 .../basics/Roboto-Regular.abc.name-legacy.61.ttf   | Bin 2008 -> 1988 bytes
 .../basics/Roboto-Regular.abc.name-legacy.62.ttf   | Bin 1876 -> 1856 bytes
 .../basics/Roboto-Regular.abc.name-legacy.63.ttf   | Bin 1932 -> 1912 bytes
 ...egular.abc.name-legacy.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 ...egular.abc.no-prune-unicode-ranges.61,62,63.ttf | Bin 2412 -> 2396 bytes
 ...o-Regular.abc.no-prune-unicode-ranges.61,63.ttf | Bin 2208 -> 2192 bytes
 ...boto-Regular.abc.no-prune-unicode-ranges.61.ttf | Bin 2008 -> 1988 bytes
 ...boto-Regular.abc.no-prune-unicode-ranges.62.ttf | Bin 1876 -> 1856 bytes
 ...boto-Regular.abc.no-prune-unicode-ranges.63.ttf | Bin 1932 -> 1912 bytes
 ...o-prune-unicode-ranges.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.notdef-outline.61,62,63.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.notdef-outline.61,63.ttf    | Bin 2208 -> 2192 bytes
 .../Roboto-Regular.abc.notdef-outline.61.ttf       | Bin 2008 -> 1988 bytes
 .../Roboto-Regular.abc.notdef-outline.62.ttf       | Bin 1876 -> 1856 bytes
 .../Roboto-Regular.abc.notdef-outline.63.ttf       | Bin 1932 -> 1912 bytes
 ...lar.abc.notdef-outline.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.retain-gids.61,62,63.ttf    | Bin 2412 -> 2396 bytes
 .../Roboto-Regular.abc.retain-gids.61,63.ttf       | Bin 2224 -> 2204 bytes
 .../basics/Roboto-Regular.abc.retain-gids.61.ttf   | Bin 2008 -> 1988 bytes
 .../basics/Roboto-Regular.abc.retain-gids.62.ttf   | Bin 1884 -> 1864 bytes
 .../basics/Roboto-Regular.abc.retain-gids.63.ttf   | Bin 1948 -> 1928 bytes
 ...egular.abc.retain-gids.retain-all-codepoint.ttf | Bin 2412 -> 2396 bytes
 .../colrv1_copy_varstore/Foldit.default.41,42.ttf  | Bin 43860 -> 43840 bytes
 .../colrv1_copy_varstore/Foldit.default.41.ttf     | Bin 43048 -> 43028 bytes
 .../Foldit.default.retain-all-codepoint.ttf        | Bin 44336 -> 44324 bytes
 .../Foldit.drop-hints-retain-gids.41,42.ttf        | Bin 43836 -> 43816 bytes
 .../Foldit.drop-hints-retain-gids.41.ttf           | Bin 43032 -> 43012 bytes
 ...drop-hints-retain-gids.retain-all-codepoint.ttf | Bin 44300 -> 44288 bytes
 .../Foldit.drop-hints.41,42.ttf                    | Bin 43820 -> 43800 bytes
 .../colrv1_copy_varstore/Foldit.drop-hints.41.ttf  | Bin 43016 -> 42996 bytes
 .../Foldit.drop-hints.retain-all-codepoint.ttf     | Bin 44300 -> 44288 bytes
 .../Foldit.retain-gids.41,42.ttf                   | Bin 43876 -> 43856 bytes
 .../colrv1_copy_varstore/Foldit.retain-gids.41.ttf | Bin 43064 -> 43044 bytes
 .../Foldit.retain-gids.retain-all-codepoint.ttf    | Bin 44336 -> 44324 bytes
 ...ain-all-codepoint.wght=400,wdth=100,opsz=14.ttf | Bin 6408 -> 6404 bytes
 .../Roboto-Regular.default.1FC,21,41,20,62,63.ttf  | Bin 3004 -> 2984 bytes
 ...ar.default.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 4800 -> 4780 bytes
 .../full-font/Roboto-Regular.default.61,62,63.ttf  | Bin 2632 -> 2616 bytes
 .../Roboto-Regular.default.D7,D8,D9,DA,DE.ttf      | Bin 2960 -> 2944 bytes
 ...oboto-Regular.drop-hints.1FC,21,41,20,62,63.ttf | Bin 1556 -> 1536 bytes
 ...drop-hints.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 2452 -> 2432 bytes
 .../Roboto-Regular.drop-hints.61,62,63.ttf         | Bin 1372 -> 1356 bytes
 .../Roboto-Regular.drop-hints.D7,D8,D9,DA,DE.ttf   | Bin 1584 -> 1568 bytes
 ....filter-scripts-features.1FC,21,41,20,62,63.ttf | Bin 2856 -> 2836 bytes
 ...ilter-scripts-features.2.1FC,21,41,20,62,63.ttf | Bin 2856 -> 2836 bytes
 ...features.2.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 4560 -> 4540 bytes
 ...-Regular.filter-scripts-features.2.61,62,63.ttf | Bin 2484 -> 2468 bytes
 ...ar.filter-scripts-features.2.D7,D8,D9,DA,DE.ttf | Bin 2828 -> 2812 bytes
 ...s-features.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 3932 -> 3916 bytes
 ...to-Regular.filter-scripts-features.61,62,63.ttf | Bin 2484 -> 2468 bytes
 ...ular.filter-scripts-features.D7,D8,D9,DA,DE.ttf | Bin 2828 -> 2812 bytes
 ...o-Regular.filter-scripts.1FC,21,41,20,62,63.ttf | Bin 2972 -> 2952 bytes
 ...er-scripts.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 4140 -> 4124 bytes
 .../Roboto-Regular.filter-scripts.61,62,63.ttf     | Bin 2600 -> 2584 bytes
 ...oboto-Regular.filter-scripts.D7,D8,D9,DA,DE.ttf | Bin 2928 -> 2912 bytes
 ...oboto-Regular.no-scripts.1FC,21,41,20,62,63.ttf | Bin 2836 -> 2816 bytes
 ...no-scripts.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 3912 -> 3896 bytes
 .../Roboto-Regular.no-scripts.61,62,63.ttf         | Bin 2464 -> 2448 bytes
 .../Roboto-Regular.no-scripts.D7,D8,D9,DA,DE.ttf   | Bin 2808 -> 2792 bytes
 ....filter-scripts-features.1FC,21,41,20,62,63.ttf | Bin 3476 -> 3472 bytes
 ...ilter-scripts-features.2.1FC,21,41,20,62,63.ttf | Bin 3476 -> 3472 bytes
 ...features.2.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 8700 -> 8696 bytes
 ...le-Roman.filter-scripts-features.2.61,62,63.ttf | Bin 3476 -> 3472 bytes
 ...an.filter-scripts-features.2.D7,D8,D9,DA,DE.ttf | Bin 3948 -> 3940 bytes
 ...s-features.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 6584 -> 6580 bytes
 ...able-Roman.filter-scripts-features.61,62,63.ttf | Bin 3476 -> 3472 bytes
 ...oman.filter-scripts-features.D7,D8,D9,DA,DE.ttf | Bin 3948 -> 3940 bytes
 ...ariable-Roman.no-scripts.1FC,21,41,20,62,63.ttf | Bin 3456 -> 3452 bytes
 ...no-scripts.61,62,63,64,65,66,67,68,69,6A,6B.ttf | Bin 6564 -> 6560 bytes
 ...urceSerifVariable-Roman.no-scripts.61,62,63.ttf | Bin 3456 -> 3452 bytes
 ...rifVariable-Roman.no-scripts.D7,D8,D9,DA,DE.ttf | Bin 3928 -> 3920 bytes
 ...fault.retain-all-codepoint.wght=150,wdth=80.ttf | Bin 114200 -> 114196 bytes
 ...fault.retain-all-codepoint.wght=300,wdth=90.ttf | Bin 114300 -> 114296 bytes
 ...anges.retain-all-codepoint.wght=150,wdth=80.ttf | Bin 114200 -> 114196 bytes
 ...anges.retain-all-codepoint.wght=300,wdth=90.ttf | Bin 114300 -> 114296 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 8728 -> 8708 bytes
 ...t.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 7612 -> 7592 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7592 -> 7568 bytes
 ...t.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6956 -> 6932 bytes
 ...oto-Regular.glyph_map_roboto.41,43,61,66,69.ttf | Bin 3996 -> 3980 bytes
 .../MPLUS1-Variable.default.30DD.wght=100.ttf      | Bin 1460 -> 1404 bytes
 .../MPLUS1-Variable.default.30DD.wght=400.ttf      | Bin 1712 -> 1656 bytes
 ...retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf | Bin 2244 -> 2224 bytes
 ...retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf | Bin 2696 -> 2676 bytes
 ...F-ABC.default.retain-all-codepoint.wght=800.otf | Bin 1508 -> 1488 bytes
 ...C.retain-gids.retain-all-codepoint.wght=800.otf | Bin 1508 -> 1488 bytes
 ...oldit.default.retain-all-codepoint.wght=900.ttf | Bin 2508 -> 2488 bytes
 ...fault.retain-all-codepoint.wght=200,wdth=90.ttf | Bin 6760 -> 6736 bytes
 ...fault.retain-all-codepoint.wght=650,wdth=85.ttf | Bin 6712 -> 6688 bytes
 ...fault.retain-all-codepoint.wght=200,wdth=90.ttf | Bin 6440 -> 6416 bytes
 ...fault.retain-all-codepoint.wght=650,wdth=85.ttf | Bin 6392 -> 6368 bytes
 .../Roboto-Regular.default.1E00,303.ttf            | Bin 2472 -> 2464 bytes
 .../layout.gdef/Roboto-Regular.default.303.ttf     | Bin 2076 -> 2068 bytes
 .../Roboto-Regular.default.309,20,30F.ttf          | Bin 2148 -> 2140 bytes
 .../layout.gdef/Roboto-Regular.default.323.ttf     | Bin 1968 -> 1960 bytes
 .../Roboto-Regular.default.41,42,43.ttf            | Bin 2532 -> 2516 bytes
 .../Roboto-Regular.drop-hints.1E00,303.ttf         | Bin 1328 -> 1320 bytes
 .../layout.gdef/Roboto-Regular.drop-hints.303.ttf  | Bin 1072 -> 1064 bytes
 .../Roboto-Regular.drop-hints.309,20,30F.ttf       | Bin 1108 -> 1100 bytes
 .../layout.gdef/Roboto-Regular.drop-hints.323.ttf  | Bin 1016 -> 1008 bytes
 .../Roboto-Regular.drop-hints.41,42,43.ttf         | Bin 1348 -> 1332 bytes
 .../Roboto-Regular.keep-gdef-gpos.1E00,303.ttf     | Bin 2472 -> 2464 bytes
 .../Roboto-Regular.keep-gdef-gpos.303.ttf          | Bin 2076 -> 2068 bytes
 .../Roboto-Regular.keep-gdef-gpos.309,20,30F.ttf   | Bin 2148 -> 2140 bytes
 .../Roboto-Regular.keep-gdef-gpos.323.ttf          | Bin 1968 -> 1960 bytes
 .../Roboto-Regular.keep-gdef-gpos.41,42,43.ttf     | Bin 2532 -> 2516 bytes
 ...ular.default.627,644,623,62D,644,627,645,2E.ttf | Bin 17564 -> 17552 bytes
 ...astaliqUrdu-Regular.default.627,644,62D,628.ttf | Bin 24532 -> 24520 bytes
 .../NotoNastaliqUrdu-Regular.default.627,644.ttf   | Bin 7776 -> 7752 bytes
 ...-Regular.default.633,645,627,621,20,644,627.ttf | Bin 23232 -> 23212 bytes
 .../NotoNastaliqUrdu-Regular.default.633,6D2.ttf   | Bin 14292 -> 14280 bytes
 ...otoNastaliqUrdu-Regular.default.63A,64A,631.ttf | Bin 26124 -> 26116 bytes
 ....retain-gids.627,644,623,62D,644,627,645,2E.ttf | Bin 24224 -> 24212 bytes
 ...liqUrdu-Regular.retain-gids.627,644,62D,628.ttf | Bin 30432 -> 30420 bytes
 ...otoNastaliqUrdu-Regular.retain-gids.627,644.ttf | Bin 13380 -> 13360 bytes
 ...ular.retain-gids.633,645,627,621,20,644,627.ttf | Bin 28888 -> 28864 bytes
 ...otoNastaliqUrdu-Regular.retain-gids.633,6D2.ttf | Bin 20132 -> 20120 bytes
 ...astaliqUrdu-Regular.retain-gids.63A,64A,631.ttf | Bin 31984 -> 31976 bytes
 ...HebrewLatin-Regular.default.392,3a7,3b2,3c7.ttf | Bin 2464 -> 2404 bytes
 ...wLatin-Regular.default.retain-all-codepoint.ttf | Bin 129952 -> 129896 bytes
 ...ewLatin-Regular.layout-test.392,3a7,3b2,3c7.ttf | Bin 2588 -> 2528 bytes
 ...in-Regular.layout-test.retain-all-codepoint.ttf | Bin 151928 -> 151868 bytes
 ...ewLatin-Regular.retain-gids.392,3a7,3b2,3c7.ttf | Bin 13484 -> 13424 bytes
 ...in-Regular.retain-gids.retain-all-codepoint.ttf | Bin 133056 -> 132996 bytes
 .../Roboto-Regular.smallcaps.default.41,42,43.ttf  | Bin 2424 -> 2408 bytes
 .../Roboto-Regular.smallcaps.default.41,43.ttf     | Bin 2232 -> 2216 bytes
 .../layout/Roboto-Regular.smallcaps.default.41.ttf | Bin 2044 -> 2024 bytes
 .../layout/Roboto-Regular.smallcaps.default.43.ttf | Bin 2076 -> 2056 bytes
 .../Roboto-Regular.smallcaps.default.CA,CB.ttf     | Bin 2348 -> 2332 bytes
 ...boto-Regular.smallcaps.retain-gids.41,42,43.ttf | Bin 2676 -> 2660 bytes
 .../Roboto-Regular.smallcaps.retain-gids.41,43.ttf | Bin 2496 -> 2476 bytes
 .../Roboto-Regular.smallcaps.retain-gids.41.ttf    | Bin 2296 -> 2276 bytes
 .../Roboto-Regular.smallcaps.retain-gids.43.ttf    | Bin 2344 -> 2324 bytes
 .../Roboto-Regular.smallcaps.retain-gids.CA,CB.ttf | Bin 6436 -> 6420 bytes
 ...odepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 4324 -> 4300 bytes
 ...c.default.retain-all-codepoint.wght=300-600.ttf | Bin 6832 -> 6808 bytes
 ...c.default.retain-all-codepoint.wght=500-800.ttf | Bin 7312 -> 7288 bytes
 ...-Regular.no-layout-closure-gids.no-unicodes.ttf | Bin 2612 -> 2592 bytes
 ...Regular.no-layout-closure-gids2.no-unicodes.ttf | Bin 2800 -> 2780 bytes
 ...lt.retain-all-codepoint.wght=400,wdth=100.0.ttf | Bin 6804 -> 6780 bytes
 ...ult.retain-all-codepoint.wght=drop,wdth=100.ttf | Bin 6804 -> 6780 bytes
 .../Roboto-Regular.gids.61,62,63,30D9.ttf          | Bin 2680 -> 2664 bytes
 267 files changed, 0 insertions(+), 0 deletions(-)

commit 8ceed6ee72edd49163714e8f4ce072f104f58277
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 15:43:40 2023 -0700

    [subset] fix Lookup.MarkFilteringSet to use the new indices

 src/OT/Layout/GDEF/GDEF.hh        | 23 +++++++++++++++++++++++
 src/hb-ot-layout-common.hh        | 16 +++++++++++++---
 src/hb-subset-plan-member-list.hh |  3 +++
 src/hb-subset-plan.cc             | 21 +++++++++++++++++++++
 4 files changed, 60 insertions(+), 3 deletions(-)

commit 510456e9532734af5417b43be71e9e4acc460c7b
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 14:26:11 2023 -0700

    [subset] don't retain empty coverage in MarkGlyphSetsDef

 src/OT/Layout/GDEF/GDEF.hh | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 16ee24c050660b7075a16c1a1b9f5702e38b65f4
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 12:43:36 2023 -0700

    [subset] bug fix for GDEF
    
    don't use embed(this), snapshot and revert to lower version if needed

 src/OT/Layout/GDEF/GDEF.hh | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit bde6fb83ea6b0c68d17e2d6362f52fdb2828f6ab
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Oct 18 10:21:02 2023 -0700

    add missing file for test empty_region_vardata

 test/subset/data/fonts/RobotoFlex-Variable.ABC.ttf | Bin 0 -> 27440 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 57dac23d794cac20f94396f5da60d4745df9d39c
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Oct 17 17:11:13 2023 -0700

    [instancer] add tests
    
    Also update tests to gei rid of no-tables-with-item-variations profile

 test/subset/data/Makefile.am                          |   1 +
 test/subset/data/Makefile.sources                     |   1 +
 ...ault.retain-all-codepoint.wght=200-300,opsz=14.ttf | Bin 0 -> 10136 bytes
 ...retain-all-codepoint.wght=400,wdth=100,opsz=14.ttf | Bin 0 -> 6408 bytes
 ...ain-all-codepoint.wght=200-300-500,wdth=80-90.ttf} | Bin
 ...ult.retain-all-codepoint.wght=300-600,wdth=85.ttf} | Bin
 ...ain-all-codepoint.wght=200-300-500,wdth=80-90.ttf} | Bin
 ...ult.retain-all-codepoint.wght=300-600,wdth=85.ttf} | Bin
 ...-codepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf} | Bin 4340 -> 4324 bytes
 ...abc.default.retain-all-codepoint.wght=300-600.ttf} | Bin 6848 -> 6832 bytes
 ...abc.default.retain-all-codepoint.wght=500-800.ttf} | Bin 7328 -> 7312 bytes
 ...man.default.retain-all-codepoint.wght=300-600.ttf} | Bin
 ...man.default.retain-all-codepoint.wght=500-800.ttf} | Bin
 .../data/profiles/no-tables-with-item-variations.txt  |   1 -
 test/subset/data/tests/empty_region_vardata.tests     |  13 +++++++++++++
 test/subset/data/tests/glyf_partial_instancing.tests  |   2 +-
 test/subset/data/tests/mvar_partial_instance.tests    |   2 +-
 test/subset/data/tests/update_def_wght.tests          |   2 +-
 test/subset/meson.build                               |   1 +
 19 files changed, 19 insertions(+), 4 deletions(-)

commit 8585d600c400d541741c3553aa5e14083076560c
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Oct 17 14:30:17 2023 -0700

    [instancer] update variable device flags in ValueFormat

 src/OT/Layout/GPOS/Common.hh           |  2 +-
 src/OT/Layout/GPOS/PairPosFormat1.hh   | 38 ++++++++++++++++++-------------
 src/OT/Layout/GPOS/PairPosFormat2.hh   | 24 ++++++++++++--------
 src/OT/Layout/GPOS/SinglePos.hh        | 11 ++++-----
 src/OT/Layout/GPOS/SinglePosFormat1.hh |  2 +-
 src/OT/Layout/GPOS/SinglePosFormat2.hh |  2 +-
 src/OT/Layout/GPOS/ValueFormat.hh      | 41 +++++++++++++++++++++++++++++++---
 7 files changed, 84 insertions(+), 36 deletions(-)

commit 1a5dd610beed2f6afd0d4f369b57c814e2b9abb6
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Oct 16 09:47:16 2023 -0700

    [instancer] retain empty rows when region is empty and item_count is not

 src/hb-ot-var-common.hh | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 45a7f9cec377df71de4a512720d695186cc23afa
Author: David Manthey <david.manthey@kitware.com>
Date:   Wed Oct 18 08:28:23 2023 -0400

    Change the shebang used for python
    
    The shebang `/usr/bin/python3` assumes python3 is installed in /usr/bin,
    which isn't always true (e.g., in the manylinux docker image).  Using
    `/usr/bin/env python3` uses the python3 that is in the path, which is
    more flexible.

 src/relative_to.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18a6e78549e8e04a281129ea8ca784ce85f111b8
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Wed Oct 18 01:10:44 2023 +0300

    8.2.2

 NEWS             | 11 +++++++++++
 configure.ac     |  2 +-
 meson.build      |  2 +-
 src/hb-version.h |  4 ++--
 4 files changed, 15 insertions(+), 4 deletions(-)

commit 52bc78e70de9f8288e3412a8017f88d2e0a31dea
Author: Garret Rieger <grieger@google.com>
Date:   Tue Oct 10 21:44:52 2023 +0000

    s/PairPos/MarkBasePos/ in MarkBasePos repacking implementation.

 src/graph/markbasepos-graph.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6190bb0b8ed8af3d182d1936fbe859c15fb0f817
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 16 14:08:31 2023 -0400

    [layout] Change order of feature collection
    
    See comments for rationale.
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4445

 src/hb-ot-layout.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 4992456cfadabb6ecbc7b4efc5c1af9ec91f6dd3
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 16 10:07:42 2023 +0000

    Bump ninja from 1.11.1 to 1.11.1.1 in /.ci
    
    Bumps [ninja](https://github.com/ninja-build/ninja) from 1.11.1 to 1.11.1.1.
    - [Release notes](https://github.com/ninja-build/ninja/releases)
    - [Commits](https://github.com/ninja-build/ninja/commits)
    
    ---
    updated-dependencies:
    - dependency-name: ninja
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements.txt | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 397b32e585cbb29349e0e97fad2e84cb57a9a6d1
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 16 10:29:00 2023 +0000

    Bump github/codeql-action from 2.22.0 to 2.22.3
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.22.0 to 2.22.3.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/2cb752a87e96af96708ab57187ab6372ee1973ab...0116bc2df50751f9724a2e35ef1f24d22f90e4e1)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f395cbaf91be284f443c27b8b35be0edd788c34
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Oct 12 10:06:00 2023 -0700

    [instancer] templatize the priority queue, use custom type for varstore
    
    when instantiating varstore, we need to pop a tuple like
    (combined_gain, i, j), if combined gain is the same then we compare the
    value of i, and then j. So we'd like to use custom type as the key when
    popping from the queue. This would match fonttool's algorithm cause it
    uses heappop().

 src/graph/graph.hh         |  4 ++--
 src/hb-ot-var-common.hh    | 47 ++++++++++++++++++++++++++++++++++------------
 src/hb-priority-queue.hh   |  5 +++--
 src/test-priority-queue.cc |  4 ++--
 4 files changed, 42 insertions(+), 18 deletions(-)

commit bbd53fcfa49e9d4a8b3899ce2c109377886a3ba9
Author: Garret Rieger <grieger@google.com>
Date:   Tue Oct 10 21:41:42 2023 +0000

    Remove glyph_map test that uses retain gids.
    
    We no longer allow the use of glyph map + retain gids (see: https://github.com/harfbuzz/harfbuzz/blob/main/src/hb-subset-plan.cc#L817). Also add the test to the meson file so it will be run by default.

 test/subset/data/Makefile.am                             |   1 +
 test/subset/data/Makefile.sources                        |   1 +
 ...gular.glyph_map_roboto_retain_gids.41,43,61,66,69.ttf | Bin 7936 -> 0 bytes
 .../data/profiles/glyph_map_roboto_retain_gids.txt       |   4 ----
 test/subset/data/tests/glyph_map.tests                   |   1 -
 test/subset/meson.build                                  |   1 +
 6 files changed, 3 insertions(+), 5 deletions(-)

commit 9648799e53edae7072505849fb551a6e621b8f6c
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 9 10:34:48 2023 +0000

    Bump ossf/scorecard-action from 2.2.0 to 2.3.0
    
    Bumps [ossf/scorecard-action](https://github.com/ossf/scorecard-action) from 2.2.0 to 2.3.0.
    - [Release notes](https://github.com/ossf/scorecard-action/releases)
    - [Changelog](https://github.com/ossf/scorecard-action/blob/main/RELEASE.md)
    - [Commits](https://github.com/ossf/scorecard-action/compare/08b4669551908b1024bb425080c797723083c031...483ef80eb98fb506c348f7d62e28055e49fe2398)
    
    ---
    updated-dependencies:
    - dependency-name: ossf/scorecard-action
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf930decce6cffabff55a8a314eb7f9f34cff322
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 9 10:34:42 2023 +0000

    Bump actions/setup-python from 4.7.0 to 4.7.1
    
    Bumps [actions/setup-python](https://github.com/actions/setup-python) from 4.7.0 to 4.7.1.
    - [Release notes](https://github.com/actions/setup-python/releases)
    - [Commits](https://github.com/actions/setup-python/compare/61a6322f88396a6271a6ee3565807d608ecaddd1...65d7f2d534ac1bc67fcd62888c5f4f3d2cb2b236)
    
    ---
    updated-dependencies:
    - dependency-name: actions/setup-python
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/msvc-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cfc4ebfbade5b794956f0eae3939e7b1fade2b8
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 9 10:34:36 2023 +0000

    Bump github/codeql-action from 2.21.9 to 2.22.0
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.9 to 2.22.0.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/ddccb873888234080b77e9bc2d4764d5ccaaccf9...2cb752a87e96af96708ab57187ab6372ee1973ab)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a317b5a7ea49c08e21a0e47beaaa5c31f52f28ea
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 9 10:06:13 2023 +0000

    Bump fonttools from 4.43.0 to 4.43.1 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.43.0 to 4.43.1.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.43.0...4.43.1)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 86 +++++++++++++++++++++---------------------
 .ci/requirements.txt           | 86 +++++++++++++++++++++---------------------
 2 files changed, 86 insertions(+), 86 deletions(-)

commit a7b3fe3523891a81be501c907b6bf817615df174
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 5 12:16:00 2023 -0600

    Fix test

 src/test-tuple-varstore.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc563bb437b379334913b15489caec98a504fcd3
Merge: f26fd69d8 2415d5f23
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 5 11:07:17 2023 -0600

    Merge pull request #4421 from googlefonts/GDEF_GPOS
    
    [instancer] support GDEF/GPOS tables

commit f26fd69d858642d76413b8f4068eaf9b57c40a5f
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 2 10:06:40 2023 +0000

    Bump github/codeql-action from 2.21.8 to 2.21.9
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.8 to 2.21.9.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/6a28655e3dcb49cb0840ea372fd6d17733edd8a4...ddccb873888234080b77e9bc2d4764d5ccaaccf9)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1522eb9199ed07b8fba9c3131806205834b0a18a
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 2 10:48:02 2023 +0000

    Bump fonttools from 4.42.1 to 4.43.0 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.42.1 to 4.43.0.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.42.1...4.43.0)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 78 +++++++++++++++++++++++-------------------
 .ci/requirements.txt           | 78 +++++++++++++++++++++++-------------------
 2 files changed, 86 insertions(+), 70 deletions(-)

commit 2d67e52a47945e2563b12e681336ab9d04613aad
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 2 10:47:40 2023 +0000

    Bump meson from 1.2.1 to 1.2.2 in /.ci
    
    Bumps [meson](https://github.com/mesonbuild/meson) from 1.2.1 to 1.2.2.
    - [Release notes](https://github.com/mesonbuild/meson/releases)
    - [Commits](https://github.com/mesonbuild/meson/compare/1.2.1...1.2.2)
    
    ---
    updated-dependencies:
    - dependency-name: meson
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements.in  | 2 +-
 .ci/requirements.txt | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 6e06a193b3e6784b87380641d693fee1e507228e
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Sat Sep 30 01:12:16 2023 +0300

    Add some tests for hb_feature_[from|to]_string()

 test/api/test-common.c | 108 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 108 insertions(+)

commit f360d704fad6551dd05fe62bf9c4ce2f9a857e03
Author: jfkthame <jfkthame@gmail.com>
Date:   Fri Sep 29 13:15:01 2023 +0100

    Check for closing quote in parse_tag
    
    Fixes #4414.

 src/hb-common.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 333946b00e849ff6722781bc5e46bd9fcc83311a
Author: Garret Rieger <grieger@google.com>
Date:   Thu Sep 28 19:02:37 2023 +0000

    [subset] Fix fuzzer timeout.
    
    Fixes https://oss-fuzz.com/testcase-detail/5458896606855168. Limit iteration over coverage in MarkLigPosFormat1 subsetting to the number of glyphs in the liga array.

 src/OT/Layout/GPOS/MarkLigPosFormat1.hh                  |   5 +++--
 ...-testcase-minimized-hb-subset-fuzzer-5458896606855168 | Bin 0 -> 2410 bytes
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 9ceb800ac26fd81a5eaf27ef366d5fce47e80447
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Sep 28 10:37:48 2023 -0700

    fuzzer fix https://oss-fuzz.com/testcase-detail/5842152921628672
    
    Access TupleVariationData through blob, because we don't sanitize
    var_data

 src/hb-ot-var-cvar-table.hh                             |   7 ++++---
 src/test-tuple-varstore.cc                              |  16 +++++++++++++++-
 ...testcase-minimized-hb-subset-fuzzer-5842152921628672 | Bin 0 -> 2501 bytes
 3 files changed, 19 insertions(+), 4 deletions(-)

commit 7cb7a7999b542cb4ae75a3d289a429a68df6a86a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 28 09:24:06 2023 -0600

    [map] Fix undefined integer-overflow
    
    Fixes https://oss-fuzz.com/testcase-detail/5814850435284992

 src/hb-map.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2415d5f23927cbfcd8a2928f7ecadf7e9626cd51
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 27 13:33:09 2023 -0700

    [instancer] update tests to include GDEF/GPOS tables

 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 8432 -> 8728 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 7336 -> 7612 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7484 -> 7592 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6848 -> 6956 bytes
 ...odepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 4108 -> 4340 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 6616 -> 6848 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 7096 -> 7328 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 197056 -> 305092 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 145004 -> 250164 bytes
 .../profiles/no-tables-with-item-variations.txt    |   2 +-
 10 files changed, 1 insertion(+), 1 deletion(-)

commit f9b04b2145a2021cc56868daca89c3514f6a8966
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 27 09:36:52 2023 -0700

    [instancer] match fonttools'r order when calculating chars
    
    Also fix a bug, make sure map set is happening before std::move

 src/hb-ot-layout-common.hh | 6 ++++--
 src/hb-ot-var-common.hh    | 4 ++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit f39e9bf1ed52140d2658b4d845f3bbacc215221b
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Sep 25 08:59:11 2023 -0700

    [instancer] instantiate GPOS
    
    Just need to update var_idxes and deltas

 src/OT/Layout/GDEF/GDEF.hh          | 18 ++++++++++--------
 src/OT/Layout/GPOS/AnchorFormat3.hh | 23 ++++++++++++++++++-----
 src/hb-ot-layout-common.hh          |  4 ++--
 3 files changed, 30 insertions(+), 15 deletions(-)

commit 5c6795e2701d7c2031bc3e7c6c1b356961350291
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Sep 21 12:04:03 2023 -0700

    [instancer] make GPOS depend on GDEF when partial instancing
    
    GPOS needs to wait for GDEF remapping layout var idxes

 src/hb-subset.cc | 2 ++
 1 file changed, 2 insertions(+)

commit c8594baa478d09b60e1553dacae32345efef4272
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Sep 21 11:45:01 2023 -0700

    [instancer] instantiate GDEF varStore
    
    And update layout var idxes accordingly

 src/OT/Layout/GDEF/GDEF.hh        | 38 +++++++++++++++++++++++++++++++++++++-
 src/hb-subset-plan-member-list.hh |  2 +-
 2 files changed, 38 insertions(+), 2 deletions(-)

commit 77f24d822e726b0075d9aab4dc8600eb1b7dc481
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Sep 22 14:47:11 2023 -0700

    [instancer] remap layout var_idxes code update
    
    make hb_collect_variation_indices_context_t only collect layout
    variation indices.

 src/OT/Layout/GDEF/GDEF.hh | 26 +++++++++++++++++++-------
 src/hb-ot-layout-common.hh | 28 +++-------------------------
 src/hb-subset-plan.cc      | 26 ++++++--------------------
 3 files changed, 28 insertions(+), 52 deletions(-)

commit c8c97864e8c810068123ef62947be13675df54c2
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Sep 21 11:29:43 2023 -0700

    [instancer] simplify item_variations_t API calls
    
    merge create,instantiate and as_item_varstore into one API

 src/hb-ot-var-common.hh     | 19 +++++++++++++++++--
 src/hb-ot-var-hvar-table.hh | 18 ++++--------------
 src/hb-ot-var-mvar-table.hh |  7 +------
 src/test-item-varstore.cc   |  2 +-
 4 files changed, 23 insertions(+), 23 deletions(-)

commit 00de5d0068d189a7dcbd1ccb10f55db95d240340
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 25 10:25:15 2023 +0000

    Bump actions/checkout from 4.0.0 to 4.1.0
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 4.0.0 to 4.1.0.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/3df4ab11eba7bda6032a0b82a6bb43b11571feac...8ade135a41bc03ea155e62e844d188df1ea18608)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/arm-ci.yml        | 2 +-
 .github/workflows/configs-build.yml | 2 +-
 .github/workflows/coverity-scan.yml | 2 +-
 .github/workflows/linux-ci.yml      | 2 +-
 .github/workflows/macos-ci.yml      | 2 +-
 .github/workflows/msvc-ci.yml       | 2 +-
 .github/workflows/msys2-ci.yml      | 2 +-
 .github/workflows/scorecard.yml     | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 42b8534b14419580dd35f865944081196217cb6c
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 25 10:25:08 2023 +0000

    Bump github/codeql-action from 2.21.7 to 2.21.8
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.7 to 2.21.8.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/04daf014b50eaf774287bf3f0f1869d4b4c4b913...6a28655e3dcb49cb0840ea372fd6d17733edd8a4)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69da5aae028417dacf4c6617e49beb7dfbeb20e3
Author: inobelar <inobelar@gmail.com>
Date:   Fri Sep 22 21:27:12 2023 +0000

    Added minor fixes to build without errors with gcc 4.9.2

 src/hb-map.hh    | 22 +++++++++++-----------
 src/hb-vector.hh |  2 +-
 2 files changed, 12 insertions(+), 12 deletions(-)

commit b8121ccbb687dc853118e81810cc0565ce0037d4
Author: Duncan Overbruck <mail@duncano.de>
Date:   Thu Sep 21 15:41:09 2023 +0200

    [meson] keep asserts in test programs

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5aa4865a86fd97e76e857823dd4b32c65d2fa0ad
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 20 14:52:58 2023 -0700

    [instancer] fix compile warnings
    
    In constructor ‘OT::delta_row_encoding_t::delta_row_encoding_t(OT::delta_row_encoding_t&&)’,
        inlined from ‘Type* hb_vector_t<Type, sorted>::push(Args&& ...) [with Args = {OT::delta_row_encoding_t}; Type = OT::delta_row_encoding_t; bool sorted = false]’ at ../src/hb-vector.hh:221:12,
        inlined from ‘bool OT::item_variations_t::as_item_varstore(bool, bool)’ at ../src/hb-ot-var-common.hh:1985:24:
    ../src/hb-ot-layout-common.hh:2304:8: warning: ‘obj.OT::delta_row_encoding_t::width’ may be used uninitialized [-Wmaybe-uninitialized]
     2304 | struct delta_row_encoding_t
          |        ^~~~~~~~~~~~~~~~~~~~
    ../src/hb-ot-var-common.hh: In member function ‘bool OT::item_variations_t::as_item_varstore(bool, bool)’:
    ../src/hb-ot-var-common.hh:1981:30: note: ‘obj.OT::delta_row_encoding_t::width’ was declared here
     1981 |         delta_row_encoding_t obj;
          |                              ^~~
    In constructor ‘OT::delta_row_encoding_t::delta_row_encoding_t(OT::delta_row_encoding_t&&)’,
        inlined from ‘Type* hb_vector_t<Type, sorted>::push(Args&& ...) [with Args = {OT::delta_row_encoding_t}; Type = OT::delta_row_encoding_t; bool sorted = false]’ at ../src/hb-vector.hh:221:12,
        inlined from ‘bool OT::item_variations_t::as_item_varstore(bool, bool)’ at ../src/hb-ot-var-common.hh:1985:24:
    ../src/hb-ot-layout-common.hh:2304:8: warning: ‘obj.OT::delta_row_encoding_t::overhead’ may be used uninitialized [-Wmaybe-uninitialized]
     2304 | struct delta_row_encoding_t
          |        ^~~~~~~~~~~~~~~~~~~~
    ../src/hb-ot-var-common.hh: In member function ‘bool OT::item_variations_t::as_item_varstore(bool, bool)’:
    ../src/hb-ot-var-common.hh:1981:30: note: ‘obj.OT::delta_row_encoding_t::overhead’ was declared here
     1981 |         delta_row_encoding_t obj;

 src/hb-ot-layout-common.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4b3aa0104ea4c7859095b0e78662e440483068da
Merge: da2c59d71 ef4ff1d6a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 14:37:42 2023 -0600

    Merge pull request #4410 from googlefonts/HVAR_instance
    
    [instancer] instantiate HVAR/VVAR

commit da2c59d71f687c38a29389d81d6d6f911994c403
Author: Thomas Petillon <tpetillon@gmail.com>
Date:   Tue Sep 19 17:01:04 2023 +0200

    [instancer] Delete redundant code block in cvar subsetting
    
    That case is handled in hb-subset.cc.
    
    It also made compilation with HB_NO_VAR fail because it accessed table.fvar.

 src/hb-ot-var-cvar-table.hh | 13 -------------
 1 file changed, 13 deletions(-)

commit 284889b0317c317ae00fe1a6e32db1f9213cb5e2
Author: Thomas Petillon <tpetillon@gmail.com>
Date:   Wed Sep 20 20:17:48 2023 +0200

    [subset] Drop fvar, avar, cvar, MVAR tables when in HB_NO_VAR mode

 src/hb-subset.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit ef4ff1d6a4f2343440e278ef1177b07f6af8f5dc
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 20 11:35:33 2023 -0700

    [instancer] make varstore items sorting method match fonttool's
    
    Also update expected tests

 src/hb-ot-var-common.hh                            |   9 ++++++++-
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 8432 -> 8432 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 7336 -> 7336 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7484 -> 7484 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6848 -> 6848 bytes
 ...odepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 4108 -> 4108 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 6616 -> 6616 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 197056 -> 197056 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 145004 -> 145004 bytes
 9 files changed, 8 insertions(+), 1 deletion(-)

commit b5f7ca1ab49b3842d3c2ba4ac9fbd0531378d7b6
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 20 11:28:15 2023 -0700

    [instancer] fix bots

 src/hb-ot-var-common.hh     | 2 +-
 src/hb-ot-var-hvar-table.hh | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5ec21d4af4bc620cb58ff715e2a66288128c8d6f
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 20 09:31:03 2023 -0700

    [instancer] fix delta_row_encoding_t constructor
    
    always move chars_

 src/hb-ot-layout-common.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d2818c0963d44cde07e612c5310ac2dc85cc846
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Sep 20 10:30:47 2023 -0700

    [instancer] update expected tests to include HVAR/VVAR tables

 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 8256 -> 8432 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 7244 -> 7336 bytes
 ...n-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7292 -> 7484 bytes
 ...s.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6760 -> 6848 bytes
 ...odepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 3800 -> 4108 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 6280 -> 6616 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 6760 -> 7096 bytes
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 194432 -> 197056 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 143840 -> 145004 bytes
 .../profiles/no-tables-with-item-variations.txt    |   2 +-
 10 files changed, 1 insertion(+), 1 deletion(-)

commit 58e5d45de886319104007249d7e6a2b5b6584247
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Sep 19 10:33:32 2023 -0700

    [instancer] instantiate HVAR/VVAR

 src/hb-ot-var-hvar-table.hh | 87 ++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 83 insertions(+), 4 deletions(-)

commit e81ad14dba9ddc70aca11a46242cfc20b593e878
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Sep 19 13:23:58 2023 -0700

    [instancer] change optimize() to as_item_varstore()
    
    which allows another option to skip optimization

 src/hb-ot-var-common.hh     | 23 +++++++++++++++++++++--
 src/hb-ot-var-mvar-table.hh |  2 +-
 src/test-item-varstore.cc   |  2 +-
 3 files changed, 23 insertions(+), 4 deletions(-)

commit 97d0e7a19f5e341a77c156faaa37eed8df6d8db7
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Sep 19 11:25:14 2023 -0700

    [instancer] add inner_maps as optional argument when creating item_variations_t
    
    This allows that we create item_variations_t with only a subset of
    the original varstore

 src/hb-ot-var-common.hh | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 005582e0cb80821fb5bbbdfb6cef4be05078d060
Merge: d69813374 da9b83891
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 09:10:10 2023 -0600

    Merge pull request #4370 from 2xsaiko/outgoing/cmake-now-for-real
    
    Re-do and clean up CMake support, making it use relocatable paths

commit da9b838910e62825717a8b2de8ce9c92e396136e
Author: Marco Rebhan <me@dblsaiko.net>
Date:   Tue Aug 8 14:33:03 2023 +0200

    Re-do and clean up CMake support, making it use relocatable paths
    
    Closes #4025.

 meson.build                  | 21 ++++++++++
 meson_options.txt            |  4 ++
 src/Makefile.am              |  2 +-
 src/harfbuzz-config.cmake.in | 97 ++++++++------------------------------------
 src/meson.build              | 92 ++++++++++++++++++++++++++++++++++++++---
 src/relative_to.py           |  6 +++
 6 files changed, 135 insertions(+), 87 deletions(-)

commit d698133743caffe9611b57137cd5027ce076613f
Merge: 0967a3e24 c330c2917
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 19 13:30:43 2023 -0600

    Merge pull request #4393 from googlefonts/instantiate_item_varstore
    
    [instancer] instantiate item varstore

commit b5a1c2b483263896e563402cd285a46229e42f3c
Author: Marco Rebhan <me@dblsaiko.net>
Date:   Mon Aug 7 01:55:10 2023 +0200

    Revert "Pass through absolute paths to cmake config directly"
    
    This reverts commit db292f6f0238581a489aa8cddc585129b6e920cd.

 src/harfbuzz-config.cmake.in | 44 ++++++++++++++++++++++++++++++++++++--------
 src/meson.build              |  4 ++--
 2 files changed, 38 insertions(+), 10 deletions(-)

commit c330c2917524ad8a15340e5fa1df5a57a1409efa
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Sep 18 12:14:21 2023 -0700

    [instancer] add a unit testcase for instantiating item variations

 src/Makefile.am           |  5 ++++
 src/meson.build           |  1 +
 src/test-item-varstore.cc | 66 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 72 insertions(+)

commit 7741fa329998f23ef1495f9828c919ae2f6ada1e
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Sep 18 10:44:47 2023 -0700

    [instancer] bug fix: dont add duplicate rows into delta_row_encoding_t
    
    Also fix compile_varidx_map()

 src/hb-ot-var-common.hh | 57 ++++++++++++++++++++++++++++---------------------
 1 file changed, 33 insertions(+), 24 deletions(-)

commit 6c658b410593e15416a800daf8fd0492c69d9ba5
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Sep 15 11:49:47 2023 -0700

    [instancer] bug fix

 src/hb-ot-var-common.hh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 11cc47964695661c2a0e8ba24d80304ac1457ab6
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Sep 11 09:57:14 2023 -0700

    [instancer] fix columns and get_chars_overhead() in delta_row_encoding_t
    
    make columns a vector of uint8_t so it supports more than 32 columns

 src/hb-ot-layout-common.hh | 29 +++++++++++++++++++----------
 src/hb-ot-var-common.hh    |  1 +
 2 files changed, 20 insertions(+), 10 deletions(-)

commit 6e49128afda813238cfbccd304db1c55ed98f0e5
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Sep 1 10:27:40 2023 -0700

    [instancer] always check and update default wght/width/slnt if necessary
    
    Sometimes default values in original file are incorrect, and if default value for an axis is not changed, then these values won't be updated

 src/hb-ot-os2-table.hh                             |  23 ++++++++-------------
 src/hb-ot-post-table.hh                            |  10 ++++-----
 ...ariations.retain-all-codepoint.wght=300-600.ttf | Bin 0 -> 194432 bytes
 ...ariations.retain-all-codepoint.wght=500-800.ttf | Bin 0 -> 143840 bytes
 test/subset/data/tests/update_def_wght.tests       |  12 +++++++++++
 test/subset/meson.build                            |   6 +++++-
 6 files changed, 31 insertions(+), 20 deletions(-)

commit 7b5daff5eb347a29d9d9d59f2a41f938781d84de
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 17:50:34 2023 -0700

    [instancer] add tests for mvar partial instancing

 ...-all-codepoint.wght=200-600,wdth=80-90,CTGR=20-60.ttf | Bin 0 -> 3800 bytes
 ...item-variations.retain-all-codepoint.wght=300-600.ttf | Bin 0 -> 6280 bytes
 ...item-variations.retain-all-codepoint.wght=500-800.ttf | Bin 0 -> 6760 bytes
 .../data/profiles/no-tables-with-item-variations.txt     |   2 +-
 test/subset/data/tests/mvar_partial_instance.tests       |  13 +++++++++++++
 test/subset/meson.build                                  |   2 +-
 6 files changed, 15 insertions(+), 2 deletions(-)

commit 45c2d05d0068ebd4fe5a9ea6ca38af5d8bab57c9
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 15:45:22 2023 -0700

    [instancer] add subset() for MVAR

 src/hb-ot-var-mvar-table.hh | 61 ++++++++++++++++++++++++++++++++++++++++++++-
 src/hb-subset-input.cc      |  1 -
 src/hb-subset.cc            |  4 +++
 3 files changed, 64 insertions(+), 2 deletions(-)

commit e4e1ac44f062078ed7da04321f8269df9f202c7b
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 15:34:26 2023 -0700

    [instancer] add serialize() for VariationStore
    
    Input region_list and encoding_rows are from item_variations_t

 src/hb-ot-layout-common.hh | 106 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 106 insertions(+)

commit 2326879229535f97ce099958e494005d1092ee5b
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 15:28:06 2023 -0700

    [instancer] add serialize() for VarRegionList
    
    The region list argument comes from item_variations_t.get_region_list()

 src/hb-ot-layout-common.hh        | 47 +++++++++++++++++++++++++++++++++++++++
 src/hb-subset-plan-member-list.hh |  2 ++
 src/hb-subset-plan.cc             |  1 +
 3 files changed, 50 insertions(+)

commit b153af8553a8cce1c93682b63a2b4756e44986be
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 13:12:08 2023 -0700

    [instancer] add optimize(), which optimizes varstore's storage

 src/hb-ot-var-common.hh | 225 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 225 insertions(+)

commit 3565ad815009ff74fc42dc5ef23ad8a2bf8fdecf
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 13:07:54 2023 -0700

    [instancer] add build_region_list() method

 src/hb-ot-var-common.hh | 73 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)

commit e4db29b102c78cec7c42469e01656c3ac5365863
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 12:59:39 2023 -0700

    [instancer] add instantiate() method
    
    Also make change_tuple_variations_axis_limits() deterministic, use
    sorted vector instead of iterating map keys

 src/hb-ot-var-common.hh | 44 +++++++++++++++++++++++++++++++++++++-------
 1 file changed, 37 insertions(+), 7 deletions(-)

commit 5f058a93388caa0ce5c6d3800d7dbf97e3273dc8
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 12:55:04 2023 -0700

    [instancer] add create_from_item_varstore () method

 src/hb-ot-layout-common.hh | 63 +++++++++++++++++++++++++++++++++++++++++++++-
 src/hb-ot-var-common.hh    | 62 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+), 1 deletion(-)

commit 152448881fffbe46ae6ffb884351b86dcc7354d8
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 31 12:40:30 2023 -0700

    [instancer] add struct definition item_variations_t
    
    And struct delta_row_encoding_t

 src/hb-ot-layout-common.hh | 141 +++++++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-var-common.hh    |  47 +++++++++++++++
 2 files changed, 188 insertions(+)

commit 0967a3e24ab5d79cc55dbe224652d8aabd942def
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Mon Sep 18 21:18:27 2023 +0300

    8.2.1

 NEWS             | 6 ++++++
 configure.ac     | 2 +-
 meson.build      | 2 +-
 src/hb-version.h | 4 ++--
 4 files changed, 10 insertions(+), 4 deletions(-)

commit eab4e07d6c7acce1f9eb26963c9d4d0d00b75ce2
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 18 10:22:37 2023 +0000

    Bump github/codeql-action from 2.21.5 to 2.21.7
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.5 to 2.21.7.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/00e563ead9f72a8461b24876bee2d0c2e8bd2ee8...04daf014b50eaf774287bf3f0f1869d4b4c4b913)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 609a7cc534aa22466de5deb31f1b8678dee8e111
Merge: 37457412b c459b8a51
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Sep 17 14:59:58 2023 -0600

    Merge pull request #4406 from harfbuzz/unicode-15.1
    
    Update to Unicode 15.1.0

commit c459b8a51acf96e0d83d9b961ee3409fb5849389
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 10:27:07 2023 -0400

    [Unicode 15.1] Add tests

 test/api/test-unicode.c | 3 +++
 1 file changed, 3 insertions(+)

commit c6d53ab570e564b8e0226a234d0fd307c297738b
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 10:21:11 2023 -0400

    [Unicode 15.1] Update the vowel constraint table

 src/hb-ot-shaper-vowel-constraints.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f318e104be4c2c58daf92a792b96c6a9974201a1
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 10:20:14 2023 -0400

    [Unicode 15.1] Update the Indic table

 src/hb-ot-shaper-indic-table.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit c03e4c10a4bcab59b447a3d5416f26191c8af788
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 10:06:24 2023 -0400

    [Unicode 15.1] Update emoji table and cluster test

 src/hb-unicode-emoji-table.hh                      |   6 +-
 .../shape/data/in-house/tests/emoji-clusters.tests | 301 +++++++++++++++++++++
 2 files changed, 304 insertions(+), 3 deletions(-)

commit d8d4a192bdd0b3e0307046dc25ff813850a910c9
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 10:00:07 2023 -0400

    Update IANA Language Subtag Registry to 2023-08-02

 src/hb-ot-tag-table.hh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 6ed6ccac4c6f650ef6abba3929bc48dff12e328d
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 09:54:21 2023 -0400

    [Unicode 15.1] Update the USE table

 src/hb-ot-shaper-use-table.hh | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit f485b6a9c05b852cafea890069ce87bd5a76c20e
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 09:49:29 2023 -0400

    [Unicode 15.1] Update the Arabic joining script list

 src/hb-ot-shaper-arabic-joining-list.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f15fe524423c61dede0b35a148ca917b3746935f
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 09:45:51 2023 -0400

    [Unicode 15.1] Update the Arabic table

 src/hb-ot-shaper-arabic-table.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b3705cbf070d3dc984c5b3e18c7657aadd2b1a0f
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 09:40:56 2023 -0400

    [Unicode 15.1] Update the UCD table

 src/hb-ucd-table.hh | 3450 ++++++++++++++++++++++++++-------------------------
 1 file changed, 1727 insertions(+), 1723 deletions(-)

commit 767f937833f82257169dc278e4aaa22c44bfebf8
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Fri Sep 15 23:11:26 2023 -0400

    [USE] Update the data files
    
    This uses the data files from
    <https://github.com/microsoft/font-tools/tree/9e02b86c85d1a98a1d411e565d36723468f9e884/USE>
    and closes #4404.

 src/gen-use-table.py                              |   16 +-
 src/hb-ot-shaper-use-machine.hh                   | 1381 +++++++++++----------
 src/hb-ot-shaper-use-machine.rl                   |    6 +-
 src/hb-ot-shaper-use-table.hh                     |  940 +++++++-------
 src/ms-use/IndicPositionalCategory-Additional.txt |    1 +
 src/ms-use/IndicSyllabicCategory-Additional.txt   |   57 +-
 6 files changed, 1223 insertions(+), 1178 deletions(-)

commit 02c2e24749b9d20ec6371766d7faeb4d5d2caa67
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sat Sep 16 09:22:43 2023 -0400

    Regenerate files using Ragel 6.10

 src/hb-buffer-deserialize-json.hh         |    8 +-
 src/hb-buffer-deserialize-text-glyphs.hh  |   10 +-
 src/hb-buffer-deserialize-text-unicode.hh |   10 +-
 src/hb-number-parser.hh                   |    8 +-
 src/hb-ot-shaper-indic-machine.hh         |   14 +-
 src/hb-ot-shaper-khmer-machine.hh         |   14 +-
 src/hb-ot-shaper-myanmar-machine.hh       |   14 +-
 src/hb-ot-shaper-use-machine.hh           | 1875 ++++++++++++++---------------
 8 files changed, 942 insertions(+), 1011 deletions(-)

commit 37457412b3212463c5f53119080cd1af375aae23
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 11 10:33:26 2023 +0000

    Bump actions/checkout from 3.5.3 to 4.0.0
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 3.5.3 to 4.0.0.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/c85c95e3d7251135ab7dc9ce3241c5835cc595a9...3df4ab11eba7bda6032a0b82a6bb43b11571feac)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/arm-ci.yml        | 2 +-
 .github/workflows/configs-build.yml | 2 +-
 .github/workflows/coverity-scan.yml | 2 +-
 .github/workflows/linux-ci.yml      | 2 +-
 .github/workflows/macos-ci.yml      | 2 +-
 .github/workflows/msvc-ci.yml       | 2 +-
 .github/workflows/msys2-ci.yml      | 2 +-
 .github/workflows/scorecard.yml     | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 7384aaae4300da4380ce13adbca0aa7c6fe443e1
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 11 10:33:29 2023 +0000

    Bump actions/upload-artifact from 3.1.2 to 3.1.3
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 3.1.2 to 3.1.3.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/0b7f8abb1508181956e8e162db84b466c27e18ce...a8a3f3ad30e3422c9c7b888a15615d19a852ae32)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/cifuzz.yml    | 2 +-
 .github/workflows/msys2-ci.yml  | 2 +-
 .github/workflows/scorecard.yml | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 978918c32a66af41df86386510cf73a4c0e8d393
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 11 11:04:08 2023 +0100

    [aat] Simplify complex condition
    
    Based on https://github.com/RazrFalcon/rustybuzz/discussions/79#discussioncomment-6960324

 src/hb-aat-layout-common.hh | 72 ++++++++++++++++++++++-----------------------
 1 file changed, 35 insertions(+), 37 deletions(-)

commit 17ee3cd7f4e3123d8289694f59a03c782035103f
Author: Vincent Torri <vtorri@outlook.fr>
Date:   Sun Sep 10 07:29:08 2023 +0200

    fix warning with unsigned long

 src/graph/graph.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1eb66d4159fec311334aee5c0a59384491d3989
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Fri Sep 8 21:54:32 2023 +0300

    8.2.0

 NEWS                   | 12 ++++++++++++
 configure.ac           |  2 +-
 docs/harfbuzz-docs.xml |  1 +
 meson.build            |  2 +-
 src/hb-paint.cc        |  2 +-
 src/hb-paint.h         |  4 ++--
 src/hb-version.h       |  6 +++---
 7 files changed, 21 insertions(+), 8 deletions(-)

commit d5cb1a315380e9bd78ff377a586b78bc42abafa6
Author: L. E. Segovia <amy@amyspark.me>
Date:   Thu Aug 31 23:41:10 2023 -0300

    [meson] Add gitignore entries for wrap sources

 subprojects/.gitignore | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 617e44785476178107c4216964f185937e312a09
Author: L. E. Segovia <amy@amyspark.me>
Date:   Thu Aug 31 23:39:29 2023 -0300

    [meson] Set C++14 as minimum as implied by MSVC support
    
    Microsoft's STL uses C++14 as minimum. Using C++11 is actually enforced
    by clang-cl and clang, which will lead to all sorts of compilation
    errors.

 meson.build | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 15bc9e342f989c7cd27de3a3fb68933259bf59e2
Author: L. E. Segovia <amy@amyspark.me>
Date:   Thu Aug 31 23:37:08 2023 -0300

    [meson] Detect Microsoft compilers through _MSC_FULL_VER
    
    Microsoft ships three compilers nowadays: MSVC, clang-cl, and Clang.
    The latter is always skipped by `compiler.get_argument_syntax()`,
    which leads to the incorrect export macro being applied.
    
    This commit also removes the tests that are affected in Microsoft Clang.

 src/meson.build | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit fd3eb2c6723c3ce241011f1d3429e48c3226af1c
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Aug 24 08:59:18 2023 -0700

    fuzzer fix: https://oss-fuzz.com/testcase-detail/6032126569742336

 src/hb-ot-var-gvar-table.hh                        |  24 ++++++---------------
 ...ase-minimized-hb-subset-fuzzer-6032126569742336 | Bin 0 -> 1970 bytes
 2 files changed, 6 insertions(+), 18 deletions(-)

commit 0340ba1c50da110787a420a633a7b8b2dabe42c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 5 14:56:09 2023 +0300

    [bit-page] Add a few operators

 src/hb-bit-page.hh | 3 +++
 1 file changed, 3 insertions(+)

commit a0b758f7d779376f4582c968d6fc3c5e7cde1e50
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 4 10:34:27 2023 +0000

    Bump github/codeql-action from 2.21.4 to 2.21.5
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.4 to 2.21.5.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/a09933a12a80f87b87005513f0abb1494c27a716...00e563ead9f72a8461b24876bee2d0c2e8bd2ee8)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cfc6d8e173e800df086d7be078da2e8c5cfca19
Author: Ben Wagner <bungeman@chromium.org>
Date:   Thu Aug 31 13:54:34 2023 -0400

    Specify tuple_variations_t special member functions
    
    Building with clang complains about the use of `tuple_variations_t`'s
    implicit copy constructor and copy assignment operator, since automatic
    generation of these is deprecated when declaring a non-default
    destructor. This is a good warning because it isn't obvious that copies
    were being made instead of the object being moved and this struct should
    be moved and not copied. Declare all the special member functions,
    defaulting the moves and deleting the copies.
    
    After making `tuple_variations_t` move only, an issue is revealed in
    `hb_vector_t::push` which has been requiring that objects be copyable.
    Remove the old non-emplacing `push` now that this works with all
    existing objects and make a single `push` which is more like
    `std::vector::emplace_back` since that is somewhat what the newer `push`
    is attempting to do.

 src/hb-ot-var-common.hh |  5 +++++
 src/hb-vector.hh        | 22 ++--------------------
 2 files changed, 7 insertions(+), 20 deletions(-)

commit 4668b43e2cbc9d2ae19a9e9b53ad694da35240a1
Author: Benoit Pierre <benoit.pierre@gmail.com>
Date:   Thu Aug 31 19:33:29 2023 +0200

    [meson] add source fallback URL to freetype2 wrap

 subprojects/freetype2.wrap | 1 +
 1 file changed, 1 insertion(+)

commit 8d22a57065d286dd2e920ece70c12bba5f59a8b1
Author: Garret Rieger <grieger@google.com>
Date:   Mon Aug 28 18:33:31 2023 +0000

    [repacker] fix potential use after free in repacker.
    
    During table splitting we iterate over the lookups map which can be modified during table splitting. This can result in a use after free in the iterator. Create a local copy of the lookup indices to avoid this.

 src/hb-repacker.hh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit a1f034eaacb5547fdfc62fd1c4df23f9d2b40104
Author: Garret Rieger <grieger@google.com>
Date:   Mon Aug 28 21:10:16 2023 +0000

    [repacker] fix fuzzer failure.
    
    Fixes: https://oss-fuzz.com/testcase-detail/6490945267564544

 src/graph/markbasepos-graph.hh                         |   4 +++-
 ...tcase-minimized-hb-repacker-fuzzer-6490945267564544 | Bin 0 -> 358352 bytes
 2 files changed, 3 insertions(+), 1 deletion(-)

commit f380a32825a1b2c51bbe21dc7acb9b3cc0921f69
Author: Bruce Mitchener <bruce.mitchener@gmail.com>
Date:   Fri Aug 25 14:01:01 2023 +0700

    Fix some typos.

 CONFIG.md                            |  2 +-
 src/OT/Layout/GPOS/PairPosFormat2.hh |  2 +-
 src/hb-bimap.hh                      |  2 +-
 src/hb-bit-set.hh                    |  4 ++--
 src/hb-buffer.cc                     |  4 ++--
 src/hb-buffer.h                      |  2 +-
 src/hb-font.cc                       |  2 +-
 src/hb-map.cc                        |  2 +-
 src/hb-ot-shape.cc                   |  2 +-
 src/hb-sanitize.hh                   |  2 +-
 src/hb-set.cc                        | 24 ++++++++++++------------
 src/hb-vector.hh                     |  2 +-
 src/hb-wasm-shape.cc                 |  2 +-
 13 files changed, 26 insertions(+), 26 deletions(-)

commit c28fdc39b25269aadafca2ba0507c149b2779da2
Author: Garret Rieger <grieger@google.com>
Date:   Wed Aug 23 22:16:39 2023 +0000

    [repacker] fix bot failure.

 src/graph/gsubgpos-context.hh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d7ee328f807cd4890b701d5b2dab5993270ace7f
Author: Garret Rieger <grieger@google.com>
Date:   Wed Aug 23 22:06:55 2023 +0000

    [repacker] include the size of all lookup tables in the layer size estimates from the start.
    
    In extension promotion previously we incrementally added the contribution of the lookup table to the layer size estimates as the lookups were processed. However, this isn't quite correct as regardless of the promotion decision the full lookup table size will be incurred. So the size should be added to the initial sizes.

 src/hb-repacker.hh | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 5587247d5bb46e3ff5d0c4601b145dfbae50e27c
Author: Garret Rieger <grieger@google.com>
Date:   Wed Aug 23 21:54:15 2023 +0000

    [repacker] create only one extension subtable per physical subtable.
    
    During extension promotion when multiple lookups refer to a shared subtable node create and reuse a single extension subtable for it. Fixes: https://github.com/fonttools/fonttools/issues/3260.

 src/graph/graph.hh            | 12 +++++++++++
 src/graph/gsubgpos-context.hh |  1 +
 src/graph/gsubgpos-graph.hh   | 19 +++++++++++++----
 src/test-repacker.cc          | 47 +++++++++++++++++++++++++++++++++++++------
 4 files changed, 69 insertions(+), 10 deletions(-)

commit 56e8a290328c6628a92971c7837f773194e7584f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 22 15:49:00 2023 -0600

    Fix static_size declaration
    
    I have a vague memory that it was intentionally written
    that way, but I can't recall :-(.

 src/OT/Color/COLR/COLR.hh | 4 ++--
 src/hb-null.hh            | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2023384bdf74992c2a38ed7ddc81dfd14d8a6649
Merge: 970d2c438 dd8d35766
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 22 13:09:26 2023 -0700

    Merge pull request #4368 from googlefonts/support_gvar
    
    Initial implementation for gvar partial instancing

commit dd8d35766bb31ef43848180c419c621be302ac5d
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Aug 22 12:54:50 2023 -0700

    [instancer] enable partial instancing tests when experimental api is on

 src/hb-ot-var-common.hh | 2 +-
 test/subset/meson.build | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 970d2c438f849700b879d76e8c183c2edfbaccdb
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 21 10:10:17 2023 +0000

    Bump github/codeql-action from 2.21.3 to 2.21.4
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.3 to 2.21.4.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/5b6282e01c62d02e720b81eb8a51204f527c3624...a09933a12a80f87b87005513f0abb1494c27a716)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c7aed1000c52a7236f2368aae2bbedab6b133ff
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 21 10:52:43 2023 +0000

    Bump fonttools from 4.42.0 to 4.42.1 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.42.0 to 4.42.1.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.42.0...4.42.1)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 70 +++++++++++++++++++++---------------------
 .ci/requirements.txt           | 70 +++++++++++++++++++++---------------------
 2 files changed, 70 insertions(+), 70 deletions(-)

commit ca906e8747ac45ccf235c3f3e9ee9b69a693d7e4
Author: Garret Rieger <grieger@google.com>
Date:   Wed Aug 16 23:37:03 2023 +0000

    [repacker] fix fuzzer timeout.
    
    Corrects some mistakes in the handling of incoming_edges_ when memory allocation failures happen.

 src/graph/graph.hh                                      |  11 +++++++++--
 ...stcase-minimized-hb-repacker-fuzzer-6697168080338944 | Bin 0 -> 68766 bytes
 2 files changed, 9 insertions(+), 2 deletions(-)

commit c7f2d440f463be31ae24cbae7ceb6ea72a15e990
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 16 09:55:23 2023 -0700

    [hb-view] Better cairo version check

 util/view-cairo.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e714e7d4f3d3bd1a49c460f6c3bd2c3f09192722
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 16 09:54:08 2023 -0700

    [hb-view] Work around old cairo
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4378

 util/view-cairo.hh | 3 +++
 1 file changed, 3 insertions(+)

commit bea26446d2063cadb0cd83c1c627d3eed95cbcf6
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Aug 15 14:20:54 2023 -0700

    [instancer] reference all points for gvar
    
    If a point is not referenced and delta is not inferred, set delta to 0

 src/hb-ot-var-common.hh                               |  16 ++++++++++++++--
 ...tain-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 7452 -> 7292 bytes
 ...ions.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 6780 -> 6760 bytes
 3 files changed, 14 insertions(+), 2 deletions(-)

commit 06ff3bcb8db2ac9eac80bef21644c4d70f60573a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 15 14:41:18 2023 -0600

    [COLR,glyf] Use map instead of set for tracking current glyphs / layers

 src/OT/Color/COLR/COLR.hh | 4 ++--
 src/OT/glyf/Glyph.hh      | 4 ++--
 src/hb-ft-colr.hh         | 4 ++--
 src/hb-map.hh             | 5 +++++
 4 files changed, 11 insertions(+), 6 deletions(-)

commit b530e485cdcd466cdfd7f80fd341a67883fb8c71
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 15 14:31:40 2023 -0600

    [glyf] Don't recuse into alread-active composite glyphs
    
    Deny loops.

 src/OT/glyf/Glyph.hh | 40 ++++++++++++++++++++++++++++++++++++++--
 1 file changed, 38 insertions(+), 2 deletions(-)

commit 8f039ab4d624c545dd472e477c705c3f013f66c6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 15 11:27:19 2023 -0600

    [COLR] Avoid infinite-loop through PaintColrLayers
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4376
    Fixes https://oss-fuzz.com/testcase-detail/5717524023738368

 src/OT/Color/COLR/COLR.hh |  8 ++++++++
 src/hb-ft-colr.hh         | 10 ++++++++++
 2 files changed, 18 insertions(+)

commit 0c80aec10b38c8880b0f353b4774b8843a4b4126
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 15 10:30:38 2023 -0600

    [COLR] Move cycle-detection to the renderer instead of cairo
    
    Alternative fix for https://github.com/harfbuzz/harfbuzz/issues/4375

 src/OT/Color/COLR/COLR.hh |  10 ++
 src/hb-cairo-utils.hh     |   3 -
 src/hb-cairo.cc           |   8 -
 src/hb-ft-colr.hh         |  17 +-
 test/api/results/bad-154  | 440 +---------------------------------------------
 5 files changed, 26 insertions(+), 452 deletions(-)

commit 21a894f055bbff6afb45cbcceed89ac92091bb3e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 15 10:21:26 2023 -0600

    [cairo] Protect against infinite loops
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4375
    
    Maybe we should do this in hb-ft and COLR instead?

 src/hb-cairo-utils.hh | 3 +++
 src/hb-cairo.cc       | 8 ++++++++
 2 files changed, 11 insertions(+)

commit 7d7541e35d5701953e5e768ac1ef41b23223edb1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 17:55:09 2023 -0600

    [test-paint] Print paint-color-glyph

 test/api/results/bad-154    | 34 +++++++++++++++++++++++++++++++++-
 test/api/results/test-154   |  4 +++-
 test/api/results/testvf-154 |  4 +++-
 test/api/test-paint.c       | 15 +++++++++++++++
 4 files changed, 54 insertions(+), 3 deletions(-)

commit 5560eb60d75945a331427b0e8112282dc4ff0d94
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 17:05:22 2023 -0600

    [paint] Fix docs

 src/hb-paint.h | 9 ---------
 1 file changed, 9 deletions(-)

commit 47231bdc701df1f3ba0dafb901dc92db54e7ff78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 16:52:44 2023 -0600

    [COLR/cairo/ft] Fixups to paint-color-glyph and implement for hb-ft

 docs/harfbuzz-sections.txt  |  3 +++
 src/hb-ft-colr.hh           | 11 ++++++++
 test/api/results/bad-154    | 66 ++++++++++++++++++++++++++++++++++++++++++++-
 test/api/results/testvf-154 |  6 ++++-
 4 files changed, 84 insertions(+), 2 deletions(-)

commit 58effbcc4f1b6aa1870738f0da3d999f4f1810be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 16:47:01 2023 -0600

    .

 src/OT/Color/COLR/COLR.hh |  5 +++++
 src/hb-cairo.cc           | 10 +++++++++-
 test/api/results/test-154 |  6 +++++-
 test/api/test-paint.c     |  2 +-
 4 files changed, 20 insertions(+), 3 deletions(-)

commit 74527670fc5b0517e1d2cba2c26e3695547302e1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 15:57:24 2023 -0600

    [COLR/cairo] Add paint_color_glyph func
    
    Implement in cairo to use scaled-font's glyph cache.

 src/OT/Color/COLR/COLR.hh |  4 ++++
 src/hb-cairo.cc           | 19 ++++++++++++++++++
 src/hb-paint.cc           | 25 +++++++++++++++++++++++
 src/hb-paint.h            | 51 +++++++++++++++++++++++++++++++++++++++++++++++
 src/hb-paint.hh           |  8 ++++++++
 5 files changed, 107 insertions(+)

commit 8d19274c2d6e7205dc32d416c60c3542a3f353e9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 14 14:40:26 2023 -0600

    [layout] Speed up VarStoreInstancer

 src/hb-ot-var-common.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1da4c61550ed8216c811765de6d8904727df0e65
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 14 10:51:00 2023 +0000

    Bump github/codeql-action from 2.21.2 to 2.21.3
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.2 to 2.21.3.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/0ba4244466797eb048eb91a6cd43d5c03ca8bd05...5b6282e01c62d02e720b81eb8a51204f527c3624)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d44562b429afc1cca8cf5472905ae189929a506
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 14 10:50:49 2023 +0000

    Bump hendrikmuhs/ccache-action from 1.2.9 to 1.2.10
    
    Bumps [hendrikmuhs/ccache-action](https://github.com/hendrikmuhs/ccache-action) from 1.2.9 to 1.2.10.
    - [Release notes](https://github.com/hendrikmuhs/ccache-action/releases)
    - [Commits](https://github.com/hendrikmuhs/ccache-action/compare/ca3acd2731eef11f1572ccb126356c2f9298d35e...6d1841ec156c39a52b1b23a810da917ab98da1f4)
    
    ---
    updated-dependencies:
    - dependency-name: hendrikmuhs/ccache-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/linux-ci.yml | 2 +-
 .github/workflows/macos-ci.yml | 2 +-
 .github/workflows/msvc-ci.yml  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a8fb56e0f313558dc1f18df2d76ca691567330b9
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 14 10:36:33 2023 +0000

    Bump meson from 1.2.0 to 1.2.1 in /.ci
    
    Bumps [meson](https://github.com/mesonbuild/meson) from 1.2.0 to 1.2.1.
    - [Release notes](https://github.com/mesonbuild/meson/releases)
    - [Commits](https://github.com/mesonbuild/meson/compare/1.2.0...1.2.1)
    
    ---
    updated-dependencies:
    - dependency-name: meson
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements.in  | 2 +-
 .ci/requirements.txt | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e8eb1dc5ff695427abc137d3d15c4eec64ab6c78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 9 15:35:59 2023 -0600

    [parse_tag] Accept non-ALNUM in tag name

 src/hb-common.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a7afe922b7c661267ecd2211b5199f5ae4df180
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 9 12:00:41 2023 -0600

    [perf] Benchmark glyph painting

 perf/benchmark-font.cc | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 077c4308cc2650bcd761b60c2b64eea77c5d399c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 9 10:41:04 2023 -0600

    [limits] Increase COLRv1 edge-count
    
    We have a "pixel" color font that was easily hitting the limit...

 src/hb-limits.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45c1ad05126c33408ccf862a0fde69f608147f04
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 9 10:27:45 2023 -0600

    [paint] Add tracing

 src/OT/Color/COLR/COLR.hh | 22 ++++++++++++++++++++++
 src/hb-debug.hh           | 19 +++++++++++++++++--
 2 files changed, 39 insertions(+), 2 deletions(-)

commit 483bc0a3847ae55860bd55fa0eb214f899a02b31
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 8 15:58:20 2023 -0600

    [arabic/stch] Center the stretched group over the digits
    
    Mostly relevant when there's one digit only.
    
    https://github.com/harfbuzz/harfbuzz/issues/4369#issuecomment-1670361856

 src/hb-ot-shaper-arabic.cc                       | 5 ++++-
 test/shape/data/in-house/tests/arabic-stch.tests | 1 +
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9daef6ed4eda12e13628b1ae8bff590d4e6adaf6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 8 13:33:11 2023 -0600

    [arabic] Add test for previous commit

 .../fonts/507637795ce4f2975593da54d12b46f76c7cc4cc.ttf   | Bin 0 -> 2200 bytes
 test/shape/data/in-house/tests/arabic-stch.tests         |   1 +
 2 files changed, 1 insertion(+)

commit 313c772989ca838f7ba9c2119ffb953ba8a4418b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 8 13:06:12 2023 -0600

    [arabic/stch] Also work in left-to-right direction
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4369

 src/hb-ot-shaper-arabic.cc | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 40bfabd1f97d7ad665140ba764157a6058e6a3b7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 8 12:17:25 2023 -0600

    [arabic/stch] Zero advances
    
    This was working for our test suite because those glyphs were
    declared mark and their advances zeroed automatically. But is
    not the case in eg. the font posted at:
    
    https://github.com/harfbuzz/harfbuzz/issues/4369

 src/hb-ot-shaper-arabic.cc | 1 +
 1 file changed, 1 insertion(+)

commit 0aa5dafefd85d01d486d0d26b75387df3a2927e3
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Aug 8 08:33:11 2023 -0700

    fix bots.
    
    -Also disable partial instancing tests for now, cause the command option
    is wrapped by experimental_api

 test/subset/data/Makefile.am      | 1 -
 test/subset/data/Makefile.sources | 1 -
 test/subset/meson.build           | 2 +-
 util/hb-subset.cc                 | 4 ++++
 4 files changed, 5 insertions(+), 3 deletions(-)

commit 77b158c72d355e8e5e32f0d9748174041fddc8dd
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 16:02:02 2023 -0700

    [instancer] add tests for gvar partial instancing

 test/subset/data/Makefile.am                             |   1 +
 test/subset/data/Makefile.sources                        |   1 +
 ....retain-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 0 -> 8256 bytes
 ...iations.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 0 -> 7244 bytes
 ....retain-all-codepoint.wght=200-300-500,wdth=80-90.ttf | Bin 0 -> 7452 bytes
 ...iations.retain-all-codepoint.wght=300-600,wdth=85.ttf | Bin 0 -> 6780 bytes
 .../data/profiles/no-tables-with-item-variations.txt     |   1 +
 test/subset/data/tests/glyf_partial_instancing.tests     |  13 +++++++++++++
 test/subset/generate-expected-outputs.py                 |   1 +
 test/subset/meson.build                                  |   1 +
 10 files changed, 18 insertions(+)

commit 32cfa37e2edd6a8dbc07c75c010fd2fc68c4346a
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon May 8 13:30:39 2023 -0700

    [instancer] command line support for partial instancing
    
    -Also updated hb_subset_input_set_axis_range (), so user can define
    default value as well

 src/hb-subset-input.cc | 19 ++++++++----
 src/hb-subset.h        |  3 +-
 util/hb-subset.cc      | 80 ++++++++++++++++++++++++++++++++++++++++----------
 3 files changed, 80 insertions(+), 22 deletions(-)

commit 0065658e96c79f8b51c2a702908e84d9d23e0971
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 11:12:02 2023 -0700

    [instancer] enable cvar instancing code

 src/hb-subset-input.cc | 1 -
 src/hb-subset.cc       | 3 +++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 0ba4d539b365039b602d9f88133fc0cae9cd0e30
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Aug 7 11:49:03 2023 -0600

    Bump fonttools from 4.41.1 to 4.42.0 in /.ci (#4365)
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.41.1 to 4.42.0.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.41.1...4.42.0)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>

 .ci/requirements-fonttools.txt | 70 +++++++++++++++++++++---------------------
 .ci/requirements.txt           | 70 +++++++++++++++++++++---------------------
 2 files changed, 70 insertions(+), 70 deletions(-)

commit 366ffd1ef0f26cf719ee45e08f59fc9fb4b38a05
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 10:32:47 2023 -0700

    [instancer] fix move constructor for tuple_delta_t

 src/hb-ot-var-common.hh | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 1d91622ddf082cd0777e9ae67876fe13fc7e454d
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Jul 18 09:52:40 2023 -0700

    [instancer] add a hashing impl for floating point type

 src/hb-algs.hh | 4 ++++
 1 file changed, 4 insertions(+)

commit 5a4694b6934f9e3ca3dc89cc905b4351920085b6
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 09:55:30 2023 -0700

    [instancer] add calc_inferred_deltas() for gvar

 src/hb-ot-var-common.hh    | 104 +++++++++++++++++++++++++++++++++++++++++++++
 src/test-tuple-varstore.cc |   3 +-
 2 files changed, 105 insertions(+), 2 deletions(-)

commit fb44727401d36adc14615deda91574a6e7ec2cd6
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 09:44:41 2023 -0700

    [instancer] add instantiate () for gvar

 src/hb-ot-var-common.hh     | 11 ++++++++---
 src/hb-ot-var-gvar-table.hh | 22 ++++++++++++++++++++++
 2 files changed, 30 insertions(+), 3 deletions(-)

commit 746b112faf6adcd4a9d7325b067c4ba46a973a95
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Aug 7 09:26:42 2023 -0700

    [instancer] add serialize () for gvar

 src/hb-ot-var-common.hh     |   6 ++-
 src/hb-ot-var-cvar-table.hh |   1 +
 src/hb-ot-var-gvar-table.hh | 114 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 120 insertions(+), 1 deletion(-)

commit 3c86b096a9bf310a00086a7ed566cf1436da786c
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Jul 28 16:18:51 2023 -0700

    [instancer] Add instantiate () and compile_bytes() for gvar
    
    -Also add support for using shared_points and shared_tuples

 src/hb-ot-var-common.hh     | 85 +++++++++++++++++++++++++++++++++++++--------
 src/hb-ot-var-cvar-table.hh |  7 ++--
 src/hb-ot-var-gvar-table.hh | 29 ++++++++++++++++
 src/test-tuple-varstore.cc  |  2 +-
 4 files changed, 106 insertions(+), 17 deletions(-)

commit 198612c1c83d3b19b953a2fcc73406287104e5a2
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Jul 28 15:41:54 2023 -0700

    [instancer] add decompile_glyph_variations () for gvar

 src/hb-ot-var-common.hh     |  1 +
 src/hb-ot-var-gvar-table.hh | 81 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

commit eb116e163e0bb8476cdd53a07630389d25ec3b97
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Jul 28 15:27:07 2023 -0700

    [instancer] Add new_gid->contour_points vector map in subset plan
    
    - Add an API in Glyph to export original contour_points vector, which is
      needed by infer_deltas when merging tuple variations with the same
      tent

 src/OT/glyf/Glyph.hh              | 57 +++++++++++++++++++++++++++++++++++++++
 src/hb-ot-var-gvar-table.hh       | 34 -----------------------
 src/hb-subset-plan-member-list.hh |  3 +++
 src/hb-subset-plan.cc             | 32 ++++++++++++++++++++++
 src/hb-subset-plan.hh             | 34 +++++++++++++++++++++++
 5 files changed, 126 insertions(+), 34 deletions(-)

commit a0f810effcb497e77be25328a251e608b5863999
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Jul 28 15:04:47 2023 -0700

    [instancer] add struct glyph_variations_t for gvar
    
    -Add compile_peak_coords () in tuple_delta_t
    -Add compile_shared_tuples () for glyph_variations_t

 src/hb-ot-var-common.hh     |  33 ++++++++++++++
 src/hb-ot-var-gvar-table.hh | 105 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 138 insertions(+)

commit cb92210b4cf93f6d7986dc75632c831092b4de19
Author: Bruce Mitchener <bruce.mitchener@gmail.com>
Date:   Tue Aug 8 00:19:30 2023 +0700

    Improve Markdown formatting. (#4366)

 BUILD.md  | 23 +++++++++++++----------
 README.md |  4 ++--
 2 files changed, 15 insertions(+), 12 deletions(-)

commit 49dbe0cd30a47258af0523822c924e9698a3e845
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 6 15:07:57 2023 -0600

    Another try

 src/OT/Color/COLR/COLR.hh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 483d4a8741890ac72fa22d167ed53d4e39e9bd1d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 6 14:40:45 2023 -0600

    Fix bot

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7989702abadc8fff69a99a47cfad2db08f5b8184
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 6 14:17:50 2023 -0600

    Audit and fix up serialize_subset uses
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4362

 src/OT/Color/COLR/COLR.hh                | 11 ++++++-----
 src/OT/Layout/GPOS/AnchorMatrix.hh       |  5 +++--
 src/OT/Layout/GPOS/CursivePosFormat1.hh  | 11 +++++------
 src/OT/Layout/GPOS/LigatureArray.hh      | 13 +++++++------
 src/OT/Layout/GPOS/MarkArray.hh          |  6 +++---
 src/OT/Layout/GPOS/MarkBasePosFormat1.hh | 15 +++++++--------
 src/OT/Layout/GPOS/MarkLigPosFormat1.hh  | 14 +++++++-------
 src/OT/Layout/GPOS/MarkMarkPosFormat1.hh | 12 +++++++-----
 src/OT/Layout/GPOS/MarkRecord.hh         | 11 +++++------
 src/hb-ot-layout-common.hh               |  3 +--
 10 files changed, 51 insertions(+), 50 deletions(-)

commit 1d665c2b521512cdd56964138fc601debd1f1177
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Wed Aug 2 23:44:56 2023 +0300

    8.1.1

 NEWS             | 8 ++++++++
 configure.ac     | 2 +-
 meson.build      | 2 +-
 src/hb-version.h | 4 ++--
 4 files changed, 12 insertions(+), 4 deletions(-)

commit 91c449a64a6924afd2aee4d3eb0b80c8c7d9ad07
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 14:40:55 2023 -0600

    [graph] Make space_for non-recursive
    
    It was tail-recursive so perhaps the compiler did the same.
    Anyway, make it explicit now.

 src/graph/graph.hh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit dcd3afcabfeb447a075b189f20cd523e177a0a9d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 20:09:34 2023 -0600

    [skippy-iter] Remove unused num_items

 src/OT/Layout/GPOS/CursivePosFormat1.hh  |  2 +-
 src/OT/Layout/GPOS/MarkMarkPosFormat1.hh |  2 +-
 src/OT/Layout/GPOS/PairPosFormat1.hh     |  2 +-
 src/OT/Layout/GPOS/PairPosFormat2.hh     |  2 +-
 src/OT/Layout/GSUB/LigatureSet.hh        |  2 +-
 src/hb-kern.hh                           |  2 +-
 src/hb-ot-layout-gsubgpos.hh             | 24 +++++++-----------------
 7 files changed, 13 insertions(+), 23 deletions(-)

commit 5b337130e28eeaef3b5cfe884b514059417e3384
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 20:02:21 2023 -0600

    Add test for previous commit

 .../fonts/bef923f4ccb474f961c43b63a9c74b7d9b7a023f.ttf   | Bin 0 -> 2180 bytes
 test/shape/data/in-house/tests/context-matching.tests    |   1 +
 2 files changed, 1 insertion(+)

commit 39048099cb421095e24cdcc027b9cdc2a7fcf93e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 19:41:12 2023 -0600

    [skippy-iter] Remove early stop
    
    The optimization in (Chain)RuleSet matching relies on
    matching one, even if num_items is out of range.
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4358

 src/hb-ot-layout-gsubgpos.hh | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 70b3fbed2850f310658b65a68a058232b78ebeee
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 15:16:16 2023 -0600

    [graph] Fix invalid read when map gets resized
    
    I don't fully understand how the old code was wrong, since
    *v should be evaluated before the set() method call.
    Yet this seems to fix a bug that could be reproduced
    with HB_DEBUG_SUBSET_REPACK enabled and the following:
    
    $ hb-repacker-fuzzer test/fuzzing/graphs/clusterfuzz-testcase-minimized-hb-repacker-fuzzer-6419865171525632

 src/graph/graph.hh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 94d4283b12037d66ceb3b195f47d3bca96eb6627
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 15:05:17 2023 -0600

    [graph] Handle a malloc fail
    
    Fixes https://oss-fuzz.com/testcase-detail/4579249263345664

 src/graph/graph.hh                                   |  19 ++++++++++++-------
 ...ase-minimized-hb-repacker-fuzzer-4579249263345664 | Bin 0 -> 173466 bytes
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 603920e911dc0fde79dc0ddde2be393f5c123d30
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 14:58:33 2023 -0600

    [graph] Minor asserts

 src/graph/graph.hh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 8d00476fbf99f770608644e424712cf95d3950b8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 14:27:37 2023 -0600

    [graph] Minor restructure a condition

 src/graph/graph.hh | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 7946984b9624338b8d15fa53ac21664a734e93d3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 14:18:03 2023 -0600

    [graph] More assert

 src/graph/graph.hh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3b386c3773f24e30ec26bbbf86422ac67a6fb7b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 14:12:43 2023 -0600

    [graph] Minor assert

 src/graph/graph.hh | 4 ++++
 1 file changed, 4 insertions(+)

commit 07e7033076d9acfeeaa7a91ea878fa130a022824
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 12:25:45 2023 -0600

    [graph] Error check

 src/graph/graph.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7a9aac1ae3f7b836ddb314636d6f50d8ad7ec5d2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 12:05:22 2023 -0600

    [graph] Fixes to parent handling

 src/graph/graph.hh | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 2feac50b40f1dff06655c8efcadcc55088b34dad
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 19:53:06 2023 -0600

    Revert "[gsubgpos] Keep another digest in the applicable_t"
    
    This reverts commit fd79c7cecdf68fe4626943f29bd5edf1e603d2b2.

 src/hb-ot-layout-gsubgpos.hh | 32 ++++++++++----------------------
 1 file changed, 10 insertions(+), 22 deletions(-)

commit fd79c7cecdf68fe4626943f29bd5edf1e603d2b2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 19:52:15 2023 -0600

    [gsubgpos] Keep another digest in the applicable_t
    
    The digest for all the remaining subtables combined.
    The idea is to get out of the subtable look as soon as
    no more can be applied.
    
    Doesn't seem to speed up anything I tested. Going to revert.

 src/hb-ot-layout-gsubgpos.hh | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit e3fd69c88958fead68a62cecef7454990f7757fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 19:07:42 2023 -0600

    [layout] Inline another function
    
    Code is smaller too.

 src/hb-ot-layout-gsubgpos.hh | 3 +++
 1 file changed, 3 insertions(+)

commit 9cdc043c16d319268677a9098c83dc572d279c99
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 18:53:29 2023 -0600

    [Cursive] Only sanitize what we use

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 25e9defa516d63b12a659282a13dc9e1fe522cc8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 17:12:07 2023 -0600

    [sanitize] Inline check_struct
    
    Though seems like the compiler was always inlining it anyway.

 src/hb-sanitize.hh | 3 +++
 1 file changed, 3 insertions(+)

commit 44026aa8a992b7105a615f1fbaaf0e342b634efa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 16:47:06 2023 -0600

    [Cursive] Minor, adjust unsafe-to-concat if prev didn't sanitize

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b382e616cc807fe16da0fe7baca6dc2335fab987
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 16:29:28 2023 -0600

    [GPOS] Sanitize Cursive positioning anchors lazily
    
    Speeds up Duployan-Regular.otf load time by 30%.
    Doesn't seem to slow down shaping in a measurable way.

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit fcb9e5915f5d20b20576612efd4ee15d9da04c8a
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Tue Aug 1 00:57:06 2023 +0300

    8.1.0

 NEWS                   | 21 +++++++++++++++++++--
 configure.ac           |  2 +-
 docs/harfbuzz-docs.xml |  1 +
 meson.build            |  2 +-
 src/hb-ot-layout.cc    |  2 +-
 src/hb-version.h       |  6 +++---
 6 files changed, 26 insertions(+), 8 deletions(-)

commit 847e4a7607b6ddd97bd9d59c047d18736a566428
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 31 15:21:51 2023 -0600

    Bump github/codeql-action from 2.21.0 to 2.21.2 (#4352)
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.21.0 to 2.21.2.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/1813ca74c3faaa3a2da2070b9b8a0b3e7373a0d8...0ba4244466797eb048eb91a6cd43d5c03ca8bd05)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit db608229d1633f9cbea3b5223d6548e803fb08c7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 15:16:43 2023 -0600

    [README] Update

 README.md | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 59f5f2651525c9d41d3394f9ef021f624b097346
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 15:09:11 2023 -0600

    [ci/msys] Don't install freetype (#4354)
    
    * [ci/msys] Try deleting system harfbuzz DLL

 .github/workflows/msys2-ci.yml | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit bd84458a951e2e8e7390ec45d3c0b0bfc30eca19
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 13:27:15 2023 -0600

    [ci] Try uploading msys artefacts (#4353)
    
    * [ci] Try uploading msys artefacts
    
    * [ci] Always upload DLLs from msys2
    
    * [ci] Rename artifacts
    
    * Another try

 .github/workflows/msys2-ci.yml | 6 ++++++
 1 file changed, 6 insertions(+)

commit d9c4d3edf0e2dcc8e1653cffad114110a59f691d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 12:43:12 2023 -0600

    [uniscribe] Fix warnings

 src/hb-uniscribe.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 29ad9304e2b0cd84fbf125dfa907cd20d141fc70
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 17:06:25 2023 -0600

    [layout] Minor add prealloc

 src/hb-ot-layout.cc | 1 +
 1 file changed, 1 insertion(+)

commit a41368bd7a0bf14c54b311a4455f7fdc5aa2df4b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 17:04:02 2023 -0600

    [buffer] Minor micro-optimize

 src/hb-buffer.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dc35a0fbcb960f57df6c09a548651028c19e9790
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 16:32:11 2023 -0600

    [ot-map] Speed up feature finding
    
    New API:
    - hb_ot_layout_collect_feature_map()

 docs/harfbuzz-sections.txt |  1 +
 src/hb-ot-layout.cc        | 39 ++++++++++++++++++++++++++++++++++++++-
 src/hb-ot-layout.h         |  7 +++++++
 src/hb-ot-map.cc           | 22 +++++++++++++++-------
 4 files changed, 61 insertions(+), 8 deletions(-)

commit ebdfa9838bd0170ee2f3bc766dbdad659a0e870c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 12:22:55 2023 -0600

    [perf] Measure freetype face loading as well

 perf/benchmark-font.cc | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 202888ec3ed27f1ac575a13d93688776545a62bf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 11:49:08 2023 -0600

    Fix mac bot
    
    I think the new unsafe-to-concat is correct...

 src/hb-ot-shaper-use-machine.hh            | 1893 ++++++++++++++--------------
 test/shape/data/in-house/tests/macos.tests |    2 +-
 2 files changed, 971 insertions(+), 924 deletions(-)

commit 35a026c89ab4f55a962f0e837a7b7650eb3e7c31
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 11:28:59 2023 -0600

    [shape] Unsafe-to-concat around fraction slash

 src/hb-ot-shape.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit f19ca24a8ed92373342adb0c69ac5975b44f50e1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 11:26:11 2023 -0600

    Revert "Revert "Require numerator and denominator in auto fraction""
    
    This reverts commit 8fe506e153c530affd529e7175e813c3a878faed.

 src/hb-ot-shape.cc                                       | 2 ++
 test/shape/data/in-house/tests/automatic-fractions.tests | 4 ++++
 2 files changed, 6 insertions(+)

commit b2a73166d4d7874565ac61dcfca74f651f922e5c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 11:23:19 2023 -0600

    [buffer] Fix unsafe_to_concat()
    
    Ouch!

 src/hb-buffer.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8fe506e153c530affd529e7175e813c3a878faed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 30 10:43:28 2023 -0600

    Revert "Require numerator and denominator in auto fraction"
    
    This reverts commit f3e86937df345d7709de879af1d1a1502e84e1e9.

 src/hb-ot-shape.cc                                       | 2 --
 test/shape/data/in-house/tests/automatic-fractions.tests | 4 ----
 2 files changed, 6 deletions(-)

commit f3e86937df345d7709de879af1d1a1502e84e1e9
Author: David Corbett <corbett.dav@northeastern.edu>
Date:   Sun Jul 30 08:28:23 2023 -0400

    Require numerator and denominator in auto fraction

 src/hb-ot-shape.cc                                       | 2 ++
 test/shape/data/in-house/tests/automatic-fractions.tests | 4 ++++
 2 files changed, 6 insertions(+)

commit 23838e5a2e7f5627d77fb85c50a0bfd9e004d6a8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 29 13:20:14 2023 -0600

    [graph] Error handling

 src/graph/graph.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 04f4909257b2da56d76c24872075f6f655ae4438
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 28 14:37:52 2023 -0600

    [graph] Use a move instead of swap

 src/graph/graph.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bedb0eeed62aaab3c6be849480a54214a59715b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 16:04:01 2023 -0600

    [graph] Minor rename

 src/graph/graph.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bb1f53c2540a1e45c18eb8fbe4935b9c4e4fefa8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 13:29:56 2023 -0600

    [graph] Try fixing infinite loop found by CIFuzz under malloc fail

 src/graph/graph.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db3314c1f860ee5cf68c81ccce5771b9b0366bca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 13:20:32 2023 -0600

    [graph] Minor space type change

 src/graph/graph.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a218eaeea3de3455825be63a099e6028c56508d
Merge: 45a0d65c6 6bb61708e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 13:14:52 2023 -0600

    Merge pull request #4343 from harfbuzz/graph-parents-map
    
    [graph] Use a hb_map_t to keep parents, instead of hb_vector_t

commit 6bb61708ed2059abdbbb6eb7e8a9b721de64dd73
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 13:02:55 2023 -0600

    [graph] Try fixing bots

 src/graph/graph.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1b5abb178197876d73584a4f51325323563b50dc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 12:41:43 2023 -0600

    [graph] Speed-up vertices having only one parent

 src/graph/graph.hh | 55 +++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 42 insertions(+), 13 deletions(-)

commit f3d0b11d570eb790bb1ef5114f48fb59fbb260b6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 12:20:39 2023 -0600

    [graph] Make parents private

 src/graph/graph.hh | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit d3b997ee70e87d4e6b3e22ce99a21372c94d5a14
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 26 15:39:14 2023 -0600

    [graph] Use a hb_map_t to keep parents, instead of hb_vector_t
    
    In some fonts, for example Noto Duployan-Regular, nodes can
    have over a thousand parents... Speeds up 10% subsetting.

 src/graph/classdef-graph.hh |  2 +-
 src/graph/coverage-graph.hh |  2 +-
 src/graph/graph.hh          | 94 +++++++++++++++++++++++++++++----------------
 src/graph/gsubgpos-graph.hh |  6 +--
 src/graph/pairpos-graph.hh  |  2 +-
 5 files changed, 66 insertions(+), 40 deletions(-)

commit 45a0d65c6219c755245ea1df24b2e8d644420971
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Jul 27 09:06:02 2023 -0700

    [instancer] cosmetic change

 src/hb-ot-var-common.hh | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit cb320d22228d366c06dd97d43bf06f7ad7afd5f2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 10:43:07 2023 -0600

    Revert "[cff] Use float instead of double"
    
    This reverts commit c8f67ac28eb18e65adda75818e2c472ad3936874.
    
    Tests failing.

 src/hb-cff-interp-common.hh      | 14 +++++++-------
 src/hb-cff-interp-dict-common.hh |  4 ++--
 src/hb-cff2-interp-cs.hh         |  8 ++++----
 src/hb-subset-cff2.cc            |  6 +++---
 4 files changed, 16 insertions(+), 16 deletions(-)

commit c8f67ac28eb18e65adda75818e2c472ad3936874
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 27 10:34:45 2023 -0600

    [cff] Use float instead of double
    
    Reduces memory usage slightly.

 src/hb-cff-interp-common.hh      | 14 +++++++-------
 src/hb-cff-interp-dict-common.hh |  4 ++--
 src/hb-cff2-interp-cs.hh         |  8 ++++----
 src/hb-subset-cff2.cc            |  6 +++---
 4 files changed, 16 insertions(+), 16 deletions(-)

commit b36b100ef1c94012456c807167b2ac07443380ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 26 14:42:46 2023 -0600

    [var] Remove byte_data_t; use hb_bytes_t
    
    Now that we have hopefully fixed the bug preventing hb_bytes_t
    use, remove the hack.
    
    Ref.
    5690840ceb190341f9960d2b975c4366566ae86b
    https://github.com/harfbuzz/harfbuzz/issues/4138

 src/hb-ot-var-common.hh | 55 ++++++++++++++++---------------------------------
 1 file changed, 18 insertions(+), 37 deletions(-)

commit c25b8c06129d5abca2124a69a170b54dff215c41
Merge: 5690840ce 5cab0709a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 26 12:47:15 2023 -0600

    Merge pull request #4335 from googlefonts/bug_fixes
    
    [instancer] support avar table, fix issues in STAT/fvar tables

commit 5cab0709a4f7267a01eb6f254c02d8bbcb4832e6
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Jul 26 09:56:07 2023 -0700

    [instancer] fix for missing to update tuple indices flag in operator +=

 src/hb-ot-var-common.hh | 1 +
 1 file changed, 1 insertion(+)

commit 515f85d545debf3c769b6aa7aa8c90908ce2f7f6
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 24 11:10:17 2023 -0700

    [instancer] fix incorrect encoded_len

 src/hb-ot-var-common.hh | 1 +
 1 file changed, 1 insertion(+)

commit bccdcf5b18861fbdb599189ab1dcb45e339b02b2
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Jul 21 10:17:43 2023 -0700

    [instancer] fix a bug in compiling deltas_y for gvar

 src/hb-ot-var-common.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 5690840ceb190341f9960d2b975c4366566ae86b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 26 09:53:32 2023 -0600

    [map] Another try at fixing archaic clang
    
    Fixes (?) https://github.com/harfbuzz/harfbuzz/issues/4138

 src/hb-map.hh | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit a3b18062b7b19345f8c2818669d3d08f678d0bce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 25 11:11:07 2023 -0600

    [trak] Fix a couple return values

 src/hb-aat-layout-trak-table.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 62e6f7835c1e2520108bba2e3b6ded43f93339bc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 25 08:32:21 2023 -0600

    [Cursive] round

 src/OT/Layout/GPOS/CursivePosFormat1.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 60db142784bb145426e4a02635bbad4f2f260d16
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 24 20:49:32 2023 -0600

    [layout] Remove unused "max-size" cruft

 src/OT/Layout/GPOS/PairValueRecord.hh |  1 -
 src/OT/Layout/GSUB/Ligature.hh        |  1 -
 src/hb-machinery.hh                   |  5 -----
 src/hb-null.hh                        |  9 ---------
 src/hb-open-type.hh                   | 30 ------------------------------
 src/hb-ot-layout-gsubgpos.hh          |  2 --
 6 files changed, 48 deletions(-)

commit 8eb7889fd4cd03f84c78eb84514e05927fb6bd2c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 24 20:31:12 2023 -0600

    Add max-size to static-size objects

 src/hb-machinery.hh | 1 +
 1 file changed, 1 insertion(+)

commit e322949b9b94b3d28d952d0b7f337abb4b05c1fb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 24 20:28:37 2023 -0600

    [ArrayOf] Remove fast-path for offset to max-sized objects
    
    Fixes timeout https://oss-fuzz.com/testcase-detail/6153196517851136

 src/hb-open-type.hh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9ffea6328e71fbaea159116e609d3b0c005564a8
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 24 10:37:25 2023 +0000

    Bump github/codeql-action from 2.20.4 to 2.21.0
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.20.4 to 2.21.0.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/489225d82a57396c6f426a40e66d461b16b3461d...1813ca74c3faaa3a2da2070b9b8a0b3e7373a0d8)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a267f22ff3a608e5a8370224557268b0504f857
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 24 11:01:01 2023 +0000

    Bump fonttools from 4.41.0 to 4.41.1 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.41.0 to 4.41.1.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.41.0...4.41.1)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 70 +++++++++++++++++++++---------------------
 .ci/requirements.txt           | 70 +++++++++++++++++++++---------------------
 2 files changed, 70 insertions(+), 70 deletions(-)

commit ca7e7e925b920ee54a0d0ad256f4a7daa0763684
Author: Nikolaus Waxweiler <madigens@gmail.com>
Date:   Sun Jul 23 22:20:09 2023 +0100

    Fix wasm-micro-runtime build instructions

 docs/wasm-shaper.md | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit a32278acd89a5e29774c7a03b0d11b669cfbb3fc
Author: Nikolaus Waxweiler <madigens@gmail.com>
Date:   Sun Jul 23 22:19:51 2023 +0100

    Fix example code

 docs/wasm-shaper.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55f41e287f8ff846584269cb0dbbc730402cab75
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 21 12:10:46 2023 -0600

    [perf] Add duployan.txt
    
    From https://kaltashwawa.ca/2022/01/20/lovecraft-in-chinook-puspus-kopa-ulthar-tawn/

 perf/texts/duployan.txt | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit c91899be14c82ae3d27c4cba2a1b920b6989a4f7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 21 11:43:47 2023 -0600

    [gdef] Use set-digest for mark-filterint-sets
    
    Speeds up Noto Duployan-Regular.otf by 45% percent!

 src/OT/Layout/GDEF/GDEF.hh   | 33 +++++++++++++++++++++++++++++++++
 src/hb-null.hh               |  2 +-
 src/hb-ot-layout-gsubgpos.hh |  2 +-
 3 files changed, 35 insertions(+), 2 deletions(-)

commit e8948a4e86902202005193f5859980e6602ff2b4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 22:12:53 2023 -0600

    [gsubgpos] Fix optimization
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4336

 src/hb-ot-layout-gsubgpos.hh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 36c7ec443b9e5881502f2056331abb6c8508db28
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 18:56:46 2023 -0600

    [sanitize] Simplify a return

 src/hb-sanitize.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 13f05ab9b39202aed98923b8ed0488b344e88a6f
Author: Qunxin Liu <qxliu@google.com>
Date:   Thu Jul 20 09:57:02 2023 -0700

    [instancer] support avar table partial instancing

 src/hb-ot-var-avar-table.hh | 164 ++++++++++++++++++++++++++++++++++++++++++++
 src/hb-subset-input.cc      |   1 -
 src/hb-subset.cc            |   4 ++
 3 files changed, 168 insertions(+), 1 deletion(-)

commit 837885f0fabdd99f7c804adbb449d1eab67401a8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 12:58:16 2023 -0600

    Revert "[sanitize/Coverage] Keep a map of sane coverages"
    
    This reverts commit a689114898cc3e8f1c6ba7cc49cd6c3639d91250.

 src/OT/Layout/Common/Coverage.hh | 22 +++++-----------------
 src/hb-sanitize.hh               |  3 ---
 2 files changed, 5 insertions(+), 20 deletions(-)

commit 0ab906715e51859f5c88bae2a9e7611e3c251bec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 12:57:16 2023 -0600

    [sanitize/Coverage] Keep a map of sane coverages
    
    Fonts like Gulzar reuse the same coverage over a thousand times
    sometimes.
    
    However, this doesn't speed up sanitize unfortunately. Looks
    like calling Coverage::sanitize() is already very fast. We're
    just doing A LOT of it.
    
    The map slowed it down in fact. A set was even slower.
    
    Going to revert.

 src/OT/Layout/Common/Coverage.hh | 22 +++++++++++++++++-----
 src/hb-sanitize.hh               |  3 +++
 2 files changed, 20 insertions(+), 5 deletions(-)

commit 7de2f515a0792048556078a0860c940a1ee32739
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 12:46:54 2023 -0600

    [set] Remove dependency on hb-machinery.hh

 src/hb-bit-set.hh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit e8de5cb08f209ce3901c53e86eade2238e0fb894
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 20 11:31:13 2023 -0600

    [gsubgpos] Use a couple variables

 src/hb-ot-layout-gsubgpos.hh | 30 ++++++++++++++++++------------
 1 file changed, 18 insertions(+), 12 deletions(-)

commit 0ccd61a3b2ff0d94a9c72fe3ce965221ef6a7d5b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 19 16:42:30 2023 -0600

    [gsubgpos] Micro-optimize

 src/hb-ot-layout-gsubgpos.hh | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit b01c165034ebd26cc6d76301a6a272a813d42526
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 19 16:35:10 2023 -0600

    [gsubgpos] Minor error handling

 src/hb-ot-layout-gsubgpos.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee5f200bf1a61f43538e36716ba96cd229ebb1ba
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 19 12:26:50 2023 -0600

    [gsubgpos] Remove un unnecessary variable

 src/hb-ot-layout-gsubgpos.hh | 20 ++++----------------
 1 file changed, 4 insertions(+), 16 deletions(-)

commit a0bb2d3a9b107d45d1f5f4e2ce27a0cbd46710ed
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Jul 19 11:21:01 2023 -0700

    [instancer] support STAT table for all instancing operations

 src/hb-subset.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 42c6a3a18a7d9106e0daf063371a1ba00543f73b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 19 12:07:19 2023 -0600

    [gsubgpos] Remove unnecessary condition
    
    Second is always set in this branch.

 src/hb-ot-layout-gsubgpos.hh | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit b5de54e1d49701073c1a9356c5e689e135cd8aec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 19 11:19:06 2023 -0600

    [gsubgpos] Also match second component in (Chain)RuleSet::apply()
    
    Another 40% speedup in shaping Gulzar-Regular.

 src/hb-ot-layout-gsubgpos.hh | 98 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 75 insertions(+), 23 deletions(-)

commit 73d94dbde35f5e01014f7858730e7d60b369aefd
Author: Qunxin Liu <qxliu@google.com>
Date:   Wed Jul 19 10:33:57 2023 -0700

    [instancer] bug fixes in fvar: add missing instanceCount, update axis limit

 src/hb-ot-var-fvar-table.hh | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

commit 02b00d774368bb82b97348436b0620b9ffe1bf0f
Author: Richard Dodd (dodj) <richard.o.dodd@gmail.com>
Date:   Wed Jul 19 11:22:07 2023 +0100

    Update wasm-shaper.md (just a small typo)

 docs/wasm-shaper.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 730f579f68c9062b0f493d400f445946f2ee032d
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Jul 18 15:09:36 2023 -0700

    [instancer] store float value rather than F2DOT14 int value in axes_location map

 src/hb-ot-layout-common.hh | 19 +++++++++++--------
 src/hb-subset-plan.cc      |  6 +++---
 2 files changed, 14 insertions(+), 11 deletions(-)

commit efbd257a325fedcf9000a9cccbf2d97d38769b98
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Jul 18 14:50:32 2023 -0700

    [instancer] memory leak fix in cvar

 src/hb-ot-var-cvar-table.hh | 1 +
 1 file changed, 1 insertion(+)

commit a9e9279bee736d45eb58931ff7a363932e548090
Merge: aa381ae96 5ee015ecf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 18 12:24:17 2023 -0600

    Merge pull request #4329 from googlefonts/instancer_solver_fix
    
    port instancer solver normalizeValue fixes from fonttools

commit aa381ae963fedadc227afcc154e3cf95d9aa84c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 18 10:42:13 2023 -0600

    [ReverseChain] Remove SIZE_MAX
    
    Oops. Can't set it since the struct has offsets.

 src/OT/Layout/GSUB/ReverseChainSingleSubstFormat1.hh | 1 -
 1 file changed, 1 deletion(-)

commit e583c9e904d3825b6f6e7a2996d555d16c67753b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 18 10:34:26 2023 -0600

    [ReverseChain] Add max-size

 src/OT/Layout/GSUB/ReverseChainSingleSubstFormat1.hh | 1 +
 1 file changed, 1 insertion(+)

commit 7a2f9dcfb9cd892191f295c8fd9ca39d6675d9ed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 18 04:36:15 2023 -0600

    [matcher] Move initializers inline

 src/hb-ot-layout-gsubgpos.hh | 26 ++++++++------------------
 1 file changed, 8 insertions(+), 18 deletions(-)

commit 5ee015ecf60aac27ea3cd6309b1b1fb3c3566196
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 13:54:34 2023 -0700

    [instancer-solver] remove unused normalizeValue() code

 src/hb-subset-instancer-solver.cc | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit 6c25c752f608dfaa0b153b4c62bd96225c670080
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 13:47:38 2023 -0700

    [instancer] use renormalized values when instantiating Condition table

 src/hb-ot-layout-common.hh | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 73ce3015bbaa04ce5a2a9da358e3695c7db10c44
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 13:46:57 2023 -0700

    [instancer-solver] port optimization and more tests from fonttools

 src/hb-subset-instancer-solver.cc   |  5 ++---
 src/test-subset-instancer-solver.cc | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 3 deletions(-)

commit 350423df8d7bc3c87b030c6304c9611136e60e68
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 11:10:19 2023 -0700

    [instancer-solver] fix tests

 src/test-subset-instancer-solver.cc | 59 +++++++++++++++++++------------------
 src/test-tuple-varstore.cc          |  5 +++-
 2 files changed, 34 insertions(+), 30 deletions(-)

commit 12be4cb184c6600f26285f8a56b9b27b80931f22
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 11:08:54 2023 -0700

    [instancer-solver] fix APIs calling rebase_tent() with TripleDistances

 src/hb-ot-var-common.hh     | 21 ++++++++++++++-------
 src/hb-ot-var-cvar-table.hh |  2 +-
 2 files changed, 15 insertions(+), 8 deletions(-)

commit 165f3e60ace3a086a3d5741146da83d2c82a409b
Author: Qunxin Liu <qxliu@google.com>
Date:   Mon Jul 17 09:46:03 2023 -0700

    [instancer-solver] add renormalizeValue() and store axis->distances map

 src/hb-ot-var-fvar-table.hh       |  7 +++++++
 src/hb-subset-instancer-solver.cc | 43 +++++++++++++++++++++++++++++++++++++--
 src/hb-subset-instancer-solver.hh | 24 +++++++++++++++++++++-
 src/hb-subset-plan-member-list.hh |  2 ++
 src/hb-subset-plan.cc             | 12 ++++++-----
 5 files changed, 80 insertions(+), 8 deletions(-)

commit d92a7a58d83952782d2cf54391e129a09c4b306d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 17 11:27:38 2023 -0600

    [gsubgpos] Inline a couple functions
    
    Produces smaller code.

 src/hb-ot-layout-gsubgpos.hh | 34 ++++++++++++++++++----------------
 1 file changed, 18 insertions(+), 16 deletions(-)

commit 4ea3737d04c575cd9b6ffda1e4e0f2c9d2b60d9c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 17 09:50:28 2023 -0600

    [gsubgpos] Add fast-path for end-of-string in (Chain)RuleSet::apply()

 src/hb-ot-layout-gsubgpos.hh | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit e7ce633946e40e3f753880e8cfd4b86a51a878be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 17 08:52:12 2023 -0600

    [algs] Fix -Wcomma errors
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/4328

 src/hb-algs.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af095d90e3ecd602feefad529ceaf6ee126103ac
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 17 10:22:42 2023 +0000

    Bump github/codeql-action from 2.20.3 to 2.20.4
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.20.3 to 2.20.4.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/46ed16ded91731b2df79a2893d3aea8e9f03b5c4...489225d82a57396c6f426a40e66d461b16b3461d)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/scorecard.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b031bbde94c962b287528402985e2c8a8f4b83b5
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 17 10:22:45 2023 +0000

    Bump actions/setup-python from 4.6.1 to 4.7.0
    
    Bumps [actions/setup-python](https://github.com/actions/setup-python) from 4.6.1 to 4.7.0.
    - [Release notes](https://github.com/actions/setup-python/releases)
    - [Commits](https://github.com/actions/setup-python/compare/bd6b4b6205c4dbad673328db7b31b7fab9e241c0...61a6322f88396a6271a6ee3565807d608ecaddd1)
    
    ---
    updated-dependencies:
    - dependency-name: actions/setup-python
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/msvc-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae8fea081a09d478986427d4861c74eb0b9582d0
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 17 10:28:35 2023 +0000

    Bump fonttools from 4.40.0 to 4.41.0 in /.ci
    
    Bumps [fonttools](https://github.com/fonttools/fonttools) from 4.40.0 to 4.41.0.
    - [Release notes](https://github.com/fonttools/fonttools/releases)
    - [Changelog](https://github.com/fonttools/fonttools/blob/main/NEWS.rst)
    - [Commits](https://github.com/fonttools/fonttools/compare/4.40.0...4.41.0)
    
    ---
    updated-dependencies:
    - dependency-name: fonttools
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements-fonttools.txt | 72 +++++++++++++++++++++---------------------
 .ci/requirements.txt           | 70 ++++++++++++++++++++--------------------
 2 files changed, 71 insertions(+), 71 deletions(-)

commit da84a078ee89d3d9cbd2a030722d01ee85f1bcde
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 17 10:28:55 2023 +0000

    Bump meson from 1.1.1 to 1.2.0 in /.ci
    
    Bumps [meson](https://github.com/mesonbuild/meson) from 1.1.1 to 1.2.0.
    - [Release notes](https://github.com/mesonbuild/meson/releases)
    - [Commits](https://github.com/mesonbuild/meson/compare/1.1.1...1.2.0)
    
    ---
    updated-dependencies:
    - dependency-name: meson
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

 .ci/requirements.in  | 2 +-
 .ci/requirements.txt | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 49730531097cb0b29b6435fa62d10e5060852388
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 13:09:49 2023 -0600

    Config

 src/OT/Layout/GSUB/LigatureSet.hh | 4 ++--
 src/hb-config.hh                  | 2 +-
 src/hb-ot-layout-gsubgpos.hh      | 8 ++++++--
 3 files changed, 9 insertions(+), 5 deletions(-)

commit 645fabd1013e94693f6da2d4263b0edd3b0b014d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 11:36:59 2023 -0600

    [gsubgpos] Vastly speed up ChainRuleSet / RuleSet matching
    
    Match the first component in a fast loop.
    
    Idea replicated from LigatureSet.
    
    Speeds up Gulzar shaping by 22%!
    37% in NotoNastaliqUrdu!

 src/OT/Layout/GSUB/LigatureSet.hh |  4 +-
 src/hb-ot-layout-gsubgpos.hh      | 82 +++++++++++++++++++++++++++++++++++----
 2 files changed, 77 insertions(+), 9 deletions(-)

commit 77080f86f85744600a052e4f10bea50f331c44b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 11:26:32 2023 -0600

    .

 src/OT/Layout/GSUB/LigatureSet.hh |  7 +---
 src/hb-ot-layout-gsubgpos.hh      | 84 +++++++++++++++++++++++++++++++++++----
 2 files changed, 79 insertions(+), 12 deletions(-)

commit 5c8f3b7fec330897d66bf72559aa2ac26862ae99
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 09:39:18 2023 -0600

    [gsubgpos] Conditionally cache backtrack again

 src/hb-ot-layout-gsubgpos.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52237eb1fe6a53de649917ec64382adac89f8e54
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 09:07:25 2023 -0600

    [ChainContext] More caching

 src/hb-ot-layout-gsubgpos.hh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 62e10c9fa0fce0b4798ccc13640f9fe85206f227
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 08:43:18 2023 -0600

    Revert "[gsubgpos] Allocate iterators further up"
    
    This reverts commit b9f364b8fcacf8ab32d0272190d8509f214e55f2.

 src/OT/Layout/GSUB/Ligature.hh                     |   5 +-
 .../Layout/GSUB/ReverseChainSingleSubstFormat1.hh  |   8 +-
 src/hb-ot-layout-gsubgpos.hh                       | 117 +++++++++------------
 3 files changed, 55 insertions(+), 75 deletions(-)

commit b9f364b8fcacf8ab32d0272190d8509f214e55f2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 08:42:36 2023 -0600

    [gsubgpos] Allocate iterators further up
    
    To avoid calling set_match_func repeatedly.
    
    Doesn't show speedup. Going to revert.

 src/OT/Layout/GSUB/Ligature.hh                     |   5 +-
 .../Layout/GSUB/ReverseChainSingleSubstFormat1.hh  |   8 +-
 src/hb-ot-layout-gsubgpos.hh                       | 117 ++++++++++++---------
 3 files changed, 75 insertions(+), 55 deletions(-)

commit c2f454c7e2e8f05636cfbf76f5e6b3dc3919378d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 08:23:59 2023 -0600

    [gsubgpos] Fix residual from 5af80f349c4e040bfa853ee3f561ac16538b5988

 src/hb-ot-layout-gsubgpos.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e641103d40b5ada7f77dba3b6f0891de60388bb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 07:40:20 2023 -0600

    [buffer] Inline a method

 src/hb-buffer.hh | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5af80f349c4e040bfa853ee3f561ac16538b5988
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 07:27:28 2023 -0600

    [ChainContext] Cache two class values
    
    7% speedup shaping Gulzar.

 src/hb-ot-layout-gsubgpos.hh | 38 ++++++++++++++++++++++++++------------
 1 file changed, 26 insertions(+), 12 deletions(-)

commit 8cde4fa9a0e8cb6e42770a2ff7da158f2914cdb2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 16 06:01:06 2023 -0600

    [gsubgpos] Inline a couple methods

 src/hb-ot-layout-gsubgpos.hh | 2 ++
 1 file changed, 2 insertions(+)

commit f94508edd60e26a015586c37c29104d6bdc26462
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 15:28:19 2023 -0600

    [Ligature] Micro-optimize

 src/OT/Layout/GSUB/LigatureSet.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76de3451e68168912bfd4b1a500ddbc45200b706
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 15:00:23 2023 -0600

    [ot-shape] Short-circuit spaces as well

 src/hb-ot-shape.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 765da4db1949b88eff921eb1b909dc4054e55f37
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 14:55:36 2023 -0600

    [ot-shape] Minor short-circuit

 src/hb-ot-shape.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7b8e0bbb9f41561c2ee29a2868de9d7d155c9194
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 14:53:15 2023 -0600

    [ot-shape] Minor short-circuit

 src/hb-ot-shape.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit b2d648e41b5f963fdfe37536467c03c02cd99d2f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 14:26:06 2023 -0600

    [perf/benchmark-subset] Rename subset_codepoints to subset_unicodes

 perf/benchmark-subset.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a56288488c70036832414145c64ce9e42d7464a6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 13:59:10 2023 -0600

    [subset] Speed up a couple of set iteration loops
    
    Need to speed up set::next_range() for the second one to have
    any effect.

 src/hb-ot-layout-common.hh | 11 ++++++++++-
 src/hb-subset-plan.cc      |  9 ++++++---
 2 files changed, 16 insertions(+), 4 deletions(-)

commit 326d319f93fe6173344602929fdbb5ba27412388
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 13:14:34 2023 -0600

    [graph] Micro-optimize

 src/graph/graph.hh | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 548230e45e0bc9fa985d80714ede4c39a347d508
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 13:13:16 2023 -0600

    [graph] Early return from a function

 src/graph/graph.hh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 09706b04fce2afe42cade4cbf1b36db23edde94c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 15 13:11:04 2023 -0600

    [graph] Add a pre-alloc to map

 src/graph/graph.hh | 1 +
 1 file changed, 1 insertion(+)

commit d1ddfc4d10e169c7fdd6187b38dd7a14f59e1def
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 14:52:43 2023 -0600

    [graph] Use move instead of swap

 src/graph/graph.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07cb6bf87af604dcc1a025257aea43c9e991c065
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 13:38:33 2023 -0600

    [graph] Minor, type

 src/graph/graph.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 867640af31e8f88d65cd72a2c7f86f4632b98539
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 13:09:16 2023 -0600

    Revert "[set] Add test_and_add / test_and_del"
    
    This reverts commit de1237fbf2660b5952dde4db171a62d9b1a77c92.
    
    This seems to be a net loss.

 src/graph/graph.hh           | 17 ++++++++++++-----
 src/hb-bit-page.hh           | 25 -------------------------
 src/hb-bit-set-invertible.hh |  2 --
 src/hb-bit-set.hh            | 16 ----------------
 src/hb-set.hh                |  2 --
 5 files changed, 12 insertions(+), 50 deletions(-)

commit 10b776b0c3afeefa19ec47c40196cf205a112c8b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 13:08:19 2023 -0600

    [graph] Micro-optimize

 src/graph/graph.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de1237fbf2660b5952dde4db171a62d9b1a77c92
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 12:38:56 2023 -0600

    [set] Add test_and_add / test_and_del
    
    Use in graph.

 src/graph/graph.hh           | 17 +++++------------
 src/hb-bit-page.hh           | 25 +++++++++++++++++++++++++
 src/hb-bit-set-invertible.hh |  2 ++
 src/hb-bit-set.hh            | 16 ++++++++++++++++
 src/hb-set.hh                |  2 ++
 5 files changed, 50 insertions(+), 12 deletions(-)

commit 7f1ff9c8819edc9cdb2e48cfc4042e38a05777a9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 12:22:24 2023 -0600

    [graph] Micro-optimize array access

 src/graph/graph.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d9cf9b5f071c77b385d92d4740d5fd053cf6f8c7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 12:19:10 2023 -0600

    [priority-queue] Inline insert()

 src/hb-priority-queue.hh | 4 ++++
 1 file changed, 4 insertions(+)

commit d00b88737e0a704d2af3b6539592dd9bb33a4722
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 11:26:51 2023 -0600

    Revert "[subset/closure] Batch recursions in scheduled stages"
    
    This reverts commit f2aaeeb3016e10bf91c251296391a381d5fc6385.

 src/hb-ot-layout-gsub-table.hh |  9 ++-------
 src/hb-ot-layout-gsubgpos.hh   | 15 ---------------
 2 files changed, 2 insertions(+), 22 deletions(-)

commit 5e42f7bb6d025f14955e60c94ea08aca472e08dd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 11:26:38 2023 -0600

    Revert "Revert "[priority-queue] Inline a couple more""
    
    This reverts commit 915410e5267cba5bfc6154548c8856ae077bfefe.
    
    Mistake.

 src/hb-priority-queue.hh | 3 +++
 1 file changed, 3 insertions(+)

commit 915410e5267cba5bfc6154548c8856ae077bfefe
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 11:18:09 2023 -0600

    Revert "[priority-queue] Inline a couple more"
    
    This reverts commit 8704d73213da2294281687ecd7a40d408e9bf26a.

 src/hb-priority-queue.hh | 3 ---
 1 file changed, 3 deletions(-)

commit f2aaeeb3016e10bf91c251296391a381d5fc6385
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 14 11:17:37 2023 -0600

    [subset/closure] Batch recursions in scheduled stages
    
    Going to revert. Doesn't pass tests and savings are minor.

 src/hb-ot-layout-gsub-table.hh |  9 +++++++--
 src/hb-ot-layout-gsubgpos.hh   | 15 +++++++++++++++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 5a65ede5d43711098982995c4d2d6cd7f8eecad1
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Wed Jul 12 10:18:31 2023 +0300

    Minor

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d160d9389cb4c5b15ebea9b41eb74018c4358924
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Wed Jul 12 08:27:25 2023 +0300

    8.0.1

 NEWS             | 11 +++++++++++
 configure.ac     |  2 +-
 meson.build      |  2 +-
 src/hb-version.h |  4 ++--
 4 files changed, 15 insertions(+), 4 deletions(-)

commit 8704d73213da2294281687ecd7a40d408e9bf26a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 10 18:08:13 2023 -0600

    [priority-queue] Inline a couple more

 src/hb-priority-queue.hh | 3 +++
 1 file changed, 3 insertions(+)

commit 4c9e8b848b82dd8e268d596e69d0a5a32b724e01
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 10 18:04:03 2023 -0600

    [priority-queue] Always-inline a method

 src/hb-priority-queue.hh | 1 +
 1 file changed, 1 insertion(+)

commit c41b0d7b8318710d792066f2915cf8c02c89162e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 10 17:23:58 2023 -0600

    [sanitize/PairValueRecord] Add a max_size for faster sanitize

 src/OT/Layout/GPOS/PairValueRecord.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c14f94f76bd323108bad6e61483b88ed3eac35c3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 10 16:28:22 2023 -0600

    Fix compiler error
    
    hb-ot-var-common.hh:758:32: error: implicit conversion from 'int' to 'char' changes value from 191 to -65 [-Werror,
    -Wconstant-conversion]
          *it++ = (DELTAS_ARE_ZERO | 63);

 src/hb-ot-var-common.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fcc5d3df39219a2bf8803026e5976504d696e99f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 10 16:21:28 2023 -0600

    Add -Wconstant-conversion to errors

 src/hb.hh | 1 +
 1 file changed, 1 insertion(+)

commit d1855e902d371471b2120af8b8bfd1bf9a629b75
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jul 10 10:26:31 2023 +0000

    Bump github/codeql-action from 2.20.1 to 2.20.3
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2.20.1 to 2.20.3.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/f6e388ebf0efc915c6c5b165b019ee61a6746a38...46ed16ded91731b2df79a2893d3aea8e9f03b5c4)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
